# -*- coding: utf-8 -*-
#-------------------------------------------------------------------------------
# Name:         tables.py
# Purpose:      Musical translation dictionaries
# Authors:      Jose Cabal-Ugaz
#
# Copyright:    (c) 2012 The music21 Project
# License:      LGPL
#-------------------------------------------------------------------------------

"""
TODO:

-> Map bestNames to Instrument Objects
"""

englishFrench = {u'a': [u'la'],
 u'a 2': [u'\xe0 2', u'a deux'],
 u'a double flat': [u'la double b\xe9mol'],
 u'a double sharp': [u'la double di\xe8se'],
 u'a flat': [u'la b\xe9mol'],
 u'a little': [u'un peu'],
 u'a sharp': [u'la di\xe8se'],
 u'accidental': [u'accident'],
 u'accordion': [u'accord\xe9on'],
 u'acme siren': [u'sir\xe8ne'],
 u'afuch\xe9': [u'cabasa', u'calebasse'],
 u'again': [u'encore'],
 u'agog\xf4': [u'agog\xf4', u'gongu\xe9'],
 u'alone': [u'seul'],
 u'alpenhorn': [u'cor des alpes'],
 u'alphorn': [u'cor des alpes'],
 u'alpine bell': [u'sonnailles de troupeau', u'cencerro', u'campana'],
 u'alpine horn': [u'cor des alpes'],
 u'alto': [u'alto', u'contralto'],
 u'alto clarinet': [u'clarinette alto'],
 u'alto flute': [u'fl\xfbte alto', u'fl\xfbte en sol'],
 u'alto recorder': [u'fl\xfbte \xe0 bec alto',
                    u'fl\xfbte douce alto',
                    u'fl\xfbte droite alto',
                    u'fl\xfbte alto'],
 u'alto saxophone': [u'saxophone alto', u'saxophon alto'],
 u'always': [u'toujours'],
 u'ambitus': [u'ambitus'],
 u'and': [u'et'],
 u'animated': [u'anim\xe9'],
 u'antique cymbals': [u'antike zimbeln',
                      u'crotales',
                      u'antike cymbeln',
                      u'cymbales antique'],
 u'anvil': [u'enclume'],
 u'armonica': [u'coupes de verre',
               u'harmonica de verre',
               u'armonica de verre'],
 u'as': [u'comme'],
 u'at': [u'\xe0'],
 u'at (near) the sounding board': [u'pr\xe8s de la table'],
 u'at a moderate speed': [u'mod\xe9r\xe9'],
 u'at the bridge': [u'sur le chevalet',
                    u'pr\xe8s du chevalet',
                    u'contre le chevalet'],
 u'at the fingerboard': [u'sur la touche'],
 u'at the frog': [u'du talon', u'\xe0 la hausse'],
 u'at the octave': [u"\xe0 l'octave"],
 u'at the point': [u"avec la pointe de l'archet", u'de la pointe'],
 u'at the tip': [u"avec la pointe de l'archet", u'de la pointe'],
 u'attack': [u'attaque'],
 u'autoharp': [u"cithare d'amateur"],
 u'b': [u'si'],
 u'b double flat': [u'si double b\xe9mol'],
 u'b double sharp': [u'si double di\xe8se'],
 u'b flat': [u'sib\xe9mol'],
 u'b sharp': [u'si di\xe9se'],
 u'bagpipe': [u'cornemuse', u'biniou'],
 u'balalaika': [u'balalaika'],
 u'ballad opera': [u'op\xe9ra comique', u'op\xe9ra bouffe'],
 u'bamboo wind chimes': [u'bambou suspendu'],
 u'band': [u"orchestre d'instruments \xe0 vent", u'harmonie de concert'],
 u'bandoneon': [u'bandon\xe9on'],
 u'banjo': [u'banjo'],
 u'bar': [u'mesure'],
 u'baritone': [u'baryton', u'bariton'],
 u'baritone clef': [u'clef de fa'],
 u'baritone horn': [u'baryton'],
 u'baritone saxophone': [u'saxophone baryton'],
 u'barline': [u'barre'],
 u'bass': [u'basse'],
 u'bass baritone': [u'basse taille'],
 u'bass clarinet': [u'clarinette basse'],
 u'bass clef': [u'clef de fa'],
 u'bass drum': [u'grosse caisse', u'tambour bata'],
 u'bass flute': [u'fl\xfbte en ut', u'fl\xfbte basse'],
 u'bass recorder': [u'fl\xfbte \xe0 bec basse',
                    u'fl\xfbte douce basse',
                    u'fl\xfbte droite basse'],
 u'bass saxophone': [u'saxophone basse'],
 u'bass trombone': [u'basse-trombone', u'trombone basse'],
 u'bass trumpet': [u'trompette basse'],
 u'bass tuba': [u'tuba basse'],
 u'basset horn': [u'cor de basset'],
 u'bassoon': [u'basson'],
 u'bat\xe1 drum': [u'tambour bata'],
 u'beam': [u'barre'],
 u'becoming more lively': [u'en animant'],
 u'becoming quicker': [u'en serrant'],
 u'bell lira': [u'glockenspiel', u'jeu de timbres'],
 u'bell lyre': [u'glockenspiel', u'jeu de timbres'],
 u'bell plate': [u'cloche-plaque', u'cloche en lame de m\xe9tal'],
 u'bell tree': [u'chapeau chinois', u'pavillon chinois', u'cloche pavillon'],
 u'bells': [u'cloches'],
 u'berimbao': [u'berimbao'],
 u'bird whistle': [u'appeau', u"sifflet d'oiseau"],
 u"bird's eye": [u'pauses', u"point d'orgue"],
 u'bongo drums': [u'bongos'],
 u'bow': [u'archet'],
 u'bowl organ': [u'coupes de verre',
                 u'harmonica de verre',
                 u'armonica de verre'],
 u'brace': [u'accolade'],
 u'brass band': [u'fanfare'],
 u'brass instrument': [u'instrument \xe0 vent de cuivres', u'cuivres'],
 u'brass instruments': [u'instruments \xe0 vent de cuivres'],
 u'breath mark': [u'pauses'],
 u'breve': [u'double-ronde'],
 u'breve rest': [u'double-pause'],
 u'bridge': [u'chevalet'],
 u'broadly': [u'lent', u'large'],
 u'bull-roarer': [u'planchette ronflante'],
 u'bullseye gong': [u'tam-tam'],
 u'but': [u'mais'],
 u'c': [u'ut'],
 u'c clef': [u"clef d'ut"],
 u'c double flat': [u'do double b\xe9mol'],
 u'c double sharp': [u'do double di\xe8se'],
 u'c flat': [u'ut b\xe9mol', u'do b\xe9mol'],
 u'c sharp': [u'ut di\xe8se', u'do di\xe8se'],
 u'cabasa': [u'cabasa', u'calebasse'],
 u'cadence': [u'cadence'],
 u'caesura': [u'c\xe9sure', u'pauses'],
 u'call': [u'sifflet', u'sifflet \xe0 roulette'],
 u'calmed': [u'apais\xe9'],
 u'car horn': [u"trompe d'auto", u'claxon'],
 u'castanets': [u'castagnettes'],
 u'castenets': [u'castagnettes'],
 u'cavatina': [u'cavatine'],
 u'celesta': [u'c\xe9lesta'],
 u'celeste': [u'c\xe9lesta'],
 u'cello': [u'violoncelle'],
 u'chain': [u'cha\xeene'],
 u'chamber orchestra': [u'orchestre de chambre'],
 u'chau gong': [u'tam-tam'],
 u"children's voices": [u"choeur d'enfants"],
 u'chimes': [u'glockenspiel', u'jeu de timbres'],
 u'chinese block': [u'bloc de bois', u'caisse chinoise'],
 u'chinese cymbal': [u'cymbale chinoise'],
 u'chinese pavilion': [u'chapeau chinois',
                       u'pavillon chinois',
                       u'cloche pavillon'],
 u'chinese tom-tom': [u'tom-tom chinois'],
 u'chord': [u'accord'],
 u'chorus': [u'choeur'],
 u'cimbalom': [u'cymbalum'],
 u'clarinet': [u'clarinette'],
 u'claves': [u'claves'],
 u'clavichord': [u'clavicorde'],
 u'coach horn': [u'cor postal', u'cor de postillon', u'cornet postal'],
 u'comic opera': [u'op\xe9ra comique', u'op\xe9ra bouffe'],
 u'computer': [u'ordinateur'],
 u'concertante': [u'concertant'],
 u'conga drum': [u'conga', u'tambour congo', u'tumbadora'],
 u'continuo': [u'basse continue'],
 u'contra': [u'clarinette contrebasse'],
 u'contrabass saxophone': [u'saxophone contrebasse'],
 u'contrabass trombone': [u'trombone contrabasse'],
 u'contrabassoon': [u'contrebasson', u'contre-bassoon'],
 u'contralto': [u'alto', u'contralto'],
 u'cor anglais': [u'cor anglais'],
 u'cornet': [u'cornet', u'cornet \xe0 pistons'],
 u'counter tenor': [u'contre-t\xe9nor', u'haute-contre'],
 u'cow bell': [u'sonnailles de troupeau', u'cencerro', u'campana'],
 u'cow horn': [u'cor de vache'],
 u'cowbells': [u'cloches \xe0 vache', u'cloches de vache', u'gencerros'],
 u'crash cymbals': [u'cymbales', u'crash'],
 u'crisp': [u'sec'],
 u'crotales': [u'antike zimbeln', u'crotales', u'antike cymbeln'],
 u'crotchet': [u'noire'],
 u'crotchet rest': [u'soupir'],
 u'crumhorn': [u'cromorne'],
 u'crushed note': [u'pinc\xe9 \xe9touff\xe9'],
 u'curtal': [u'dou\xe7aine'],
 u'cu\xedca': [u'tambour de friction',
               u'cuica',
               u'puita',
               u'omel\xea',
               u'on\xe7a',
               u'zambomba',
               u'rommelpot',
               u'roncador'],
 u'cymbal': [u'cymbales'],
 u'cymbal tongs': [u'castagnettes de fer'],
 u'cymbals': [u'cymbales'],
 u'd': [u'r\xe9'],
 u'd double flat': [u'r\xe9 double b\xe9mol'],
 u'd double sharp': [u'r\xe9 double di\xe8se'],
 u'd flat': [u'r\xe9 b\xe9mol'],
 u'd sharp': [u'r\xe9 di\xe8se'],
 u'dance': [u'danse'],
 u'demisemiquaver': [u'quadruple-croche'],
 u'demisemiquaver rest': [u'huiti\xe8me de soupir'],
 u'descant recorder': [u'fl\xfbte \xe0 bec soprano',
                       u'fl\xfbte douce soprano',
                       u'fl\xfbte droite soprano'],
 u'distant': [u'lointain'],
 u'divertimento': [u'divertissement'],
 u'divided': [u'divise'],
 u'djembe': [u'djemb\xe9'],
 u'djimbe': [u'djemb\xe9'],
 u'dot': [u'point'],
 u'dotted note': [u'note point\xe9e'],
 u'double bar': [u'double-barre'],
 u'double bass': [u'contrebasse'],
 u'double bass clarinet': [u'clarinette contrebasse'],
 u'double bass trombone': [u'trombone contrabasse'],
 u'double flat': [u'double b\xe9mol'],
 u'double reeds': [u'anches doubles'],
 u'double sharp': [u'double di\xe8se'],
 u'double whole note': [u'double-ronde'],
 u'double whole rest': [u'double-pause'],
 u'double-action harp': [u'harpe \u2021 double mouvement'],
 u'down-bow': [u'tir\xe9'],
 u"dragon's mouths": [u'temple-blocs'],
 u'drum': [u'tambour'],
 u'dry': [u'sec'],
 u'duck call': [u'conard'],
 u'dulcian': [u'dou\xe7aine'],
 u'e': [u'mi'],
 u'e double flat': [u'mi double b\xe9mol'],
 u'e double sharp': [u'mi double di\xe8se'],
 u'e flat': [u'mi b\xe9mol'],
 u'e sharp': [u'mi di\xe8', u'se'],
 u'eighth note': [u'croche'],
 u'eighth rest': [u'demi-soupir'],
 u'electric guitar': [u'guitarre \xe9lectrique'],
 u'english horn': [u'cor anglais'],
 u'enough': [u'assez'],
 u'equal voices': [u'voix \xe9gales'],
 u'euphonium': [u'euphonium', u'basse \xe0 pistons'],
 u'f': [u'fa'],
 u'f clef': [u'clef de fa'],
 u'f double flat': [u'fa double b\xe9mol'],
 u'f double sharp': [u'fa double di\xe8se'],
 u'f flat': [u'fa b\xe9mol'],
 u'f sharp': [u'fa di\xe8se'],
 u'feng luo': [u'gong \xe0 vent'],
 u'field drum': [u'tambour militaire'],
 u'fiery': [u'emport\xe9'],
 u'finger cymbals': [u'cymbales digitales', u'sagattes', u'sagates', u'zill'],
 u'fingerboard': [u'touche'],
 u'flag': [u'crochet'],
 u'flat': [u'b\xe9mol'],
 u'flex-a-tone': [u'flexatone'],
 u'flexatone': [u'flexatone'],
 u'floating': [u'flottant'],
 u'flute': [u'fl\xfbte', u'grande fl\xfbte', u'fl\xfbte traversi\xe8re'],
 u"flute d'amore": [u'fl\xfbte tenor', u"fl\xfbte d'amour"],
 u'frame drum': [u'tambour sur cadre'],
 u'freely': [u'librement'],
 u'french horn': [u'cor', u"cor d'harmonie", u'cor fran\xe7ais'],
 u'frog': [u'talon', u'hausse'],
 u'from the sign': [u'du signe'],
 u'g': [u'sol'],
 u'g clef': [u'clef de sol'],
 u'g double flat': [u'sol double b\xe9mol'],
 u'g double sharp': [u'sol double di\xe8se'],
 u'g flat': [u'solb\xe9mol'],
 u'g sharp': [u'sol di\xe8se'],
 u'glass harmonica': [u'coupes de verre',
                      u'harmonica de verre',
                      u'armonica de verre'],
 u'glass harp': [u'coupes de verre',
                 u'harmonica de verre',
                 u'armonica de verre'],
 u'glass wind chimes': [u'baguettes de verre suspendues'],
 u'glissando': [u'glissement'],
 u'glockenspiel': [u'glockenspiel', u'jeu de timbres'],
 u'gong': [u'gong'],
 u'graceful': [u'gracieux'],
 u'guiro': [u'g\xfciro'],
 u'guitar': [u'guitare'],
 u'half note': [u'blanche'],
 u'half rest': [u'demi-pause'],
 u'hand': [u'main'],
 u'handbells': [u'clochettes \u2021 main'],
 u'harmonica': [u'harmonica'],
 u'harmonium': [u'harmonium'],
 u'harp': [u'harpe'],
 u'harpsichord': [u'clavecin', u'clave\xe7in', u'clavessin'],
 u'hawaiian guitar': [u'guitare hawa\xd4enne', u'guitare hawaiienne'],
 u'heavy': [u'lourd'],
 u'heckelphone': [u'heckelphone'],
 u'held back': [u'retenu'],
 u'helicon': [u'h\xc8licon'],
 u'hemidemisemiquaver': [u'octuple croche'],
 u'hemidemisemiquaver rest': [u'seizi\xe8me de soupir'],
 u'hi-hat': [u'cymbale \xe0 p\xe9dale', u'hi-hat', u'charleston'],
 u'high voice': [u'haut'],
 u'hold': [u'pauses', u"point d'orgue"],
 u'holding back': [u'en retenant'],
 u'horn': [u'cor'],
 u'hunting horn': [u'cor de chasse', u'bugle'],
 u'hurdy-gurdy': [u'vielle \u2021 roue'],
 u'hurry': [u'serrer'],
 u'hurrying on': [u'en pressant'],
 u'hydrocrystalophone': [u'coupes de verre',
                         u'harmonica de verre',
                         u'armonica de verre'],
 u'impetuous': [u'emport\xe9'],
 u'in time': [u'en mesure'],
 u'instrumental ensembles': [u'ensembles instrumentaux'],
 u'interval': [u'intervalle'],
 u'iron pipe': [u'tuyau de fer'],
 u'jackdaw': [u'rugissement de lion', u'tambour \xe0 corde'],
 u'jaw bone': [u'quijada'],
 u'jaw harp': [u'guimbarde', u'trompe de bearn'],
 u'jawbone': [u'quyada'],
 u'jazz flute': [u'fl\u02date lotine',
                 u'fl\u02date \u2021 coulisse',
                 u'sifflet \u2021 coulisse'],
 u'jembe': [u'djemb\xe9'],
 u'jenbe': [u'djemb\xe9'],
 u"jew's harp": [u'guimbarde', u'trompe de bearn'],
 u'jimbay': [u'djemb\xe9'],
 u'jingle bells': [u'grelots'],
 u'jingling johnny': [u'chapeau chinois',
                      u'pavillon chinois',
                      u'cloche pavillon'],
 u'joyful': [u'joyeux'],
 u'kettle drums': [u'timbales'],
 u'kettledrum': [u'timbale', u'timbales'],
 u'keyboard instrument': [u'instrument \xe0 clavier'],
 u'klaxon': [u"trompe d'auto", u'claxon'],
 u'lap steel guitar': [u'guitare hawa\xd4enne', u'guitare hawaiienne'],
 u'left': [u'gauche'],
 u'left hand': [u'main gauche'],
 u'less': [u'moins'],
 u'light': [u'l\xe9g\xe8rement'],
 u'lion gong': [u'gong \xe0 vent'],
 u"lion's roar": [u'rugissement de lion', u'tambour \xe0 corde'],
 u'lithophone': [u'phonolithe', u'litophone'],
 u'little': [u'peu'],
 u'lively': [u'vivement', u'vif'],
 u'love': [u'amour'],
 u'low': [u'bas-dessus'],
 u'low voice': [u'grave'],
 u'lullaby': [u'berceuse'],
 u'lute': [u'luth'],
 u'major': [u'majeur'],
 u'male alto': [u'bas-dessus'],
 u'mandolin': [u'mandoline'],
 u'maracas': [u'maracas'],
 u'marimba': [u'marimba'],
 u'marine': [u'tambourin', u'tambour de basque'],
 u'mark tree': [u'chapeau chinois'],
 u'measure': [u'mesure'],
 u'medium voice': [u'm\xe9dium', u'moyen'],
 u"men's voices": [u"choeur d'homme"],
 u'metal castanets': [u'castagnettes de fer'],
 u'metal wind chimes': [u'baguettes m\xe9talliques suspendues'],
 u'mezzo soprano': [u'mezzo-soprano'],
 u'military snare drum': [u'tambour militaire'],
 u'minim': [u'blanche'],
 u'minim rest': [u'demi-pause'],
 u'minor': [u'mineur'],
 u'mixed voices': [u'voix mixtes'],
 u'moderately': [u'mod\xe9r\xe9'],
 u"mohamed's banner": [u'chapeau chinois',
                       u'pavillon chinois',
                       u'cloche pavillon'],
 u'more': [u'plus'],
 u'motor horn': [u"trompe d'auto", u'claxon'],
 u'mouth organ': [u'harmonica'],
 u'mouth siren': [u'sir\xe8ne \xe0 bouche'],
 u'musical glasses': [u'coupes de verre',
                      u'harmonica de verre',
                      u'armonica de verre'],
 u'musical instruments': [u'instruments de musique'],
 u'musical saw': [u'scie musicale', u'lame musicale'],
 u'musical stones': [u'phonolithe'],
 u'natural': [u'b\xe1carre'],
 u'natural horn': [u'cor simple'],
 u'natural trumpet': [u'trompette naturelle'],
 u'not too much': [u'pas trop'],
 u'note': [u'note'],
 u'notehead': [u't\xeate de la note'],
 u'nut': [u'talon', u'hausse'],
 u'oboe': [u'hautbois'],
 u"oboe d'amore": [u"hautbois d'amore", u"hautbois d'amour"],
 u'ocarina': [u'ocarina'],
 u'octave': [u'octave'],
 u'octave flute': [u'petite fl\xfbte', u'fl\xfbte piccolo'],
 u'oficleide': [u'ophicl\xc8ide'],
 u'ondes martenot': [u'ondes martenot'],
 u'one': [u'un'],
 u'one hundred and twenty-eighth note': [u'cent-vingt huiti\xe8me'],
 u'one hundred and twenty-eighth rest': [u'trente et deuxi\xe8me de soupir'],
 u'orchestra': [u'orchestre'],
 u'orchestra bells': [u'glockenspiel', u'jeu de timbres'],
 u'organ': [u'orgue'],
 u'ornament': [u'agr\xe9ments', u'broderies'],
 u'pailas criollas': [u'timbales cubaines',
                      u'timbales cr\xe9oles',
                      u'timbales latines'],
 u'pan': [u"tambour d'acier"],
 u'pan flute': [u'fl\xfbte de pan', u'syrinx'],
 u'pan pipe': [u'fl\xfbte de pan', u'syrinx'],
 u'panflute': [u'fl\xfbte de pan', u'syrinx'],
 u'panpipes': [u'fl\xfbte de pan', u'syrinx'],
 u'percussion instruments': [u'instruments \xe0 percussion', u'batterie'],
 u'piano': [u'piano', u'pianoforte'],
 u'pianoforte': [u'piano', u'pianoforte'],
 u'piccolo': [u'fl\xfbte piccolo', u'petite fl\xfbte'],
 u'piccolo snare drum': [u'petit tambour'],
 u'pistol shot': [u'coup de pistolet'],
 u'piston flute': [u'fl\u02date lotine',
                   u'fl\u02date \u2021 coulisse',
                   u'sifflet \u2021 coulisse'],
 u'plate bell': [u'cloche-plaque', u'cloche en lame de m\xe9tal'],
 u'plucked instruments': [u'instruments \xe0 cordes pinc\xe9es'],
 u'police whistle': [u'sifflet', u'sifflet \xe0 roulette'],
 u'post horn': [u'cor postal', u'cor de postillon', u'cornet postal'],
 u'post-horn': [u'cor postal', u'cor de postillon', u'cornet postal'],
 u'posthorn': [u'cor postal', u'cor de postillon', u'cornet postal'],
 u'prominent': [u'en dehors'],
 u'proudly': [u'fier', u'fiere'],
 u'quarter note': [u'noire'],
 u'quarter rest': [u'soupir'],
 u'quaver': [u'croche'],
 u'quaver rest': [u'demi-soupir'],
 u'quick': [u'vite'],
 u'quicken': [u'serrer'],
 u'quijada': [u'quijada'],
 u'railroad tracks': [u'c\xe9sure', u'pauses'],
 u'ratchet': [u'cr\xe9celle'],
 u'rattle': [u'cr\xe9celle'],
 u'recitative': [u'r\xe9citative'],
 u'recorder': [u'fl\xfbte \xe0 bec',
               u'fl\xfbte douce',
               u'droite',
               u'fl\xfbte droite'],
 u'reeds': [u'anches'],
 u'relax the speed': [u'c\xe9dez'],
 u'repeat': [u'repetici\xf4n', u'reprise'],
 u'resonant': [u'sonore'],
 u'rhythm guitar': [u'guitare rythmique'],
 u'right': [u'droite'],
 u'right hand': [u'main droite'],
 u'rommelpot': [u'tambour de friction',
                u'cuica',
                u'puita',
                u'omel\xea',
                u'on\xe7a',
                u'zambomba',
                u'rommelpot',
                u'roncador'],
 u'roto-tom': [u'rototom'],
 u'rototom': [u'rototom'],
 u'sanbanyi': [u'djemb\xe9'],
 u'sandpaper blocks': [u'papier de verre'],
 u'sarrusophone': [u'sarrusophone'],
 u'saxophone': [u'saxophone'],
 u'semibreve': [u'ronde'],
 u'semibreve rest': [u'pause'],
 u'semihemidemisemiquaver': [u'cent-vingt huiti\xe8me'],
 u'semihemidemisemiquaver rest': [u'trente et deuxi\xe8me de soupir'],
 u'semiquaver': [u'double-croche'],
 u'semiquaver rest': [u'quart de soupir'],
 u'serpent': [u'serpent'],
 u'sharp': [u'di\xe8se'],
 u'shell wind chimes': [u'baguettes de coquille suspendues'],
 u'short appoggiatura': [u'pinc\xe9 \xe9touff\xe9'],
 u'siciliano': [u'sicilienne'],
 u'side drum': [u'tambour', u'caisse claire'],
 u'similar to': [u'comme'],
 u'singing saw': [u'scie musicale'],
 u'siren': [u'sir\xe8ne'],
 u'sixteenth note': [u'double-croche'],
 u'sixteenth rest': [u'quart de soupir'],
 u'sixty-fourth note': [u'octuple croche'],
 u'sixty-fourth rest': [u'seizi\xe8me de soupir'],
 u'sizzle cymbal': [u'cymbale sur tiges'],
 u'slapstick': [u'fouet'],
 u'sleigh bells': [u'grelots'],
 u'slide trombone': [u'trombone \u2021 coulisse'],
 u'slide trumpet': [u'trompette \u2021 coulisse'],
 u'slide whistle': [u'fl\u02date lotine',
                    u'fl\u02date \u2021 coulisse',
                    u'sifflet \u2021 coulisse'],
 u'slit drum': [u'tambour de bois', u'tambour \xe0 fente'],
 u'slow': [u'lent'],
 u'slow down': [u'ralentir'],
 u'slur': [u'liaison'],
 u'snare drum': [u'caisse claire', u'tambour'],
 u'sock cymbal': [u'cymbale \xe0 p\xe9dale', u'hi-hat', u'charleston'],
 u'sopranino flute': [u'fl\xfbte sopranino'],
 u'sopranino recorder': [u'fl\xfbte \xe0 bec sopranino',
                         u'fl\xfbte douce sopranino',
                         u'fl\xfbte droite sopranino'],
 u'sopranino saxophone': [u'saxophone sopranino'],
 u'soprano': [u'bas-dessus'],
 u'soprano clarinet': [u'petite clarinette'],
 u'soprano flute': [u'fl\xfbte \xe0 tierce',
                    u'fl\xfbte \xe0 la tierce',
                    u'fl\xfbte tierce'],
 u'soprano recorder': [u'fl\xfbte \xe0 bec soprano',
                       u'fl\xfbte douce soprano',
                       u'fl\xfbte droite soprano'],
 u'soprano saxophone': [u'saxophone soprano'],
 u'sound': [u'son'],
 u'spirited': [u'avec verve'],
 u'springing': [u'sautill\xe9'],
 u'steel drum': [u"tambour d'acier"],
 u'steel pan': [u"tambour d'acier"],
 u'stem': [u'queue'],
 u'string': [u'corde'],
 u'string bass': [u'contrebasse'],
 u'string instrument': [u'instrument \xe0 cordes'],
 u'string instruments': [u'instruments \xe0 cordes'],
 u'string orchestra': [u'orchestre \xe0 cordes'],
 u'strings': [u'cordes'],
 u'stroke': [u'coup'],
 u'subcontrabass saxophone': [u'saxophone sous-contrebasse'],
 u'sufficiently': [u'assez'],
 u'suspended cymbal': [u'cymbale suspendue'],
 u'swanee whistle': [u'fl\u02date lotine',
                     u'fl\u02date \u2021 coulisse',
                     u'sifflet \u2021 coulisse'],
 u'sweetly': [u'douce'],
 u'synthesizer': [u'synth\xe9tiseur'],
 u'tabl': [u'tabl\xe2'],
 u'tabla': [u'tabl\xe2'],
 u'tabor': [u'tambour de provence', u'tambourin'],
 u'tabret': [u'tambour de provence', u'tambourin'],
 u'tam-tam': [u'tam-tam'],
 u'tambora': [u'tambora'],
 u'tambourine': [u'tambourin', u'tambour de basque'],
 u'tambourine without jingles': [u'tambour sans cymbales'],
 u'tape': [u'bande'],
 u'temple blocks': [u'temple-blocs'],
 u'tenor': [u't\xe9nor', u'taille'],
 u'tenor drum': [u'caisse roulante', u'tambourin'],
 u'tenor flute': [u'fl\xfbte tenor', u"fl\xfbte d'amour"],
 u'tenor recorder': [u'fl\xfbte \xe0 bec t\xc8nor',
                     u'fl\xfbte douce t\xc8nor',
                     u'fl\xfbte droite t\xc8nor'],
 u'tenor saxophone': [u'saxophone t\xe9nor'],
 u'third flute': [u'fl\xfbte \xe0 tierce',
                  u'fl\xfbte \xe0 la tierce',
                  u'fl\xfbte tierce'],
 u'thirty-second note': [u'quadruple-croche'],
 u'thirty-second rest': [u'huiti\xe8me de soupir'],
 u'thorough-bass': [u'basse continue'],
 u'thunder machine': [u'machine \xe0 tonnerre', u'machine pour le tonnerre'],
 u'thunder sheet': [u'machine \xe0 tonnerre', u'tonnerre \xe0 poign\xe9e'],
 u'thunder stick': [u'planchette ronflante'],
 u'tie': [u'liaison'],
 u'timbales': [u'timbales cubaines',
               u'timbales cr\xe9oles',
               u'timbales latines'],
 u'timpani': [u'timbales', u'timbale'],
 u'to': [u'\xe0'],
 u'to the end': [u'\xe0 la fin'],
 u'tom-tom': [u'tom', u'tom-tom'],
 u'transverse flute': [u'fl\xfbte',
                       u'fl\xfbte traversi\xe8re',
                       u'grande fl\xfbte'],
 u'treble clef': [u'clef de sol'],
 u'treble recorder': [u'fl\xfbte \xe0 bec alto',
                      u'fl\xfbte douce alto',
                      u'fl\xfbte droite alto',
                      u'fl\xfbte alto'],
 u'triangle': [u'triangle'],
 u'trombone': [u'trombone'],
 u'tromp': [u'guimbarde', u'trompe de bearn'],
 u'trump': [u'guimbarde', u'trompe de bearn'],
 u'trumpet': [u'trompette'],
 u'tuba': [u'tuba'],
 u'tubaphone': [u'tubaphone'],
 u'tubular bells': [u'cloches tubulaires', u'cloches tubolaires', u'cloches'],
 u'tumbadora': [u'conga', u'tambour congo', u'tumbadora'],
 u'turkish crescent': [u'chapeau chinois',
                       u'pavillon chinois',
                       u'cloche pavillon'],
 u'turkish drum': [u'grosse caisse', u'tambour bata'],
 u'turkish jingle': [u'chapeau chinois',
                     u'pavillon chinois',
                     u'cloche pavillon'],
 u'ukelele': [u'ukul\xe9l\xe9'],
 u'ukulele': [u'ukul\xe9l\xe9'],
 u'unaccompanied': [u'sans instruments', u'style de chapelle'],
 u'under': [u'sous'],
 u'up-bow': [u'pouss\xe9'],
 u'valve': [u'pistons'],
 u'valve horn': [u'cor \xe0 pistons', u'cor chromatique'],
 u'valve trombone': [u'trombone \xe0 pistons'],
 u'valve trumpet': [u'trompette \u2021 pistons'],
 u'various languages': [u'cor'],
 u'vehicle horn': [u"trompe d'auto", u'claxon'],
 u'very': [u'tr\xe8s'],
 u'vibes': [u'vibraphone'],
 u'vibra slap': [u'vibra slap'],
 u'vibraharp': [u'vibraphone'],
 u'vibraphone': [u'vibraphone', u'vibraharp'],
 u'viola': [u'alto'],
 u"viola d'amore": [u"viole d'amour"],
 u'viola da gamba': [u'viole de gambe', u'viola da gamba'],
 u'violin': [u'violon'],
 u'violoncello': [u'violoncelle'],
 u'vocal ensembles': [u'ensembles vocaux'],
 u'voice': [u'voix'],
 u'waltz': [u'valse'],
 u'wheel fiddle': [u'vielle \u2021 roue'],
 u'whip': [u'fouet'],
 u'whizzer': [u'planchette ronflante'],
 u'whole note': [u'ronde'],
 u'whole rest': [u'pause'],
 u'wind chimes': [u'clochettes \xe9oliennes', u'arbre de marque'],
 u'wind gong': [u'gong \xe0 vent'],
 u'wind instrument': [u'instrument \xe0 vent'],
 u'wind instruments': [u'instruments \xe0 vent'],
 u'wind machine': [u'machine \xe0 vent', u'eoliphone', u'\xe9oliphone'],
 u'windband': [u"orchestre d'instruments \xe0 vent"],
 u'with': [u'avec'],
 u'with rich tone': [u'sonore'],
 u'with the voice': [u'avec la voix'],
 u'with the wood': [u'avec le bois'],
 u'without': [u'sans'],
 u'without mute': [u'sans sourdine'],
 u"women's voices": [u'choeur de femmes'],
 u'wood block': [u'bloc de bois', u'caisse chinoise'],
 u'woodblock': [u'wood-bloc', u'bloc de bois'],
 u'wooden wind chimes': [u'baguettes de bois suspendues'],
 u'woodwind': [u'bois'],
 u'woodwind instrument': [u'instrument \xe0 vent en bois',
                          u'instrument \xe0 vent'],
 u'woodwind instruments': [u'instruments \xe0 vent en bois'],
 u'xylophone': [u'xylophone',
                u'harmonica de bois',
                u'\xc8chelettes',
                u'claquebois'],
 u'xylorimba': [u'xylomarimba'],
 u'yembe': [u'djemb\xe9'],
 u'yield': [u'c\xe9dez'],
 u'yielding': [u'en c\xe9dant'],
 u'ymbe': [u'djemb\xe9'],
 u'zills': [u'cymbales digitales', u'sagattes', u'sagates', u'zill'],
 u'zils': [u'cymbales digitales', u'sagattes', u'sagates', u'zill']}

englishGerman = {u'a': [u'ein', u'a'],
 u'a double flat': [u'ases'],
 u'a double sharp': [u'aisis'],
 u'a flat': [u'as'],
 u'a little': [u'ein wenig'],
 u'a sharp': [u'ais'],
 u'accidental': [u'vorzeichen', u'versetzungszeichen'],
 u'accordion': [u'akkordeon', u'ziehharmonika', u'handharmonika'],
 u'acme siren': [u'sirene'],
 u'afuch\xe9': [u'cabasa'],
 u'again': [u'wieder', u'noch'],
 u'agitated': [u'bewegt'],
 u'agog\xf4': [u'agog\xf4'],
 u'alpenhorn': [u'alphorn'],
 u'alphorn': [u'alphorn'],
 u'alpine bell': [u'cowbell', u'almglocken'],
 u'alpine horn': [u'alphorn'],
 u'alto': [u'alt'],
 u'alto clarinet': [u'altklarinette'],
 u'alto flute': [u'altfl\xf6te'],
 u'alto recorder': [u'altblockfl\xf6te'],
 u'alto saxophone': [u'altsaxophon'],
 u'always': [u'immer'],
 u'ambitus': [u'ambitus'],
 u'and': [u'und'],
 u'animated': [u'bewegt'],
 u'antique cymbals': [u'crotales', u'cymbales antiques', u'antike cymbel'],
 u'anvil': [u'amboss', u'ambo\xdf'],
 u'armonica': [u'gl\xe4serspiel', u'glasharmonika'],
 u'at (near) the sounding board': [u'nahe am korpus anzupfen'],
 u'at a moderate speed': [u'm\xe4ssig'],
 u'at a steady speed': [u'gehend'],
 u'at the bridge': [u'am steg'],
 u'at the fingerboard': [u'am griffbrett'],
 u'at the frog': [u'am frosch'],
 u'at the octave': [u'in der oktave'],
 u'at the point': [u'an der bogenspitze'],
 u'at the tip': [u'an der bogenspitze'],
 u'attack': [u'ansto\xdf'],
 u'autoharp': [u'akkordzither'],
 u'b': [u'h'],
 u'b double flat': [u'hesses'],
 u'b double sharp': [u'hisis'],
 u'b flat': [u'b'],
 u'b sharp': [u'his'],
 u'bagpipe': [u'sackpfeife', u'dudelsack'],
 u'balalaika': [u'balalaika'],
 u'ballad opera': [u'komische oper', u'heitere oper'],
 u'bamboo wind chimes': [u'bambusr\xf6hre'],
 u'band': [u'blasorchester'],
 u'bandoneon': [u'bandoneon'],
 u'banjo': [u'banjo'],
 u'bar': [u'takt'],
 u'baritone': [u'bariton'],
 u'baritone clef': [u'f-schlussel'],
 u'baritone horn': [u'bariton'],
 u'baritone saxophone': [u'baritonsaxophon'],
 u'barline': [u'taktstrich'],
 u'bass': [u'bass'],
 u'bass clarinet': [u'bassklarinette'],
 u'bass clef': [u'f-schlussel'],
 u'bass drum': [u'grosse trommel'],
 u'bass flute': [u'bassfl\xf6te'],
 u'bass recorder': [u'bassblockfl\xf6te'],
 u'bass saxophone': [u'basssaxophon'],
 u'bass trombone': [u'bass posaune'],
 u'bass trumpet': [u'basstrompete'],
 u'bass tuba': [u'basstuba'],
 u'basset horn': [u'bassetthorn'],
 u'bassoon': [u'fagott'],
 u'bat\xe1 drum': [u'bata-trommel'],
 u'beam': [u'balken'],
 u'bell lira': [u'glockenspiel', u'lyra'],
 u'bell lyre': [u'glockenspiel', u'lyra'],
 u'bell plate': [u'plattenglocke'],
 u'bell tree': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'bells': [u'glocken'],
 u'berimbao': [u'berimbao'],
 u'bird whistle': [u'vogelpfeife'],
 u"bird's eye": [u'fermate'],
 u'bongo drums': [u'bongos'],
 u'bow': [u'bogen'],
 u'bowl organ': [u'gl\xe4serspiel', u'glasharmonika'],
 u'brace': [u'klammer'],
 u'brass instrument': [u'blechblasinstrument'],
 u'brass instruments': [u'blechblasinstrumente'],
 u'breath mark': [u'luftpause', u'luftpausen'],
 u'breve': [u'doppelganze', u'doppelganzenote'],
 u'breve rest': [u'doppelganze pause'],
 u'bridge': [u'steg'],
 u'broad': [u'breit'],
 u'broadly': [u'langsam', u'breit'],
 u'brought out': [u'vorgetragen'],
 u'bull-roarer': [u'schwirrholz'],
 u'bullseye gong': [u'tamtam'],
 u'but': [u'aber'],
 u'c': [u'c'],
 u'c clef': [u'c-schlussel'],
 u'c double flat': [u'ceses'],
 u'c double sharp': [u'cisis'],
 u'c flat': [u'ces'],
 u'c sharp': [u'cis'],
 u'cabasa': [u'cabasa'],
 u'cadence': [u'kadenz', u'schluss'],
 u'caesura': [u'c\xe4sur', u'z\xe4sur'],
 u'call': [u'trillerpfeife'],
 u'car horn': [u'autohupe', u'claxon'],
 u'castanets': [u'kastagnetten'],
 u'castenets': [u'kastagnetten'],
 u'cavatina': [u'kavatine'],
 u'celesta': [u'celesta'],
 u'celeste': [u'celesta'],
 u'cello': [u'violoncello', u'violoncell'],
 u'chain': [u'kettenrassel'],
 u'chamber orchestra': [u'kammerorchester'],
 u'chau gong': [u'tamtam'],
 u'cheerful': [u'lustig'],
 u"children's voices": [u'kinderchor'],
 u'chimes': [u'glockenspiel', u'lyra'],
 u'chinese block': [u'holzblock', u'holzblocktrommel'],
 u'chinese cymbal': [u'chinesische h\xe4ngebecken'],
 u'chinese pavilion': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'chinese tom-tom': [u'chinesische tom-tom'],
 u'chord': [u'akkord'],
 u'chorus': [u'chor'],
 u'cimbalom': [u'zymbal', u'zimbal', u'cymbal'],
 u'clarinet': [u'klarinette'],
 u'claves': [u'claves', u'holzstab'],
 u'clavichord': [u'clavichord', u'klavichord'],
 u'coach horn': [u'posthorn'],
 u'comic opera': [u'komische oper', u'heitere oper'],
 u'computer': [u'computerkl\xe4nge'],
 u'concertante': [u'konzertierend', u'konzertant'],
 u'conga drum': [u'conga', u'conga-trommel', u'tumba'],
 u'continuo': [u'generalbass', u'basso continuo'],
 u'contra': [u'kontrabassklarinette'],
 u'contrabass saxophone': [u'kontrabasssaxophon'],
 u'contrabass trombone': [u'kontrabassposaune'],
 u'contrabassoon': [u'kontrafagott'],
 u'contralto': [u'alt'],
 u'cor anglais': [u'englischhorn'],
 u'cornet': [u'kornett', u'ventilkornett', u'piston'],
 u'counter tenor': [u'contratenor'],
 u'cow bell': [u'cowbell', u'almglocken'],
 u'cow horn': [u'stierhorn'],
 u'cowbells': [u'herdenglocken', u'kuhglocken', u'viehschellen'],
 u'crash cymbals': [u'crashbecken', u'becken-paar', u'becken gew\xf6nlich'],
 u'crotales': [u'crotales', u'cymbales antiques'],
 u'crotchet': [u'viertel', u'viertelnote'],
 u'crotchet rest': [u'viertelpause'],
 u'crumhorn': [u'krummhorn'],
 u'crushed note': [u'kurzer vorschlag', u'zusammenschlag'],
 u'curtal': [u'dulzian'],
 u'cu\xedca': [u'cu\xedca', u'reibtrommel', u'brummtopf'],
 u'cymbal': [u'becken'],
 u'cymbal tongs': [u'gabelbecken'],
 u'cymbals': [u'becken'],
 u'd': [u'd'],
 u'd double flat': [u'deses'],
 u'd double sharp': [u'disis'],
 u'd flat': [u'des'],
 u'd sharp': [u'dis'],
 u'dance': [u'tanz'],
 u'delicate': [u'zart'],
 u'demisemiquaver': [u'zweiunddreissigstel', u'zweiunddreissigstelnote'],
 u'demisemiquaver rest': [u'zweiunddreissigstelpause'],
 u'descant recorder': [u'sopranblockfl\xf6te'],
 u'divertimento': [u'divertimento'],
 u'divided': [u'geteilt', u'getheilt'],
 u'djembe': [u'djembe'],
 u'djimbe': [u'djembe'],
 u'dot': [u'punkt'],
 u'dotted note': [u'punktierte note'],
 u'double bar': [u'doppeltaktstrich'],
 u'double bass': [u'kontrabass'],
 u'double bass clarinet': [u'kontrabassklarinette'],
 u'double bass trombone': [u'kontrabassposaune'],
 u'double flat': [u'dopple-be'],
 u'double sharp': [u'doppelkreuz'],
 u'double whole note': [u'doppelganze', u'doppelganzenote'],
 u'double whole rest': [u'doppelganze pause'],
 u'double-action harp': [u'doppelpedalharfe'],
 u'down-bow': [u'niederstrich'],
 u'dragging': [u'schleppen'],
 u"dragon's mouths": [u'tempelbl\xf6cke', u'templeblocks'],
 u'drum': [u'trommel'],
 u'duck call': [u'entenquak'],
 u'dulcian': [u'dulzian'],
 u'dulcimer': [u'hackbrett'],
 u'e': [u'e'],
 u'e double flat': [u'eses'],
 u'e double sharp': [u'eisis'],
 u'e flat': [u'es'],
 u'e sharp': [u'eis'],
 u'eighth note': [u'achtel', u'achtelnote'],
 u'eighth rest': [u'achtelpause'],
 u'electric guitar': [u'elektrische gitarre'],
 u'emotion': [u'empfindung'],
 u'english horn': [u'englischhorn'],
 u'equal voices': [u'stimmen gleiche'],
 u'euphonium': [u'euphonium', u'eufonio'],
 u'everyone is silent': [u'generalpause'],
 u'expansive': [u'breit'],
 u'expression': [u'ausdruck'],
 u'f': [u'f'],
 u'f clef': [u'f-schlussel'],
 u'f double flat': [u'feses'],
 u'f double sharp': [u'fisis'],
 u'f flat': [u'fes'],
 u'f sharp': [u'fis'],
 u'fast': [u'schnell'],
 u'feeling': [u'empfindung'],
 u'feng luo': [u'windgong'],
 u'field drum': [u'milit\xe4rtrommel', u'r\xfchrtrommel'],
 u'fiery': [u'feurig'],
 u'finger cymbals': [u'fingerzimbeln'],
 u'fingerboard': [u'griffbrett'],
 u'flag': [u'fahne', u'f\xe4hnchen'],
 u'flat': [u'be'],
 u'flex-a-tone': [u'flexaton'],
 u'flexatone': [u'flexaton'],
 u'flowing': [u'fliessend'],
 u'flute': [u'fl\xf6te', u'querfl\xf6te'],
 u"flute d'amore": [u'tenorfl\xf6te', u"fl\xf6te d'amore"],
 u'frame drum': [u'rahmentrommel'],
 u'free': [u'frei'],
 u'french horn': [u'horn'],
 u'frog': [u'frosch'],
 u'from the sign': [u'vom zeichen'],
 u'full': [u'voll'],
 u'g': [u'g'],
 u'g clef': [u'g-schlussel'],
 u'g double flat': [u'geses'],
 u'g double sharp': [u'gisis'],
 u'g flat': [u'ges'],
 u'g sharp': [u'gis'],
 u'general pause': [u'grosse pause'],
 u'gentle': [u'leise'],
 u'glass harmonica': [u'gl\xe4serspiel', u'glasharmonika'],
 u'glass harp': [u'gl\xe4serspiel', u'glasharmonika'],
 u'glass wind chimes': [u'glas-windglocken'],
 u'glissando': [u'glissando'],
 u'glockenspiel': [u'glockenspiel', u'lyra'],
 u'gong': [u'gong'],
 u'gradually': [u'nach und nach'],
 u'grand pause': [u'grosse pause'],
 u'guiro': [u'guiro'],
 u'guitar': [u'gitarre'],
 u'half note': [u'halbe', u'halbenote'],
 u'half rest': [u'halbe pause'],
 u'hand': [u'hand'],
 u'handbells': [u'handglocken'],
 u'harmonica': [u'mundharmonika'],
 u'harmonium': [u'harmonium'],
 u'harp': [u'harfe'],
 u'harpsichord': [u'cembalo',
                  u'clavicembalo',
                  u'arpicordo',
                  u'kielfl\xfcgel',
                  u'clavicimbel'],
 u'hawaiian guitar': [u'hawaii-gitarre'],
 u'heartfelt': [u'innig'],
 u'heckelphone': [u'heckelfon'],
 u'helicon': [u'helikon', u'helikontuba'],
 u'hemidemisemiquaver': [u'vierundsechzigstel', u'vierundsechzigstelnote'],
 u'hemidemisemiquaver rest': [u'vierundsechzigstelpause'],
 u'hi-hat': [u'h-hat becken', u'fussbecken', u'st\xe4nderbecken'],
 u'high voice': [u'hohe'],
 u'hold': [u'fermate'],
 u'horn': [u'horn', u'ventilhorn'],
 u'however': [u'doch'],
 u'hunting horn': [u'jagdhorn', u'signalhorn'],
 u'hurdy-gurdy': [u'drehleier', u'radleier', u'leier'],
 u'hydrocrystalophone': [u'gl\xe4serspiel', u'glasharmonika'],
 u'in a singing style': [u'gesangvoll'],
 u'interval': [u'intervall'],
 u'iron pipe': [u'eisenr\xf6hre'],
 u'jackdaw': [u'l\xf6wengebr\xfcll'],
 u'jaw bone': [u'schlagrassel'],
 u'jaw harp': [u'maultrommel'],
 u'jawbone': [u'schlagrassel'],
 u'jazz flute': [u'lotusfl\u02c6te', u'stempelfl\u02c6te', u'kolbenfl\xf6te'],
 u'jembe': [u'djembe'],
 u'jenbe': [u'djembe'],
 u"jew's harp": [u'maultrommel'],
 u'jimbay': [u'djembe'],
 u'jingle bells': [u'schellen', u'rollschellen'],
 u'jingling johnny': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'joined': [u'gebunden'],
 u'joyful': [u'fr\xf6hlich'],
 u'kettle drums': [u'pauken'],
 u'kettledrum': [u'pauke', u'pauken', u'kesselpauke', u'kesseltrommel'],
 u'keyboard instrument': [u'tasteninstrument'],
 u'klaxon': [u'autohupe', u'claxon'],
 u'lap steel guitar': [u'hawaii-gitarre'],
 u'left': [u'linke'],
 u'left hand': [u'linke hand'],
 u'light': [u'leicht'],
 u'lion gong': [u'windgong'],
 u"lion's roar": [u'l\xf6wengebr\xfcll'],
 u'lithophone': [u'lithophon', u'klingsteine', u'litophon', u'steinspiel'],
 u'little': [u'wenig'],
 u'lively': [u'munter', u'lebhaft'],
 u'lovely': [u'lieblich'],
 u'low voice': [u'tiefe'],
 u'lullaby': [u'wiegenlied'],
 u'lute': [u'laute'],
 u'major': [u'dur'],
 u'mandolin': [u'mandoline'],
 u'maracas': [u'maracas'],
 u'marimba': [u'marimbaphon', u'marimba'],
 u'marine': [u'tamburin', u'schellentrommel'],
 u'mark tree': [u'schellenbaum'],
 u'measure': [u'takt'],
 u'medium voice': [u'mittlere'],
 u"men's voices": [u'm\xe4nnerchor', u'm\xe4nnerstimme'],
 u'metal castanets': [u'gabelbecken'],
 u'metal wind chimes': [u'metall-windglocken'],
 u'mezzo soprano': [u'mezzosopran'],
 u'military snare drum': [u'milit\xe4rtrommel', u'r\xfchrtrommel'],
 u'minim': [u'halbe', u'halbenote'],
 u'minim rest': [u'halbe pause'],
 u'minor': [u'moll'],
 u'mixed voices': [u'stimmen gemischte'],
 u'moderately': [u'ziemlich', u'm\xe4ssig'],
 u"mohamed's banner": [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'motor horn': [u'autohupe', u'claxon'],
 u'mouth organ': [u'mundharmonika'],
 u'mouth siren': [u'sirenenpfeife'],
 u'much': [u'viel'],
 u'musical glasses': [u'gl\xe4serspiel', u'glasharmonika'],
 u'musical instruments': [u'musikinstrumente'],
 u'musical saw': [u'singende s\xe4ge', u'spiels\xe4ge'],
 u'musical stones': [u'lithophon', u'klingsteine'],
 u'natural': [u'aufl\xf6sungszeichen', u'quadrat'],
 u'natural horn': [u'waldhorn'],
 u'natural trumpet': [u'naturtrompete'],
 u'nimble': [u'leicht'],
 u'not': [u'nicht'],
 u'not too much': [u'nicht zu viel'],
 u'note': [u'note'],
 u'notehead': [u'notenkopf'],
 u'nut': [u'frosch'],
 u'oboe': [u'oboe', u'hoboe'],
 u"oboe d'amore": [u'liebesoboe', u"oboe d'amore"],
 u'ocarina': [u'okarina'],
 u'octave': [u'oktave'],
 u'octave flute': [u'kleine fl\xf6te', u'pikkolofl\xf6te', u'piccolo'],
 u'oficleide': [u'ophikleide'],
 u'one': [u'ein'],
 u'one hundred and twenty-eighth note': [u'hundertundachtundzwanzigstel',
                                         u'hundertundachtundzwanzigstelnote'],
 u'one hundred and twenty-eighth rest': [u'hundert und achtundzwanzigstelpause'],
 u'orchestra': [u'orchester'],
 u'orchestra bells': [u'glockenspiel', u'lyra'],
 u'organ': [u'orgel'],
 u'ornament': [u'verzierungen'],
 u'pailas criollas': [u'timbales', u'kuba-pauken'],
 u'pan': [u'stahltrommel'],
 u'pan flute': [u'panfl\xf6te',
                u'hirtenfl\xf6te',
                u'syrinx',
                u'papagenopfeife'],
 u'pan pipe': [u'panfl\xf6te',
               u'hirtenfl\xf6te',
               u'syrinx',
               u'papagenopfeife'],
 u'panflute': [u'panfl\xf6te',
               u'hirtenfl\xf6te',
               u'syrinx',
               u'papagenopfeife'],
 u'panpipes': [u'panfl\xf6te',
               u'hirtenfl\xf6te',
               u'syrinx',
               u'papagenopfeife'],
 u'passion': [u'leidenschaft'],
 u'peaceful': [u'ruhig'],
 u'percussion instruments': [u'schlaginstrument',
                             u'perkussionsinstrument',
                             u'schlagzeug',
                             u'schlaginstrumente'],
 u'piano': [u'piano', u'klavier', u'pianoforte'],
 u'pianoforte': [u'klavier', u'pianoforte', u'piano'],
 u'piccolo': [u'pikkolofl\xf6te',
              u'piccolo',
              u'kleine fl\xf6te',
              u'pickelfl\xf6te',
              u'octavfl\xf6te'],
 u'piccolo snare drum': [u'pikkolotrommel', u'tarole'],
 u'pistol shot': [u'pistolenschuss'],
 u'piston flute': [u'lotusfl\u02c6te',
                   u'stempelfl\u02c6te',
                   u'kolbenfl\xf6te'],
 u'plate bell': [u'plattenglocke'],
 u'plucked instruments': [u'zupfinstrumente'],
 u'police whistle': [u'trillerpfeife'],
 u'post horn': [u'posthorn'],
 u'post-horn': [u'posthorn'],
 u'posthorn': [u'posthorn'],
 u'prominent': [u'vorgetragen'],
 u'quarter note': [u'viertel', u'viertelnote'],
 u'quarter rest': [u'viertelpause'],
 u'quaver': [u'achtel', u'achtelnote'],
 u'quaver rest': [u'achtelpause'],
 u'quick': [u'rasch'],
 u'quijada': [u'schlagrassel'],
 u'railroad tracks': [u'c\xe4sur', u'z\xe4sur'],
 u'ratchet': [u'ratsche', u'knarre', u'schnarre'],
 u'rather': [u'etwas'],
 u'rattle': [u'ratsche', u'knarre', u'schnarre'],
 u'recitative': [u'rezitativ'],
 u'recorder': [u'blockfl\xf6te', u'beckfl\xf6te', u'schnabelfl\xf6te'],
 u'repeat': [u'wiederholung'],
 u'rhythm guitar': [u'schlag-rhythmus gitarre', u'schlag gitarre'],
 u'right': [u'rechte'],
 u'right hand': [u'rechte hand'],
 u'rommelpot': [u'cu\xedca', u'reibtrommel', u'brummtopf'],
 u'roto-tom': [u'tom-tom-spiel'],
 u'rototom': [u'tom-tom-spiel'],
 u'sad': [u'traurig'],
 u'sanbanyi': [u'djembe'],
 u'sandpaper blocks': [u'sandpapier', u'sandbl\xf6cke'],
 u'sarrusophone': [u'sarrusofon'],
 u'saxophone': [u'saxophon'],
 u'semibreve': [u'ganzenote'],
 u'semibreve rest': [u'ganze pause'],
 u'semihemidemisemiquaver': [u'hundertundachtundzwanzigstel',
                             u'hundertundachtundzwanzigstelnote'],
 u'semihemidemisemiquaver rest': [u'hundert und achtundzwanzigstelpause'],
 u'semiquaver': [u'sechzehntel', u'sechzehntelnote'],
 u'semiquaver rest': [u'sechzehntelpause'],
 u'serpent': [u'serpent', u'schlangenbass'],
 u'sharp': [u'kreuz'],
 u'shell wind chimes': [u'muschel-windglocken'],
 u'short appoggiatura': [u'kurzer vorschlag', u'zusammenschlag'],
 u'siciliano': [u'siciliana'],
 u'side drum': [u'kleine trommel'],
 u'simple': [u'einfach'],
 u'sincere': [u'innig'],
 u'singing saw': [u'singende s\xe4ge', u'spiels\xe4ge'],
 u'siren': [u'sirene'],
 u'sixteenth note': [u'sechzehntel', u'sechzehntelnote'],
 u'sixteenth rest': [u'sechzehntelpause'],
 u'sixty-fourth note': [u'vierundsechzigstel', u'vierundsechzigstelnote'],
 u'sixty-fourth rest': [u'vierundsechzigstelpause'],
 u'sizzle cymbal': [u'nietenbecken'],
 u'slapstick': [u'peitsche', u'holzklapper'],
 u'sleigh bells': [u'schellen', u'rollschellen'],
 u'slide trombone': [u'zugposaune'],
 u'slide trumpet': [u'zugtrompete'],
 u'slide whistle': [u'lotusfl\u02c6te',
                    u'stempelfl\u02c6te',
                    u'kolbenfl\xf6te'],
 u'slit drum': [u'schlitztrommel'],
 u'slow': [u'langsam'],
 u'slur': [u'bindebogen', u'bindungszeichen'],
 u'snare drum': [u'leinentrommel',
                 u'kleine trommel',
                 u'r\xfchrtrommel',
                 u'marschtrommel',
                 u'schnarrtrommel'],
 u'sock cymbal': [u'h-hat becken', u'fussbecken', u'st\xe4nderbecken'],
 u'soft': [u'leise'],
 u'somewhat': [u'etwas'],
 u'sopranino flute': [u'sopraninofl\xf6te'],
 u'sopranino recorder': [u'sopraninoblockfl\xf6te'],
 u'sopranino saxophone': [u'sopraninosaxophon'],
 u'soprano clarinet': [u'kleine klarinette'],
 u'soprano flute': [u'terzfl\xf6te', u'terzquerfl\xf6te'],
 u'soprano recorder': [u'sopranblockfl\xf6te'],
 u'soprano saxophone': [u'sopransaxophon'],
 u'sound': [u'ton', u'klang'],
 u'spirited': [u'mit schwungvoll'],
 u'steel drum': [u'stahltrommel'],
 u'steel pan': [u'stahltrommel'],
 u'stem': [u'hals', u'notenhals'],
 u'string': [u'saite'],
 u'string bass': [u'kontrabass'],
 u'string instrument': [u'saiteninstrument'],
 u'string instruments': [u'saiteninstrument'],
 u'string orchestra': [u'streichorchester'],
 u'strings': [u'streicher'],
 u'stroke': [u'schlag'],
 u'strong': [u'stark'],
 u'subcontrabass saxophone': [u'subkontrabassaxophon'],
 u'suspended cymbal': [u'h\xe4ngendes becken',
                       u't\xfcrkisches h\xe4ngebecken',
                       u'becken freih\xe4ngend'],
 u'swanee whistle': [u'lotusfl\u02c6te',
                     u'stempelfl\u02c6te',
                     u'kolbenfl\xf6te'],
 u'sweet': [u's\xfcss'],
 u'tabl': [u'tabla'],
 u'tabla': [u'tabla'],
 u'tabor': [u'tambourin'],
 u'tabret': [u'tambourin'],
 u'tam-tam': [u'tamtam'],
 u'tambora': [u'tambora'],
 u'tambourine': [u'tamburin', u'schellentrommel'],
 u'tambourine without jingles': [u'tamburin ohne schellen'],
 u'tape': [u'tonbande', u'zuspielband'],
 u'temple blocks': [u'tempelbl\xf6cke', u'templeblocks'],
 u'tender': [u'zart'],
 u'tenor': [u'tenor'],
 u'tenor drum': [u'r\xfchrtrommel', u'wirbeltrommel', u'tenortrommel'],
 u'tenor flute': [u'tenorfl\xf6te', u"fl\xf6te d'amore"],
 u'tenor recorder': [u'tenorblockfl\xf6te'],
 u'tenor saxophone': [u'tenorsaxophon'],
 u'than': [u'als'],
 u'third flute': [u'terzfl\xf6te', u'terzquerfl\xf6te'],
 u'thirty-second note': [u'zweiunddreissigstel', u'zweiunddreissigstelnote'],
 u'thirty-second rest': [u'zweiunddreissigstelpause'],
 u'thorough-bass': [u'generalbass', u'basso continuo'],
 u'thunder machine': [u'donnermaschine'],
 u'thunder sheet': [u'donnerblech'],
 u'thunder stick': [u'schwirrholz'],
 u'tie': [u'bindung'],
 u'timbales': [u'timbales', u'kuba-pauken'],
 u'timpani': [u'pauken', u'pauke', u'kesselpauke', u'kesseltrommel'],
 u'to': [u'zu'],
 u'to the end': [u'bis zum ende'],
 u'tom-tom': [u'tom tom', u'tom-tom', u'tom'],
 u'too': [u'zu'],
 u'transverse flute': [u'fl\xf6te', u'querfl\xf6te'],
 u'treble clef': [u'g-schlussel'],
 u'treble recorder': [u'altblockfl\xf6te'],
 u'triangle': [u'triangel'],
 u'trombone': [u'posaune'],
 u'tromp': [u'maultrommel'],
 u'trump': [u'maultrommel'],
 u'trumpet': [u'trompete'],
 u'tuba': [u'tuba'],
 u'tubaphone': [u'tubaphon'],
 u'tubular bells': [u'rohrenglocke', u'r\u02c6hrenglocke', u'glocken'],
 u'tumbadora': [u'conga', u'conga-trommel', u'tumba'],
 u'turkish crescent': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'turkish drum': [u'grosse trommel'],
 u'turkish jingle': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
 u'ukelele': [u'ukulele'],
 u'ukulele': [u'ukulele'],
 u'unaccompanied': [u'ohne instrumente'],
 u'under': [u'unter'],
 u'up-bow': [u'aufstrich'],
 u'valve': [u'ventile'],
 u'valve horn': [u'ventilhorn'],
 u'valve trombone': [u'ventilposaune'],
 u'valve trumpet': [u'ventiltrompete'],
 u'various languages': [u'horn'],
 u'vehicle horn': [u'autohupe', u'claxon'],
 u'very': [u'sehr'],
 u'vibes': [u'vibraphon'],
 u'vibra slap': [u'vibraslap'],
 u'vibraharp': [u'vibraphon'],
 u'vibraphone': [u'vibraphon', u'vibraphone'],
 u'vigorous': [u'frisch'],
 u'viola': [u'viola', u'viole', u'bratsche', u'altgeige'],
 u"viola d'amore": [u"viola d'amore", u'liebesgeige'],
 u'viola da gamba': [u'viola da gamba', u'gambe'],
 u'violin': [u'violine', u'geige'],
 u'violoncello': [u'violoncello', u'cello', u'violoncell'],
 u'voice': [u'stimme'],
 u'waltz': [u'walzer'],
 u'weak': [u'schwach'],
 u'wheel fiddle': [u'drehleier', u'radleier', u'leier'],
 u'whip': [u'peitsche', u'holzklapper'],
 u'whizzer': [u'schwirrholz'],
 u'whole note': [u'ganzenote'],
 u'whole rest': [u'ganze pause'],
 u'wind chimes': [u'windspiel', u'windglocken'],
 u'wind gong': [u'windgong'],
 u'wind instrument': [u'blasinstrument'],
 u'wind instruments': [u'blasinstrumente'],
 u'wind machine': [u'windmaschine', u'aeolophon'],
 u'windband': [u'blasorchester'],
 u'with': [u'mit'],
 u'with decision': [u'bestimmt'],
 u'with movement': [u'bewegt'],
 u'with the voice': [u'mit der stimme'],
 u'with the wood': [u'mit holz'],
 u'without': [u'ohne'],
 u'without mute': [u'ohne d\xe4mpfer'],
 u"women's voices": [u'frauenchor', u'frauenstimme'],
 u'wood block': [u'holzblock', u'holzblocktrommel'],
 u'woodblock': [u'holzblock'],
 u'wooden wind chimes': [u'holz-windglocken'],
 u'woodwind': [u'holzbl\xe4ser'],
 u'woodwind instrument': [u'holzblasinstrument'],
 u'woodwind instruments': [u'holzblasinstrumente'],
 u'xylophone': [u'xylophon', u'strohfiedel'],
 u'xylorimba': [u'xylomarimba'],
 u'yembe': [u'djembe'],
 u'yet': [u'doch'],
 u'ymbe': [u'djembe'],
 u'zills': [u'fingerzimbeln'],
 u'zils': [u'fingerzimbeln']}

englishItalian = {u'a': [u'la'],
 u'a 2': [u'a due'],
 u'a double flat': [u'la doppio bemolle'],
 u'a double sharp': [u'la doppio diesis'],
 u'a flat': [u'la bemolle'],
 u'a little': [u'poco'],
 u'a sharp': [u'la diesis'],
 u'above': [u'sopra'],
 u'accented': [u'sforzando'],
 u'accidental': [u'accidente'],
 u'accordion': [u'fisarmonica'],
 u'acme siren': [u'sirena'],
 u'afuch\xe9': [u'cabasa'],
 u'again': [u'ancora'],
 u'agitated': [u'agitato'],
 u'agog\xf4': [u'agogo'],
 u'all': [u'tutti'],
 u'alpenhorn': [u'corno delle alpi'],
 u'alphorn': [u'corno delle alpi'],
 u'alpine bell': [u'campane da pastore', u'campanaccio'],
 u'alpine horn': [u'corno delle alpi'],
 u'alternatively': [u'ossia'],
 u'alto': [u'contralto'],
 u'alto clarinet': [u'clarinetto contralto'],
 u'alto flute': [u'flauto contralto', u'flautone'],
 u'alto recorder': [u'flauto dolce contralto',
                    u'flauto dritto contralto',
                    u'flauto a becco contralto'],
 u'alto saxophone': [u'sassofono contralto', u'sassofono alto'],
 u'always': [u'sempre'],
 u'ambitus': [u'ambitus'],
 u'amiable': [u'amabile'],
 u'and': [u'e', u'ed'],
 u'animated': [u'animato'],
 u'antique cymbals': [u'crotali', u'cimbali'],
 u'anvil': [u'incudine'],
 u'armonica': [u'bicchieri di vetro',
               u'glassarmonica',
               u"'armonica a bicchieri"],
 u'as': [u'come'],
 u'as if': [u'quasi'],
 u'as soft as possible': [u'estinto'],
 u'at': [u'a'],
 u'at (near) the sounding board': [u'presso la tavola'],
 u'at choice': [u'ad libitum'],
 u'at pleasure': [u'a piacere'],
 u'at the bridge': [u'sul ponticello'],
 u'at the fingerboard': [u'sul tasto', u'sulla tastiera'],
 u'at the frog': [u'al tallone'],
 u'at the normal pitch': [u'loco'],
 u'at the octave': [u"all'ottava"],
 u'at the point': [u"a punta d'arco", u"col punta d'arco"],
 u'at the tip': [u"a punta d'arco", u"col punta d'arco"],
 u'attack': [u'attacco'],
 u'autoharp': [u'autoarpa'],
 u'b': [u'si'],
 u'b double flat': [u'si doppio bemolle'],
 u'b double sharp': [u'si doppio diesis'],
 u'b flat': [u'si bemolle'],
 u'b sharp': [u'si diesis'],
 u'bagpipe': [u'cornamusa', u'zampogna'],
 u'balalaika': [u'balalaika'],
 u'ballad opera': [u'opera comica'],
 u'bamboo wind chimes': [u'tubi di bamb\xfa'],
 u'band': [u'orchestra di strumenti a fiato'],
 u'bandoneon': [u'bandoneon'],
 u'banjo': [u'banjo'],
 u'bar': [u'misura'],
 u'baritone': [u'baritono'],
 u'baritone clef': [u'chiave di basso'],
 u'baritone horn': [u'baritono'],
 u'baritone saxophone': [u'sassofono baritono'],
 u'barline': [u'stanghetta'],
 u'bass': [u'basso'],
 u'bass clarinet': [u'clarinetto basso'],
 u'bass clef': [u'chiave di basso'],
 u'bass drum': [u'cassa',
                u'grancassa',
                u'gran cassa',
                u'tamborone',
                u'tamburo grande',
                u'tamburo grosso'],
 u'bass flute': [u'flauto basso'],
 u'bass recorder': [u'flauto dolce basso',
                    u'flauto dritto basso',
                    u'flauto a becco basso'],
 u'bass saxophone': [u'sassofono basso'],
 u'bass trombone': [u'trombono basso', u'trombone basso'],
 u'bass trumpet': [u'tromba basso'],
 u'bass tuba': [u'tuba bassa'],
 u'basset horn': [u'corno di bassetto'],
 u'bassoon': [u'fagotto'],
 u'bat\xe1 drum': [u'tamburo bata'],
 u'beam': [u'barra'],
 u'becoming more lively': [u'animando'],
 u'bell lira': [u'glockenspiel', u'metallofono', u'campanelli'],
 u'bell lyre': [u'glockenspiel', u'metallofono', u'campanelli'],
 u'bell plate': [u'campana in lastra di metallo'],
 u'bell tree': [u'mezzaluna crescent',
                u'turkisch crescent',
                u'albero di sonagli',
                u'cappello cinese',
                u'padiglione cinese',
                u'cappello turco'],
 u'bells': [u'campane'],
 u'below': [u'sotto'],
 u'berimbao': [u'berimbao'],
 u'bird whistle': [u'richiamo per uccelli', u'gliuccelli'],
 u"bird's eye": [u'fermata', u'pause', u'corona'],
 u'boisterous': [u'strepitoso'],
 u'bold': [u'risoluto'],
 u'bongo drums': [u'bongos', u'bonghi'],
 u'bow': [u'arco'],
 u'bowl organ': [u'bicchieri di vetro',
                 u'glassarmonica',
                 u"'armonica a bicchieri"],
 u'brace': [u'accolada'],
 u'brass instrument': [u'ottone'],
 u'brass instruments': [u'ottone'],
 u'breath mark': [u'pause'],
 u'breve': [u'breve'],
 u'breve rest': [u'pausa di breve'],
 u'bridge': [u'ponticello'],
 u'brilliance': [u'bravura'],
 u'broadening': [u'allargando'],
 u'broadly': [u'largamente'],
 u'bull-roarer': [u'legno frullante', u'tavoletta sibilante'],
 u'bullseye gong': [u'tam-tam'],
 u'but': [u'ma'],
 u'by': [u'per'],
 u'c': [u'do'],
 u'c clef': [u'chiave di tenore'],
 u'c double flat': [u'do doppio bemolle'],
 u'c double sharp': [u'do doppio diesis'],
 u'c flat': [u'do bemolle'],
 u'c sharp': [u'do diesis'],
 u'cabasa': [u'cabasa'],
 u'cadence': [u'cadenza'],
 u'caesura': [u'pause', u'cesura'],
 u'call': [u'fischietto a pallina'],
 u'calm': [u'tranquillo'],
 u'car horn': [u'clacson'],
 u'castanets': [u'castagnette', u'nacchere'],
 u'castenets': [u'castagnette'],
 u'cavatina': [u'cavatina'],
 u'celesta': [u'celesta', u'celeste'],
 u'celeste': [u'celesta', u'celeste'],
 u'cello': [u'violoncello', u'cello'],
 u'chain': [u'catena'],
 u'chamber orchestra': [u'orchestra da camera'],
 u'chau gong': [u'tam-tam'],
 u"children's voices": [u'voci bianche'],
 u'chimes': [u'glockenspiel', u'metallofono', u'campanelli'],
 u'chinese block': [u'cassettina', u'blochetto'],
 u'chinese cymbal': [u'piatto cinese'],
 u'chinese pavilion': [u'mezzaluna crescent',
                       u'turkisch crescent',
                       u'albero di sonagli',
                       u'cappello cinese',
                       u'padiglione cinese',
                       u'cappello turco'],
 u'chinese tom-tom': [u'tom-tom cinese'],
 u'chord': [u'accordo'],
 u'chorus': [u'coro'],
 u'cimbalom': [u'cimbalom'],
 u'clarinet': [u'clarinetto'],
 u'claves': [u'claves'],
 u'clavichord': [u'clavicordo'],
 u'coach horn': [u'corno di postiglione', u'corno postale'],
 u'coaxing': [u'lusigando'],
 u'comic opera': [u'opera comica'],
 u'concertante': [u'concertante'],
 u'conga drum': [u'tumba'],
 u'continuo': [u'basso continuo'],
 u'contra or double bass clarinet': [u'clarinetto contrabbasso'],
 u'contrabass saxophone': [u'sassofono contrabbasso'],
 u'contrabass trombone': [u'trombone contrabbasso'],
 u'contrabassoon': [u'contrafagotto'],
 u'contralto': [u'contralto'],
 u'convenient': [u'comodo'],
 u'cor anglais': [u'corno inglese'],
 u'cornet': [u'cornetta', u'cornetta a pistoni'],
 u'counter tenor': [u'controtenore'],
 u'cow bell': [u'campane da pastore', u'campanaccio'],
 u'cow horn': [u'corno di toro'],
 u'cowbells': [u'campanelli di vacca', u'campanelli da mucca', u'campanacci'],
 u'crash cymbals': [u'piatti', u'cinelli'],
 u'crotales': [u'crotali', u'cimbali'],
 u'crotchet': [u'semiminima', u'nera'],
 u'crotchet rest': [u'pausa di semiminima'],
 u'crumhorn': [u'cromorno'],
 u'crushed note': [u'acciaccatura'],
 u'curtal': [u'dulciana'],
 u'cu\xedca': [u'cu\xedca', u'tamburo a frizione', u'puttiputti'],
 u'cymbal': [u'piatti', u'cinelli', u'cimbali'],
 u'cymbal tongs': [u'castagnette di ferro'],
 u'cymbals': [u'piatti', u'cinelli'],
 u'd': [u're'],
 u'd double flat': [u're doppio bemolle'],
 u'd double sharp': [u're doppio diesis'],
 u'd flat': [u're bemolle'],
 u'd sharp': [u're diesis'],
 u'dance': [u'd\xe1nza'],
 u'delicate': [u'delicato'],
 u'demisemiquaver': [u'biscroma'],
 u'demisemiquaver rest': [u'pausa di biscroma'],
 u'descant recorder': [u'flauto dolce soprano',
                       u'flauto dritto soprano',
                       u'flauto a becco soprano'],
 u'detached': [u'staccato'],
 u'divertimento': [u'divertimento'],
 u'divided': [u'divisi', u'diviso'],
 u'djembe': [u'djembe',
             u'djemb\xe8',
             u'djemb\xe9',
             u'djamb\xe8',
             u'djamb\xe9',
             u'jenbe',
             u'jembe',
             u'djimbe'],
 u'djimbe': [u'djembe',
             u'djemb\xe8',
             u'djemb\xe9',
             u'djamb\xe8',
             u'djamb\xe9',
             u'jenbe',
             u'jembe',
             u'djimbe'],
 u'dot': [u'punto'],
 u'dotted note': [u'nota puntata'],
 u'double bar': [u'doppia barra'],
 u'double bass': [u'contrabasso'],
 u'double bass trombone': [u'trombone contrabbasso'],
 u'double flat': [u'doppio bemolle'],
 u'double sharp': [u'doppio diesis'],
 u'double whole note': [u'breve'],
 u'double whole rest': [u'pausa di breve'],
 u'double-action harp': [u'arpa a doppio movimento'],
 u'down-bow': [u'aracata in gi\xf9'],
 u"dragon's mouths": [u'temple blocks',
                      u'blocchi di legno coreani',
                      u'blocchi cinesi',
                      u'block cinese'],
 u'drum': [u'tamburo'],
 u'duck call': [u'gracidio di anitra'],
 u'dulcian': [u'dulciana'],
 u'dulcimer': [u'salterio'],
 u'dying away': [u'smorzando'],
 u'e': [u'mi'],
 u'e double flat': [u'mi doppio bemolle'],
 u'e double sharp': [u'mi doppio diesis'],
 u'e flat': [u'mi bemolle'],
 u'e sharp': [u'mi diesis'],
 u'easy': [u'facile'],
 u'eighth note': [u'croma'],
 u'eighth rest': [u'pausa di croma'],
 u'electric guitar': [u'chitarra elettrica'],
 u'emphasised': [u'accento'],
 u'emphatic': [u'marcato'],
 u'energetic': [u'energico'],
 u'english horn': [u'corno inglese'],
 u'enthusiasm': [u'slancio'],
 u'equal voices': [u'voci pari'],
 u'euphonium': [u'eufonio', u'euphonium', u'baryton'],
 u'everyone': [u'tutti'],
 u'exact': [u'giusto'],
 u'expressive': [u'espressivo'],
 u'f': [u'fa'],
 u'f clef': [u'chiave di basso'],
 u'f double flat': [u'fa doppio bemolle'],
 u'f double sharp': [u'fa doppio diesis'],
 u'f flat': [u'fa bemolle'],
 u'f sharp': [u'fa diesis'],
 u'fading away': [u'mancando'],
 u'fairly quick': [u'allegretto'],
 u'fast': [u'volante'],
 u'feng luo': [u'gong di vento'],
 u'field drum': [u'tamburo militare'],
 u'fierce': [u'feroce'],
 u'finger cymbals': [u'cimbalini'],
 u'fingerboard': [u'tastiera'],
 u'fire': [u'fuoco'],
 u'first': [u'prima'],
 u'flag': [u'coda uncinata', u'bandiera'],
 u'flat': [u'bemolle'],
 u'flex-a-tone': [u'flessatono'],
 u'flexatone': [u'flessatono'],
 u'flexible': [u'flessibile'],
 u'flute': [u'flauto', u'flauto traverso'],
 u"flute d'amore": [u'flauto tenore', u"flauto d'amore"],
 u'flying': [u'volante'],
 u'for': [u'per'],
 u'force': [u'forza'],
 u'forced': [u'sforzando'],
 u'frame drum': [u'tamburo a cornice'],
 u'freely': [u'liberamente'],
 u'french horn': [u'corno', u'corno francese'],
 u'friendly': [u'affabile'],
 u'frog': [u'tallone'],
 u'from the beginning': [u'da capo'],
 u'from the sign': [u'dal segno'],
 u'furious': [u'furioso'],
 u'g': [u'sol'],
 u'g clef': [u'chiave di violino'],
 u'g double flat': [u'sol doppio bemolle'],
 u'g double sharp': [u'sol doppio diesis'],
 u'g flat': [u'sol bemolle'],
 u'g sharp': [u'sol diesis'],
 u'gentle': [u'soave'],
 u'getting quicker': [u'incalzando'],
 u'getting slower': [u'slargando'],
 u'getting softer': [u'calando'],
 u'glass harmonica': [u'bicchieri di vetro',
                      u'glassarmonica',
                      u"'armonica a bicchieri"],
 u'glass harp': [u'bicchieri di vetro',
                 u'glassarmonica',
                 u"'armonica a bicchieri"],
 u'glass wind chimes': [u'bacchette di vetro sospese'],
 u'glissando': [u'glissando'],
 u'glockenspiel': [u'glockenspiel', u'metallofono', u'campanelli'],
 u'go straight on': [u'segue'],
 u'gong': [u'gong'],
 u'graceful': [u'grazioso'],
 u'gradually getting faster': [u'stringendo'],
 u'gradually getting louder': [u'crescendo'],
 u'gradually getting slower': [u'ritardando'],
 u'gradually getting softer': [u'diminuendo'],
 u'grandly': [u'grandioso'],
 u'grave': [u'solenne'],
 u'grief': [u'dolore'],
 u'guiro': [u'guiro'],
 u'guitar': [u'chitarra'],
 u'half note': [u'minima', u'bianca'],
 u'half rest': [u'pausa di minima'],
 u'hand': [u'mano'],
 u'handbells': [u'campanelli a mano'],
 u'happy': [u'felice'],
 u'harmonica': [u'armonica a bocca'],
 u'harmonium': [u'armonium'],
 u'harp': [u'arpa', u'arpe'],
 u'harpsichord': [u'clavicembalo', u'cembalo', u'arpicordo', u'cimbalo'],
 u'haste': [u'fretta'],
 u'hawaiian guitar': [u'chitarra hawaiana'],
 u'headlong': [u'precipitando'],
 u'heavy': [u'pesante'],
 u'heckelphone': [u'heckelphon', u'heckelfono'],
 u'held': [u'tenuto'],
 u'held back': [u'ritenuto'],
 u'helicon': [u'elicon', u'helicon'],
 u'hemidemisemiquaver': [u'semibiscroma'],
 u'hemidemisemiquaver rest': [u'pausa di semibiscroma'],
 u'hi-hat': [u'hi-hat', u'piatti a pedale', u'charleston'],
 u'high': [u'alt'],
 u'high voice': [u'acuto'],
 u'hold': [u'fermata', u'pause', u'corona'],
 u'horn': [u'corno'],
 u'humerous': [u'giocoso'],
 u'hunting horn': [u'corno da caccia'],
 u'hurdy-gurdy': [u'ghironda'],
 u'hurrying': [u'affrettando'],
 u'hydrocrystalophone': [u'bicchieri di vetro',
                         u'glassarmonica',
                         u"'armonica a bicchieri"],
 u'impetuous': [u'impetuoso'],
 u'in': [u'a'],
 u'in a military style': [u'marziale'],
 u'in a singing style': [u'cantabile'],
 u'in a whimsical or fanciful style': [u'capriccioso'],
 u'in the manner of': [u'al', u'alla'],
 u'in the same way': [u'simile'],
 u'interval': [u'intervallo'],
 u'iron pipe': [u'tubo di ferro'],
 u'jackdaw': [u'ruggito del leone'],
 u'jaw bone': [u"mascella d'asino"],
 u'jaw harp': [u'scacciapensieri'],
 u'jawbone': [u'mascella'],
 u'jazz flute': [u'flauto a tiro',
                 u'flauto a culisse',
                 u'zufolo a pistone',
                 u'flauto a cursore'],
 u'jembe': [u'djembe',
            u'djemb\xe8',
            u'djemb\xe9',
            u'djamb\xe8',
            u'djamb\xe9',
            u'jenbe',
            u'jembe',
            u'djimbe'],
 u'jenbe': [u'djembe',
            u'djemb\xe8',
            u'djemb\xe9',
            u'djamb\xe8',
            u'djamb\xe9',
            u'jenbe',
            u'jembe',
            u'djimbe'],
 u'jest': [u'scherzo'],
 u"jew's harp": [u'scacciapensieri'],
 u'jimbay': [u'djembe',
             u'djemb\xe8',
             u'djemb\xe9',
             u'djamb\xe8',
             u'djamb\xe9',
             u'jenbe',
             u'jembe',
             u'djimbe'],
 u'jingle bells': [u'sonagli', u'sonagliera'],
 u'jingling johnny': [u'mezzaluna crescent',
                      u'turkisch crescent',
                      u'albero di sonagli',
                      u'cappello cinese',
                      u'padiglione cinese',
                      u'cappello turco'],
 u'joke': [u'scherzo'],
 u'joking': [u'scherzando'],
 u'joyful': [u'giojoso'],
 u'kettle drums': [u'timpani'],
 u'kettledrum': [u'timpano', u'timpani', u'timballo', u'timballi', u'tympani'],
 u'keyboard instrument': [u'strumento a tastiera'],
 u'klaxon': [u'clacson'],
 u'lap steel guitar': [u'chitarra hawaiana'],
 u'left': [u'sinistra', u'sinistro'],
 u'left hand': [u'mano sinistra',
                u'mano sinistro',
                u'colla sinistra',
                u'col sinistra'],
 u'less': [u'meno'],
 u'light': [u'leggiero'],
 u'like an aria': [u'arioso'],
 u'like walking speed': [u'andantino'],
 u'lion gong': [u'gong di vento'],
 u"lion's roar": [u'ruggito del leone'],
 u'lithophone': [u'pietra sonora', u'litofono', u'litophono'],
 u'lively': [u'vivo', u'veloce'],
 u'long': [u'lunga'],
 u'loud': [u'forte'],
 u'loud then immediately soft': [u'fortepiano'],
 u'love': [u'amore'],
 u'low voice': [u'grave'],
 u'lute': [u'liuto'],
 u'majestic': [u'maestoso'],
 u'major': [u'maggiore'],
 u'mandolin': [u'mandolino'],
 u'maracas': [u'maracas'],
 u'marimba': [u'marimba'],
 u'marine': [u'tamburello', u'tamburino', u'tamburo basco'],
 u'mark tree': [u'albero di sonagli'],
 u'measure': [u'misura'],
 u'medium voice': [u'medio'],
 u"men's voices": [u'coro maschile'],
 u'merry': [u'giojoso'],
 u'metal castanets': [u'castagnette di ferro'],
 u'metal wind chimes': [u'bacchette di metallo sospese'],
 u'mezzo soprano': [u'mezzosoprano'],
 u'military snare drum': [u'tamburo militare'],
 u'minim': [u'minima', u'bianca'],
 u'minim rest': [u'pausa di minima'],
 u'minor': [u'minore'],
 u'mixed voices': [u'voci miste'],
 u'moderate speed': [u'moderato'],
 u'moderately': [u'moderato'],
 u'moderately loud': [u'mezzoforte'],
 u'moderately soft': [u'mezzopiano'],
 u"mohamed's banner": [u'mezzaluna crescent',
                       u'turkisch crescent',
                       u'albero di sonagli',
                       u'cappello cinese',
                       u'padiglione cinese',
                       u'cappello turco'],
 u'more': [u'pi\xf9'],
 u'motor horn': [u'clacson'],
 u'mournful': [u'lugubre'],
 u'mouth organ': [u'armonica a bocca'],
 u'mouth siren': [u'sirena a fiato'],
 u'movement': [u'moto'],
 u'much': [u'molto'],
 u'musical glasses': [u'bicchieri di vetro',
                      u'glassarmonica',
                      u"'armonica a bicchieri"],
 u'musical instruments': [u'strumenti musicali'],
 u'musical saw': [u'sega musicale', u'sega cantante', u'sega ad arco'],
 u'musical stones': [u'pietra sonora', u'litofono'],
 u'mysterious': [u'misterioso'],
 u'natural': [u'bequadro'],
 u'natural horn': [u'corno naturale'],
 u'natural trumpet': [u'tromba naturale'],
 u'new': [u'nuovo'],
 u'nimble': [u'leggiero'],
 u'nobly': [u'nobilmente'],
 u'noisy': [u'strepitoso'],
 u'not': [u'non'],
 u'not too much': [u'non troppo'],
 u'note': [u'nota'],
 u'notehead': [u'testa', u'testina', u'capocchia'],
 u'nothing': [u'niente'],
 u'nut': [u'tallone'],
 u'obligatory': [u'obbligato'],
 u'oboe': [u'oboe'],
 u"oboe d'amore": [u"oboe d'amore"],
 u'ocarina': [u'ocarina'],
 u'octave': [u'ottava'],
 u'octave flute': [u'ottavino', u'flauto piccolo', u'ottavino'],
 u'oficleide': [u'ophicleide'],
 u'one hundred and twenty-eighth note': [u'centoventottavo'],
 u'one hundred and twenty-eighth rest': [u'pausa di centoventottavo'],
 u'or': [u'ossia'],
 u'orchestra': [u'orchestra'],
 u'orchestra bells': [u'glockenspiel', u'metallofono', u'campanelli'],
 u'organ': [u'organo'],
 u'ornament': [u'fiorette', u'fioriture', u'abbellimento'],
 u'pailas criollas': [u'timbales', u'timpanetti', u'timbales latinoamericani'],
 u'pan': [u"tamburo d'acciaio"],
 u'pan flute': [u'flauto di pan', u'siringa'],
 u'pan pipe': [u'flauto di pan', u'siringa'],
 u'panflute': [u'flauto di pan', u'siringa'],
 u'panpipes': [u'flauto di pan', u'siringa'],
 u'pause': [u'pausa'],
 u'peaceful': [u'placido'],
 u'percussion instruments': [u'strumento a percussione',
                             u'batteria',
                             u'strumenti a percussione',
                             u'stromenti a percossa',
                             u'stromenti da percossa',
                             u'percussione'],
 u'persistent': [u'ostinato'],
 u'piano': [u'piano', u'pianoforte'],
 u'pianoforte': [u'pianoforte', u'piano'],
 u'piccolo': [u'ottavino', u'flauto piccolo'],
 u'piccolo snare drum': [u'tamburo acuto', u'tamburo piccolo', u'tarole'],
 u'pistol shot': [u'pistolettata'],
 u'piston flute': [u'flauto a tiro',
                   u'flauto a culisse',
                   u'zufolo a pistone',
                   u'flauto a cursore'],
 u'plain': [u'semplice'],
 u'plaintive': [u'piangevole'],
 u'plate bell': [u'campana in lastra di metallo'],
 u'playful': [u'scherzando'],
 u'pleasant': [u'piacevole'],
 u'plucked': [u'pizzicato'],
 u'plucked instruments': [u'strumenti a pizzico'],
 u'police whistle': [u'fischietto a pallina'],
 u'possible': [u'possible'],
 u'post horn': [u'corno di postiglione', u'corno postale'],
 u'post-horn': [u'corno di postiglione', u'corno postale'],
 u'posthorn': [u'corno di postiglione', u'corno postale'],
 u'prominent': [u'in relievo'],
 u'proper': [u'giusto'],
 u'proudly': [u'fiero', u'fieramente'],
 u'quarter note': [u'semiminima', u'nera'],
 u'quarter rest': [u'pausa di semiminima'],
 u'quaver': [u'croma'],
 u'quaver rest': [u'pausa di croma'],
 u'quickening the speed': [u'stretto'],
 u'quijada': [u"mascella d'asino"],
 u'railroad tracks': [u'pause', u'cesura'],
 u'rapid': [u'tosto'],
 u'ratchet': [u'raganella'],
 u'rather little': [u'pochettino'],
 u'rather slow': [u'largo'],
 u'rattle': [u'raganella'],
 u'recitative': [u'recitativo'],
 u'recorder': [u'flauto dolce',
               u'dritto',
               u'a becco',
               u'flauto dritto',
               u'flauto a becco',
               u'flauto diritto'],
 u'reinforcing': [u'rinforzando'],
 u'repeat': [u'replica'],
 u'resembling': [u'quasi'],
 u'resonant': [u'sonoro'],
 u'restless': [u'inquieto'],
 u'rhythm guitar': [u'chitarra battente'],
 u'rhythmically': [u'ritmico'],
 u'right': [u'destra', u'destro'],
 u'right hand': [u'mano destra',
                 u'mano destro',
                 u'colla destra',
                 u'col destra'],
 u'rommelpot': [u'cu\xedca', u'tamburo a frizione', u'puttiputti'],
 u'roto-tom': [u'rototom', u'roto-tom-tom'],
 u'rototom': [u'rototom', u'roto-tom-tom'],
 u'rushing': [u'precipitando'],
 u'sad': [u'triste'],
 u'sanbanyi': [u'djembe',
               u'djemb\xe8',
               u'djemb\xe9',
               u'djamb\xe8',
               u'djamb\xe9',
               u'jenbe',
               u'jembe',
               u'djimbe'],
 u'sandpaper blocks': [u'carta vetrata', u'ceppi di carta vetro'],
 u'sarrusophone': [u'sarrusofono'],
 u'saxophone': [u'sassofono', u'saxofono', u'sax'],
 u'second': [u'seconda'],
 u'semibreve': [u'semibreve'],
 u'semibreve rest': [u'pausa di semibreve'],
 u'semihemidemisemiquaver': [u'centoventottavo'],
 u'semihemidemisemiquaver rest': [u'pausa di centoventottavo'],
 u'semiquaver': [u'semicroma'],
 u'semiquaver rest': [u'pausa di semicroma'],
 u'serpent': [u'serpentone'],
 u'sharp': [u'diesis'],
 u'shell wind chimes': [u'bacchette di conchiglia sospese'],
 u'short appoggiatura': [u'acciaccatura'],
 u'siciliano': [u'siciliana', u'siciliano', u'ciciliano'],
 u'side drum': [u'tamburo', u'tamburo', u'piccolo cassa'],
 u'sighing': [u'sospirando'],
 u'silent': [u'tacet'],
 u'similar to': [u'come'],
 u'simple': [u'semplice'],
 u'singing': [u'cantando'],
 u'singing saw': [u'sega musicale', u'sega cantante', u'sega ad arco'],
 u'siren': [u'sirena a mano', u'sirena'],
 u'sixteenth note': [u'semicroma'],
 u'sixteenth rest': [u'pausa di semicroma'],
 u'sixty-fourth note': [u'semibiscroma'],
 u'sixty-fourth rest': [u'pausa di semibiscroma'],
 u'sizzle cymbal': [u'piatto chiodati'],
 u'skill': [u'bravura'],
 u'slapstick': [u'frusta'],
 u'sleigh bells': [u'sonagli', u'sonagliera'],
 u'slide trombone': [u'trombone a tiro'],
 u'slide trumpet': [u'tromba a tirarsi', u'tromba a tiro'],
 u'slide whistle': [u'flauto a tiro',
                    u'flauto a culisse',
                    u'zufolo a pistone',
                    u'flauto a cursore'],
 u'slit drum': [u'tamburo di legno a fessura'],
 u'slow': [u'lento'],
 u'slowly': [u'adagio'],
 u'slur': [u'legatura'],
 u'smooth': [u'soave'],
 u'smoothly': [u'legato'],
 u'snare drum': [u'tamburo rullante',
                 u'tamburo militare',
                 u'rullante',
                 u'cassa chiara'],
 u'so much': [u'tanto'],
 u'sock cymbal': [u'hi-hat', u'piatti a pedale', u'charleston'],
 u'soft': [u'piano'],
 u'solemn': [u'solenne'],
 u'sopranino flute': [u'flauto sopranino'],
 u'sopranino recorder': [u'flauto dolce sopranino',
                         u'flauto dritto sopranino',
                         u'flauto a becco sopranino'],
 u'sopranino saxophone': [u'sassofono sopranino'],
 u'soprano clarinet': [u'clarinetto piccolo'],
 u'soprano flute': [u'flauto traverso terzetto', u'flauto soprano'],
 u'soprano recorder': [u'flauto dolce soprano',
                       u'flauto dritto soprano',
                       u'flauto a becco soprano'],
 u'soprano saxophone': [u'sassofono soprano'],
 u'sorrowful': [u'triste'],
 u'soul': [u'anima'],
 u'sound': [u'sono'],
 u'speaking': [u'parlando'],
 u'speed': [u'tempo'],
 u'spirit': [u'anima'],
 u'spirited': [u'spiritoso'],
 u'stately': [u'largo'],
 u'steel drum': [u"tamburo d'acciaio"],
 u'steel pan': [u"tamburo d'acciaio"],
 u'stem': [u'asta', u'gamba'],
 u'strict': [u'rigoroso'],
 u'string': [u'corda'],
 u'string bass': [u'contrabasso'],
 u'string instrument': [u'strumento a corda', u'strumenti archi'],
 u'string instruments': [u'strumenti archi'],
 u'string orchestra': [u"orchestra d'archi"],
 u'strings': [u'archi'],
 u'stroke': [u'colpo'],
 u'strong': [u'vigoroso'],
 u'subcontrabass saxophone': [u'sassofono subcontrabbasso'],
 u'suddenly': [u'subito'],
 u'suspended cymbal': [u'piatto sospeso'],
 u'sustained': [u'sostenuto'],
 u'swanee whistle': [u'flauto a tiro',
                     u'flauto a culisse',
                     u'zufolo a pistone',
                     u'flauto a cursore'],
 u'sweetly': [u'dolce'],
 u'swift': [u'veloce'],
 u'synthesizer': [u'sintetizzatore'],
 u'tabl': [u'tabla', u'tubblaa'],
 u'tabla': [u'tabla', u'tubblaa'],
 u'tabor': [u'tamburo'],
 u'tabret': [u'tamburo'],
 u'tam-tam': [u'tam-tam'],
 u'tambora': [u'tambora'],
 u'tambourine': [u'tamburello', u'tamburino', u'tamburo basco'],
 u'tambourine without jingles': [u'tamburino senza cimbali'],
 u'tape': [u'nastro'],
 u'temple blocks': [u'temple blocks',
                    u'blocchi di legno coreani',
                    u'blocchi cinesi',
                    u'block cinese'],
 u'tenderly': [u'teneramente'],
 u'tenor': [u'tenore'],
 u'tenor drum': [u'cassa rullante', u'tamburino', u'tamburo rullante'],
 u'tenor flute': [u'flauto tenore', u"flauto d'amore"],
 u'tenor recorder': [u'flauto dolce tenore',
                     u'flauto dritto tenore',
                     u'flauto a becco tenore'],
 u'tenor saxophone': [u'sassofono tenore'],
 u'the end': [u'fine'],
 u'the same': [u"l'istesso"],
 u'third flute': [u'flauto traverso terzetto', u'flauto soprano'],
 u'thirty-second note': [u'biscroma'],
 u'thirty-second rest': [u'pausa di biscroma'],
 u'thorough-bass': [u'basso continuo'],
 u'thunder machine': [u'macchina per il tuono'],
 u'thunder sheet': [u'lastra del tuono', u'tuono a pugno'],
 u'thunder stick': [u'legno frullante', u'tavoletta sibilante'],
 u'tie': [u'legatura'],
 u'timbales': [u'timbales', u'timpanetti', u'timbales latinoamericani'],
 u'time': [u'volta'],
 u'timpani': [u'timpano', u'timpani', u'timballo', u'timballi', u'tympani'],
 u'to': [u'per'],
 u'to the end': [u'al fine'],
 u'tom-tom': [u'tom-tom'],
 u'too much': [u'troppo'],
 u'transverse flute': [u'flauto', u'flauto traverso'],
 u'treble clef': [u'chiave di violino'],
 u'treble recorder': [u'flauto dolce contralto',
                      u'flauto dritto contralto',
                      u'flauto a becco contralto'],
 u'triangle': [u'triangolo'],
 u'triumphant': [u'trionfale'],
 u'trombone': [u'trombone'],
 u'tromp': [u'scacciapensieri'],
 u'trump': [u'scacciapensieri'],
 u'trumpet': [u'tromba', u'clarino'],
 u'tuba': [u'tuba'],
 u'tubaphone': [u'tubofono'],
 u'tubular bells': [u'campane tubolari', u'campane tubulari', u'campane'],
 u'tumbadora': [u'tumba'],
 u'turkish crescent': [u'mezzaluna crescent',
                       u'turkisch crescent',
                       u'albero di sonagli',
                       u'cappello cinese',
                       u'padiglione cinese',
                       u'cappello turco'],
 u'turkish drum': [u'gran cassa',
                   u'cassa',
                   u'tamborone',
                   u'tamburo grande',
                   u'tamburo grosso',
                   u'gran cassa'],
 u'turkish jingle': [u'mezzaluna crescent',
                     u'turkisch crescent',
                     u'albero di sonagli',
                     u'cappello cinese',
                     u'padiglione cinese',
                     u'cappello turco'],
 u'turn the page at once': [u'volti subito'],
 u'twice': [u'bis'],
 u'twice as fast': [u'doppio movimento'],
 u'ukelele': [u'ukulele'],
 u'ukulele': [u'ukulele'],
 u'unaccompanied': [u'a capella', u'a cappella', u'a-cappella'],
 u'under': [u'sotto'],
 u'up-bow': [u'arcata in su'],
 u'valve': [u'pistoni'],
 u'valve horn': [u'corno ventile', u'corno cromatico'],
 u'valve trombone': [u'trombone a pistoni'],
 u'valve trumpet': [u'tromba a pistoni'],
 u'various languages': [u'corno'],
 u'vehicle horn': [u'clacson'],
 u'very': [u'molto'],
 u'very fast': [u'presto'],
 u'very loud': [u'fortissimo'],
 u'very slow': [u'grave'],
 u'very soft': [u'pianissimo'],
 u'vibes': [u'vibrafono'],
 u'vibra slap': [u'vibra slap'],
 u'vibraharp': [u'vibrafono'],
 u'vibraphone': [u'vibrafono', u'vibraphon'],
 u'vigorous': [u'vigoroso'],
 u'vigour': [u'brio'],
 u'viola': [u'viola'],
 u"viola d'amore": [u"viola d'amore"],
 u'viola da gamba': [u'viola da gamba'],
 u'violin': [u'violino'],
 u'violoncello': [u'violoncello', u'cello'],
 u'voice': [u'voce', u'voca'],
 u'walking speed': [u'andante'],
 u'waltz': [u'valzer'],
 u'well': [u'ben'],
 u'wheel fiddle': [u'ghironda'],
 u'whip': [u'frusta'],
 u'whizzer': [u'legno frullante', u'tavoletta sibilante'],
 u'whole note': [u'semibreve'],
 u'whole rest': [u'pausa di semibreve'],
 u'wind chimes': [u'bacchette di sospese', u'albero di marchio'],
 u'wind gong': [u'gong di vento'],
 u'wind instrument': [u'strumento a fiato'],
 u'wind instruments': [u'strumenti a fiato'],
 u'wind machine': [u'macchina del vento', u'eolifono', u'machina a venti'],
 u'windband': [u'orchestra di strumenti a fiato'],
 u'with': [u'con'],
 u'with a minim beat': [u'alla breve'],
 u'with deep feeling': [u'patetico'],
 u'with determination': [u'deciso'],
 u'with passion': [u'appassionato'],
 u'with rich tone': [u'sonoro'],
 u'with some freedom of time': [u'rubato'],
 u'with the bow': [u'arco'],
 u'with the voice': [u'colla voce', u'con la voce', u'colla parte'],
 u'with the wood': [u'col legno'],
 u'without': [u'senza'],
 u'without mute': [u'senza sordino'],
 u"women's voices": [u'coro femminile'],
 u'wood block': [u'cassettina', u'blochetto'],
 u'woodblock': [u'cassetina', u'blocco di legno', u'blocco di legno cinese'],
 u'wooden wind chimes': [u'bacchette di legno sospese'],
 u'woodwind': [u'legni', u'fiati'],
 u'woodwind instrument': [u'legno'],
 u'woodwind instruments': [u'legni'],
 u'xylophone': [u'xilofono', u'xilifono', u'silofono', u'gigelira'],
 u'xylorimba': [u'xilomarimba'],
 u'yembe': [u'djembe',
            u'djemb\xe8',
            u'djemb\xe9',
            u'djamb\xe8',
            u'djamb\xe9',
            u'jenbe',
            u'jembe',
            u'djimbe'],
 u'ymbe': [u'djembe',
           u'djemb\xe8',
           u'djemb\xe9',
           u'djamb\xe8',
           u'djamb\xe9',
           u'jenbe',
           u'jembe',
           u'djimbe'],
 u'zills': [u'cimbalini'],
 u'zils': [u'cimbalini']}

englishSpanish = {u'a': [u'la'],
 u'a double flat': [u'la doble bemol'],
 u'a double sharp': [u'la doble sostenido'],
 u'a flat': [u'la bemol'],
 u'a sharp': [u'la sostenido'],
 u'accordion': [u'acorde\xf3n'],
 u'afuch\xe9': [u'cabasa', u'cabassa', u'cabaza', u'afuch\xe9'],
 u'agog\xf4': [u'agog\xf4'],
 u'alpenhorn': [u'trompa de los alpes', u'alforn'],
 u'alphorn': [u'trompa de los alpes', u'alforn'],
 u'alpine bell': [u'cencerro', u'campano'],
 u'alpine horn': [u'trompa de los alpes', u'alforn'],
 u'alto': [u'contralto'],
 u'alto clarinet': [u'clarinete alto'],
 u'alto flute': [u'flauta alto', u'flauta en sol', u'flauta baja'],
 u'alto recorder': [u'flauta recta contralto',
                    u'flauta dulce contralto',
                    u'flauta de pico contralto'],
 u'alto saxophone': [u'saxof\xf3no alto', u'saxof\xf3n'],
 u'ambitus': [u'ambitus'],
 u'antique cymbals': [u'crotalos', u'platillos antiguos', u'crotalos'],
 u'anvil': [u'yunque'],
 u'armonica': [u'arm\xf3nica de cristal'],
 u'at the point': [u'con la punta del arco'],
 u'at the tip': [u'con la punta del arco'],
 u'b': [u'si'],
 u'b double flat': [u'si doble bemol'],
 u'b double sharp': [u'si doble sostenido'],
 u'b flat': [u'si bemol'],
 u'b sharp': [u'si sostenido'],
 u'bagpipe': [u'gaita'],
 u'bamboo wind chimes': [u'carill\xf3ns de viento de bamb\xfa'],
 u'band': [u'orquesta de vientos'],
 u'banjo': [u'banjo'],
 u'baritone': [u'bar\xedtono'],
 u'baritone horn': [u'bar\xedtono', u'bombardino'],
 u'baritone saxophone': [u'saxof\xf3no bar\xedtono'],
 u'barline': [u'divisorias'],
 u'bass': [u'bajo'],
 u'bass clarinet': [u'clarinete bajo'],
 u'bass clef': [u'clave de fa'],
 u'bass drum': [u'bombo', u'gran caja'],
 u'bass flute': [u'flauta bajo'],
 u'bass recorder': [u'flauta recta bajo',
                    u'flauta dulce bajo',
                    u'flauta de pico bajo'],
 u'bass saxophone': [u'saxof\xf3no bajo'],
 u'bass trombone': [u'tromb\xf3n bajo'],
 u'bass trumpet': [u'trompeta bajo', u'trompeta baja'],
 u'bass tuba': [u'tuba bajo'],
 u'basset horn': [u'cuerno basset', u'trompa de basset'],
 u'bassoon': [u'fagot'],
 u'bat\xe1 drum': [u'tambor bat\xe1'],
 u'beam': [u'barra'],
 u'bell lira': [u'juego de timbres', u'\xf3rgano de campanas', u'liro'],
 u'bell lyre': [u'juego de timbres', u'\xf3rgano de campanas', u'liro'],
 u'bell plate': [u'platillo'],
 u'bell tree': [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'bells': [u'campanas'],
 u'berimbao': [u'berimbao'],
 u'bird whistle': [u'silbato de aves'],
 u"bird's eye": [u'fermata', u'calder\xf3n', u'corona'],
 u'bongo drums': [u'bongos'],
 u'bowl organ': [u'arm\xf3nica de cristal'],
 u'brass instrument': [u'instrumentos de metal',
                       u'cobre',
                       u'instrumentos de viento-metal',
                       u'metales'],
 u'brass instruments': [u'instrumentos de viento-metal'],
 u'breve': [u'cuadrada', u'doble redonda'],
 u'breve rest': [u'pausas de cuadrada'],
 u'bridge': [u'puente'],
 u'bullseye gong': [u'tam-tam'],
 u'c': [u'do'],
 u'c double flat': [u'do doble bemol'],
 u'c double sharp': [u'do doble sostenido'],
 u'c flat': [u'do bemol'],
 u'c sharp': [u'do sostenido'],
 u'cabasa': [u'cabasa', u'cabassa', u'cabaza', u'afuch\xe9'],
 u'cadence': [u'cadencia'],
 u'caesura': [u'cesura'],
 u'call': [u'silbato de la polic\xeda', u'silbato'],
 u'car horn': [u'claxon'],
 u'castanets': [u'casta\xf1uelas'],
 u'castenets': [u'casta\xf1uelas'],
 u'celesta': [u'celesta'],
 u'celeste': [u'celesta'],
 u'cello': [u'violonchelo', u'chelo', u'violoncelo'],
 u'chain': [u'cadena'],
 u'chamber orchestra': [u'orquesta de c\xe1mara'],
 u'chau gong': [u'tam-tam'],
 u"children's voices": [u'coro infantil', u'coro de ni\xf1os'],
 u'chimes': [u'juego de timbres', u'\xf3rgano de campanas', u'liro'],
 u'chinese block': [u'caja china'],
 u'chinese cymbal': [u'platillo china'],
 u'chinese pavilion': [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'chinese tom-tom': [u'tom-tom china'],
 u'chord': [u'accorde'],
 u'chorus': [u'coro'],
 u'cimbalom': [u'c\xedmbalo', u'c\xedmbalo h\xfangaro'],
 u'clarinet': [u'clarinete'],
 u'claves': [u'claves'],
 u'clavichord': [u'clavicordio'],
 u'coach horn': [u'corneta de posta',
                 u'trompa de postill\xf3n',
                 u'corneta de postill\xf3n',
                 u'trompa de posta'],
 u'conga drum': [u'conga', u'tumbadora'],
 u'continuo': [u'bajo continuo'],
 u'contra': [u'clarinete contrabajo'],
 u'contrabass saxophone': [u'saxof\xf3no contrabajo'],
 u'contrabass trombone': [u'tromb\xf3n contrabajo'],
 u'contrabassoon': [u'contrafagot'],
 u'contralto': [u'contralto'],
 u'cor anglais': [u'corno ingl\xe9s', u'cuerno ingl\xe9s', u'corneta inglesa'],
 u'cornet': [u'corneta', u'cornet\xedn', u'cornet\xedn de pistones'],
 u'counter tenor': [u'contratenor'],
 u'cow bell': [u'cencerro', u'campano'],
 u'cow horn': [u'cuerno de vaca'],
 u'cowbells': [u'cencerros', u'campanos'],
 u'crash cymbals': [u'platillos crash'],
 u'crotales': [u'crotalos', u'platillos antiguos', u'crotalos'],
 u'crotchet': [u'negra'],
 u'crotchet rest': [u'pausas de negra'],
 u'crumhorn': [u'cromorno'],
 u'curtal': [u'baj\xf3n'],
 u'cu\xedca': [u'cuica'],
 u'cymbal': [u'cimbalos'],
 u'cymbal tongs': [u'casta\xf1uelas de hierro'],
 u'cymbals': [u'cimbalos',
              u'platos',
              u'platillos',
              u'c\xedmbalos',
              u'cimbales'],
 u'd': [u're'],
 u'd double flat': [u're doble bemol'],
 u'd double sharp': [u're doble sostenido'],
 u'd flat': [u're bemol'],
 u'd sharp': [u're sostenido'],
 u'dance': [u'danza'],
 u'demisemiquaver': [u'fusa'],
 u'demisemiquaver rest': [u'pausas de fusa'],
 u'descant recorder': [u'flauta recta soprano',
                       u'flauta dulce soprano',
                       u'flauta de pico soprano'],
 u'djembe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'djimbe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'dot': [u'puntillo'],
 u'dotted note': [u'nota con puntillo'],
 u'double bar': [u'doble barra'],
 u'double bass': [u'contrabajo', u'violon'],
 u'double bass clarinet': [u'clarinete contrabajo'],
 u'double bass trombone': [u'tromb\xf3n contrabajo'],
 u'double flat': [u'doble bemol'],
 u'double sharp': [u'doble sostenido'],
 u'double whole note': [u'cuadrada', u'doble redonda'],
 u'double whole rest': [u'pausas de cuadrada'],
 u'double-action harp': [u'arpa de doble acci\xf3n'],
 u'down-bow': [u'arco abajo'],
 u"dragon's mouths": [u'temple block'],
 u'drum': [u'tambor'],
 u'duck call': [u'silbato pato', u'silbato llamador pato'],
 u'dulcian': [u'baj\xf3n'],
 u'dulcimer': [u'dulcema'],
 u'e': [u'mi'],
 u'e double flat': [u'mi doble bemol'],
 u'e double sharp': [u'mi doble sostenido'],
 u'e flat': [u'mi bemol'],
 u'e sharp': [u'mi sostenido'],
 u'eighth note': [u'corchea'],
 u'eighth rest': [u'pausas de corchea'],
 u'electric guitar': [u'guitarra el\xe9ctrica'],
 u'english horn': [u'corno',
                   u'cuerno ingl\xe9s',
                   u'corno ingl\xe9s',
                   u'corneta inglesa'],
 u'equal voices': [u'voces iguales'],
 u'euphonium': [u'euphonium', u'bombardino'],
 u'f': [u'fa'],
 u'f clef': [u'clave de fa'],
 u'f double flat': [u'fa doble bemol'],
 u'f double sharp': [u'fa doble sostenido'],
 u'f flat': [u'fa bemol'],
 u'f sharp': [u'fa sostenido'],
 u'feng luo': [u'gong de viento'],
 u'field drum': [u'tambor militar'],
 u'final barline': [u'doble barra final'],
 u'finger cymbals': [u'cr\xf3talos', u'chinchines'],
 u'flag': [u'corchete'],
 u'flat': [u'bemol'],
 u'flex-a-tone': [u'flexatone'],
 u'flexatone': [u'flexatone'],
 u'flute': [u'flauta',
            u'flauta travesera',
            u'flauta de boehm',
            u'flauta de concierto',
            u'flauta traversa'],
 u"flute d'amore": [u'flauta tenor', u'flauta de amor'],
 u'frame drum': [u'tambor de marco'],
 u'french horn': [u'trompa', u'trompa de pistones', u'corno franc\xe9s'],
 u'frog': [u'tal\xf3n'],
 u'g': [u'sol'],
 u'g double flat': [u'sol doble bemol'],
 u'g double sharp': [u'sol doble sostenido'],
 u'g flat': [u'sol bemol'],
 u'g sharp': [u'sol sostenido'],
 u'glass harmonica': [u'arm\xf3nica de cristal'],
 u'glass harp': [u'arm\xf3nica de cristal'],
 u'glass wind chimes': [u'carill\xf3ns de viento de vidrio'],
 u'glissando': [u'glissando'],
 u'glockenspiel': [u'campan\xf3logo',
                   u'juego',
                   u'de timbres',
                   u'\xf3rgano de',
                   u'campanas',
                   u'juego de timbres',
                   u'\xf3rgano de campanas',
                   u'liro'],
 u'gong': [u'gong'],
 u'guiro': [u'guiro'],
 u'guitar': [u'guitarra'],
 u'half note': [u'blanca'],
 u'half rest': [u'pausas de blanca'],
 u'handbells': [u'campanas de mano'],
 u'harmonica': [u'arm\xf3nica de boca'],
 u'harmonium': [u'armonio', u'harmonium', u'harmonio', u'armonium'],
 u'harp': [u'arpa'],
 u'harpsichord': [u'clavec\xe9mbalo',
                  u'clavec\xedn',
                  u'clavic\xedmbalo',
                  u'clavic\xe9mbalo',
                  u'c\xe9mbalo',
                  u'gravic\xe9mbalo'],
 u'hawaiian guitar': [u'guitarra hawaiana'],
 u'heckelphone': [u'heckelf\xf3n'],
 u'helicon': [u'helic\xf3n'],
 u'hemidemisemiquaver': [u'semifusa'],
 u'hemidemisemiquaver rest': [u'pausas de semifusa'],
 u'hi-hat': [u'hi-hat', u'hi hat', u'charles', u'charleston'],
 u'high voice': [u'agudo'],
 u'hold': [u'fermata', u'calder\xf3n', u'corona'],
 u'horn': [u'corno', u'corno franc\xe9s', u'trompa', u'cuerno'],
 u'hunting horn': [u'trompeta de caza'],
 u'hurdy-gurdy': [u'zanfona',
                  u'cinfon\xeda',
                  u'viola de rueda',
                  u'zanfon\xeda'],
 u'hydrocrystalophone': [u'arm\xf3nica de cristal'],
 u'interval': [u'intervalo'],
 u'iron pipe': [u'tubo de hierro'],
 u'jackdaw': [u'rugido del le\xf3n', u'tambor de cuerda'],
 u'jaw bone': [u'quijada'],
 u'jaw harp': [u'guimbarda', u'birimbao', u'arpa de boca'],
 u'jawbone': [u'guyada', u'quijada'],
 u'jazz flute': [u'flauta de \xe9mbolo'],
 u'jembe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'jenbe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u"jew's harp": [u'guimbarda', u'birimbao', u'arpa de boca'],
 u'jimbay': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'jingle bells': [u'cascabels'],
 u'jingling johnny': [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'kettle drums': [u'timbales'],
 u'kettledrum': [u'timbal', u'timbals', u'atabal'],
 u'keyboard instrument': [u'instrumento de tecla'],
 u'klaxon': [u'claxon'],
 u'lap steel guitar': [u'guitarra hawaiana'],
 u'lion gong': [u'gong de viento'],
 u"lion's roar": [u'rugido del le\xf3n', u'tambor de cuerda'],
 u'lithophone': [u'lit\xf3fono'],
 u'low voice': [u'grave'],
 u'lute': [u'la\xfad'],
 u'major': [u'mayor'],
 u'mandolin': [u'mandolina'],
 u'maracas': [u'maracas'],
 u'marimba': [u'marimba'],
 u'marine': [u'tambor de mano', u'pandereta'],
 u'medium voice': [u'medio'],
 u"men's voices": [u'coro masculino', u'choro de hombres'],
 u'metal castanets': [u'casta\xf1uelas de hierro'],
 u'metal wind chimes': [u'carill\xf3ns de viento de metal'],
 u'mezzo soprano': [u'mezzo-soprano'],
 u'military snare drum': [u'tambor militar'],
 u'minim': [u'blanca'],
 u'minim rest': [u'pausas de blanca'],
 u'minor': [u'menor'],
 u'mixed voices': [u'voces mixtas'],
 u'moderately': [u'moderado'],
 u"mohamed's banner": [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'motor horn': [u'claxon'],
 u'mouth organ': [u'arm\xf3nica de boca'],
 u'mouth siren': [u'sirena de boca'],
 u'musical glasses': [u'arm\xf3nica de cristal'],
 u'musical instruments': [u'instrumentos musicales'],
 u'musical saw': [u'sierra musical', u'hoja sonora'],
 u'musical stones': [u'lit\xf3fono'],
 u'natural': [u'becuadro'],
 u'natural horn': [u'trompa natural'],
 u'natural trumpet': [u'trompeta natural'],
 u'note': [u'nota'],
 u'notehead': [u'oval'],
 u'nut': [u'tal\xf3n'],
 u'oboe': [u'oboe'],
 u"oboe d'amore": [u'oboe de amor'],
 u'ocarina': [u'ocarina'],
 u'octave flute': [u'ottavino',
                   u'flaut\xedn',
                   u'octavillo',
                   u'flauta piccolo'],
 u'oficleide': [u'oficleido'],
 u'one hundred and twenty-eighth note': [u'garrapatea'],
 u'one hundred and twenty-eighth rest': [u'pausas de garrapatea'],
 u'orchestra': [u'orquesta'],
 u'orchestra bells': [u'juego de timbres', u'\xf3rgano de campanas', u'liro'],
 u'organ': [u'\xf3rgano', u'organo'],
 u'ornament': [u'adorno'],
 u'pailas criollas': [u'timbales', u'pailas criollas'],
 u'pan': [u'tambor met\xe1lico de trinidad y tobago'],
 u'pan flute': [u'zampo\xf1as', u'flautas de pan', u'siringa'],
 u'pan pipe': [u'zampo\xf1as', u'flautas de pan', u'siringa'],
 u'panflute': [u'zampo\xf1as', u'flautas de pan', u'siringa'],
 u'panpipes': [u'zampo\xf1as', u'flautas de pan', u'siringa'],
 u'percussion instruments': [u'instrumento de percusi\xf3n',
                             u'instrumentos de percusi\xf3n',
                             u'percusi\xf3n',
                             u'bater\xeda'],
 u'period double bar': [u'doble barra final'],
 u'piano': [u'piano'],
 u'pianoforte': [u'piano'],
 u'piccolo': [u'flaut\xedn', u'ottavino', u'octavillo', u'flauta piccolo'],
 u'piccolo snare drum': [u'tarol'],
 u'pistol shot': [u'tiro de pistola', u'sons de tiro pistola'],
 u'piston flute': [u'flauta de \xe9mbolo'],
 u'plate bell': [u'platillo'],
 u'plucked instruments': [u'instrumentos punteados'],
 u'police whistle': [u'silbato de la polic\xeda', u'silbato'],
 u'post horn': [u'corneta de posta',
                u'trompa de postill\xf3n',
                u'corneta de postill\xf3n',
                u'trompa de posta'],
 u'post-horn': [u'corneta de posta',
                u'trompa de postill\xf3n',
                u'corneta de postill\xf3n',
                u'trompa de posta'],
 u'posthorn': [u'corneta de posta',
               u'trompa de postill\xf3n',
               u'corneta de postill\xf3n',
               u'trompa de posta'],
 u'quarter note': [u'negra'],
 u'quarter rest': [u'pausas de negra'],
 u'quaver': [u'corchea'],
 u'quaver rest': [u'pausas de corchea'],
 u'quijada': [u'quijada'],
 u'railroad tracks': [u'cesura'],
 u'ratchet': [u'carraca', u'matraca'],
 u'rattle': [u'carraca', u'matraca'],
 u'recitative': [u'recitativo'],
 u'recorder': [u'flauta recta',
               u'dulce',
               u'de pico',
               u'flauta dulce',
               u'flauta de pico'],
 u'rhythm guitar': [u'guitarra r\xedtmica', u'segunda guitarra'],
 u'rommelpot': [u'cuica'],
 u'roto-tom': [u'roto-tom'],
 u'rototom': [u'roto-tom'],
 u'sanbanyi': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'sandpaper blocks': [u'papel de lija'],
 u'sarrusophone': [u'sarrusof\xf3n'],
 u'saxophone': [u'saxof\xf3n', u'saxof\xf3no'],
 u'semibreve': [u'redonda'],
 u'semibreve rest': [u'pausas de redonda'],
 u'semihemidemisemiquaver': [u'garrapatea'],
 u'semihemidemisemiquaver rest': [u'pausas de garrapatea'],
 u'semiquaver': [u'semicorchea'],
 u'semiquaver rest': [u'pausas de semicorchea'],
 u'serpent': [u'serpent\xf3n'],
 u'sharp': [u'sostenido'],
 u'shell wind chimes': [u'carill\xf3ns de viento de conchas'],
 u'siciliano': [u'siciliana'],
 u'side drum': [u'tambor'],
 u'singing saw': [u'sierra musical', u'hoja sonora'],
 u'siren': [u'sirena'],
 u'sixteenth note': [u'semicorchea'],
 u'sixteenth rest': [u'pausas de semicorchea'],
 u'sixty-fourth note': [u'semifusa'],
 u'sixty-fourth rest': [u'pausas de semifusa'],
 u'sizzle cymbal': [u'platillo sizzle'],
 u'slapstick': [u'l\xe1tigo'],
 u'sleigh bells': [u'cascabels'],
 u'slide trombone': [u'tromb\xf3n de vara'],
 u'slide trumpet': [u'trompeta de vara'],
 u'slide whistle': [u'flauta de \xe9mbolo'],
 u'slit drum': [u'tambores de hendidura'],
 u'snare drum': [u'tambor afinable',
                 u'con tensores',
                 u'caja clara',
                 u'redoblante'],
 u'sock cymbal': [u'hi-hat', u'hi hat', u'charles', u'charleston'],
 u'sopranino flute': [u'flauta sopranino'],
 u'sopranino recorder': [u'flauta recta sopranino',
                         u'flauta dulce sopranino',
                         u'flauta de pico sopranino'],
 u'sopranino saxophone': [u'saxof\xf3no sopranino'],
 u'soprano clarinet': [u'clarinete soprano'],
 u'soprano flute': [u'flauta soprano'],
 u'soprano recorder': [u'flauta recta soprano',
                       u'flauta dulce soprano',
                       u'flauta de pico soprano'],
 u'soprano saxophone': [u'saxof\xf3no soprano'],
 u'steel drum': [u'tambor met\xe1lico de trinidad y tobago'],
 u'steel pan': [u'tambor met\xe1lico de trinidad y tobago'],
 u'stem': [u'plica'],
 u'string': [u'cuerda'],
 u'string bass': [u'contrabajo'],
 u'string instrument': [u'instrumento de cuerda'],
 u'string instruments': [u'instrumentos de cuerda'],
 u'string orchestra': [u'orquesta de cuerdas'],
 u'strings': [u'cuerdas'],
 u'subcontrabass saxophone': [u'saxof\xf3no subcontrabajo'],
 u'suspended cymbal': [u'platillo suspendido'],
 u'swanee whistle': [u'flauta de \xe9mbolo'],
 u'tabl': [u'tabla', u'tabl\xe1'],
 u'tabla': [u'tabla', u'tabl\xe1'],
 u'tabor': [u'tamboril'],
 u'tabret': [u'tamboril'],
 u'tam-tam': [u'tam-tam'],
 u'tambora': [u'tambora'],
 u'tambourine': [u'pandereta', u'tambor de mano'],
 u'tambourine without jingles': [u'pandereta sin sonajas'],
 u'tape': [u'banda'],
 u'temple blocks': [u'temple block'],
 u'tenor': [u'tenor'],
 u'tenor drum': [u'redoblante',
                 u'caja rodante',
                 u'caja redoblante',
                 u'tambor mayor'],
 u'tenor flute': [u'flauta tenor', u'flauta de amor'],
 u'tenor recorder': [u'flauta recta tenor',
                     u'flauta dulce tenor',
                     u'flauta de pico tenor'],
 u'tenor saxophone': [u'saxof\xf3no tenor'],
 u'terminal double bar': [u'doble barra final'],
 u'third flute': [u'flauta soprano'],
 u'thirty-second note': [u'fusa'],
 u'thirty-second rest': [u'pausas de fusa'],
 u'thorough-bass': [u'bajo continuo'],
 u'thunder machine': [u'm\xe1quina del trueno'],
 u'thunder sheet': [u'lamina metalica'],
 u'timbales': [u'timbales', u'pailas criollas'],
 u'timpani': [u'timbal', u'timbales', u'timbals', u'atabal'],
 u'tom-tom': [u'tom-tom', u'tomtom'],
 u'transverse flute': [u'flauta',
                       u'flauta travesera',
                       u'flauta de boehm',
                       u'flauta de concierto',
                       u'flauta traversa'],
 u'treble recorder': [u'flauta recta contralto',
                      u'flauta dulce contralto',
                      u'flauta de pico contralto'],
 u'triangle': [u'tri\xe1ngulo'],
 u'trombone': [u'tromb\xf3n'],
 u'tromp': [u'guimbarda', u'birimbao', u'arpa de boca'],
 u'trump': [u'guimbarda', u'birimbao', u'arpa de boca'],
 u'trumpet': [u'trompeta'],
 u'tuba': [u'tuba'],
 u'tubaphone': [u'tub\xb7fon'],
 u'tubular bells': [u'campanas tubulares', u'campanas'],
 u'tumbadora': [u'conga', u'tumbadora'],
 u'turkish crescent': [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'turkish drum': [u'bombo', u'gran caja'],
 u'turkish jingle': [u'pabell\xf3n chino', u'pabell\xf3n turco'],
 u'ukelele': [u'ukelele'],
 u'ukulele': [u'ukelele'],
 u'up-bow': [u'arco arriba'],
 u'valve horn': [u'trompa de pistones'],
 u'valve trombone': [u'tromb\xf3n de pistones'],
 u'valve trumpet': [u'trompeta de pistones'],
 u'various languages': [u'corno', u'corno franc\xe9s', u'trompa', u'cuerno'],
 u'vehicle horn': [u'claxon'],
 u'vibes': [u'vibr\xe1fon', u'vibr\xe1fono'],
 u'vibra slap': [u'vibra slap'],
 u'vibraharp': [u'vibr\xe1fon', u'vibr\xe1fono'],
 u'vibraphone': [u'vibr\xe1fon', u'vibr\xe1fono', u'vibrafono'],
 u'viola': [u'viola'],
 u"viola d'amore": [u"viola d'amore"],
 u'viola da gamba': [u'viola de gamba', u'viola da gamba'],
 u'violin': [u'viol\xedn'],
 u'violoncello': [u'violoncelo', u'cello', u'violonchelo', u'chelo'],
 u'voice': [u'voz'],
 u'waltz': [u'vals'],
 u'wheel fiddle': [u'zanfona',
                   u'cinfon\xeda',
                   u'viola de rueda',
                   u'zanfon\xeda'],
 u'whip': [u'l\xe1tigo'],
 u'whole note': [u'redonda'],
 u'whole rest': [u'pausas de redonda'],
 u'wind chimes': [u'carill\xf3ns de viento', u'\xe1rbol de marca'],
 u'wind gong': [u'gong de viento'],
 u'wind instrument': [u'instrumento de viento'],
 u'wind instruments': [u'instrumentos de viento'],
 u'wind machine': [u'm\xe1quina de viento'],
 u'windband': [u'orquesta de vientos'],
 u"women's voices": [u'coro femenino'],
 u'wood block': [u'caja china'],
 u'woodblock': [u'caja china'],
 u'wooden wind chimes': [u'carill\xf3ns de viento de madera'],
 u'woodwind instrument': [u'instrumento de madera'],
 u'woodwind instruments': [u'instrumentos de madera'],
 u'xylophone': [u'xilof\xf3n', u'xilof\xf3no', u'xil\xf3fono'],
 u'yembe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'ymbe': [u'dyembe', u'yembe', u'jembe', u'sanbanyi'],
 u'zills': [u'cr\xf3talos', u'chinchines'],
 u'zils': [u'cr\xf3talos', u'chinchines']}

englishRussian = {u'alto': [u"al't", u"kontral'to"],
 u'band': [u'dukhovoi orkestr'],
 u'baritone': [u'bariton'],
 u'bass': [u'bas'],
 u'bass clarinet': [u'bass-klarnet'],
 u'bass drum': [u"bol'shoi baraban"],
 u'bassoon': [u'fagot'],
 u'brass instrument': [u'mednyi dukhovoi instrument'],
 u'celesta': [u'chelesta'],
 u'chamber orchestra': [u'kamernyi orkestr'],
 u"children's voices": [u'detskii khor'],
 u'chorus': [u'khor'],
 u'clarinet': [u'klarnet'],
 u'clavichord': [u'klavikord'],
 u'continuo': [u'basso kontinuo', u'general-bas'],
 u'contralto': [u"al't", u"kontral'to"],
 u'cornet': [u'kornet'],
 u'counter tenor': [u'kontratenor'],
 u'cymbals': [u'tarelki'],
 u'double bass': [u'kontrabas'],
 u'drum': [u'baraban'],
 u'dulcimer': [u'tsimbaly'],
 u'english horn': [u'angliiskii rozhok'],
 u'equal voices': [u'odnorodnye golosa'],
 u'euphonium': [u'evfonium'],
 u'flute': [u'fleita'],
 u'glockenspiel': [u"kolokol'chiki"],
 u'guitar': [u'gitara'],
 u'harp': [u'arfa'],
 u'harpsichord': [u'klavesin', u'chembalo'],
 u'high voice': [u'vysokaia'],
 u'horn': [u'gorn', u'rog', u'rozhok'],
 u'keyboard instrument': [u'klavishnyi instrument'],
 u'low voice': [u'nizkaia'],
 u'lute': [u'liutnia'],
 u'mandolin': [u'mandolina'],
 u'marimba': [u'marimba'],
 u'medium voice': [u'sredniaia'],
 u"men's voices": [u'muzhskoi khor'],
 u'mezzo soprano': [u'metstsosoprano', u'metso-soprano'],
 u'mixed voices': [u'smeshannye golosa'],
 u'natural horn': [u'valtorna'],
 u'oboe': [u'goboi'],
 u'orchestra': [u'orkestr'],
 u'organ': [u'organ'],
 u'percussion instruments': [u'udarnyi instrument'],
 u'piano': [u"fortep'iano"],
 u'piccolo': [u'pikkolo', u'malaia fleita', u'fleita pikkolo'],
 u'plucked instruments': [u'shchipkovye instrumenty'],
 u'rattle': [u'treshchotka'],
 u'recorder': [u'blokfleita'],
 u'saxophone': [u'saksofon'],
 u'snare drum': [u'frantsuzskii baraban'],
 u'string bass': [u'kontrabas'],
 u'string instrument': [u'strunnyi instrument'],
 u'string orchestra': [u'strunnyi orkestr'],
 u'tape': [u'magnitofonnaia lenta'],
 u'tenor': [u'tenor'],
 u'tenor drum': [u'tsilindricheskii baraban'],
 u'thorough-bass': [u'basso kontinuo', u'general-bas'],
 u'timpani': [u'litavra'],
 u'trombone': [u'trombon'],
 u'trumpet': [u'truba'],
 u'tuba': [u'tuba'],
 u'various languages': [u'gorn', u'rog', u'rozhok'],
 u'viola': [u'viola'],
 u"viola d'amore": [u"viola d'amur"],
 u'viola da gamba': [u'viola da gamba', u'gamba'],
 u'violin': [u'skripka'],
 u'violoncello': [u"violonchel'"],
 u'voice': [u'golos'],
 u'wind instrument': [u'dukhovoi instrument'],
 u"women's voices": [u'zhenskii khor'],
 u'woodwind instrument': [u'dereviannyi dukhvoi instrument'],
 u'xylophone': [u'ksilofon']}

englishAbbreviation = {u'accented': [u'sf', u'sfz'],
 u'accordion': [u'accdn', u'acc.'],
 u'alto': [u'a.'],
 u'alto clarinet': [u'a.cl.', u'a.kl.', u'alto cl.'],
 u'alto flute': [u'a.fl.', u'alto fl.', u'a. fl.'],
 u'alto saxophone': [u'sax.a.'],
 u'antique cymbals': [u'ant.cym.', u'a.cym - ant.'],
 u'at choice': [u'ad lib.'],
 u'at the octave': [u'8', u'8va', u'8a alta', u'8vb', u'8va bassa', u'8a b.'],
 u'banjo': [u'bj.'],
 u'baritone': [u'bar.'],
 u'bass': [u'b.'],
 u'bass clarinet': [u'b.cl.', u'bkl.'],
 u'bass drum': [u'b.dr.', u'gr.cassa.', u'cr.tr.', u'g.c.'],
 u'bass flute': [u'b.fl.'],
 u'bass trombone': [u'b.tbn.'],
 u'bass trumpet': [u'b.tpt.'],
 u'bass tuba': [u'b.tuba', u'btb.'],
 u'bass-baritone': [u'b-bar.'],
 u'bassoon': [u'bn.', u'fg.', u'bssn.'],
 u'bb clarinet': [u'bb.cl'],
 u'bb tenor saxophone': [u't.sax.'],
 u'bells': [u'bells'],
 u'bongos': [u'bong.'],
 u'castanets': [u'cas.', u'casts', u'kas.'],
 u'celesta': [u'cel.'],
 u'cello': [u'vc.', u'vcelle.', u'vcl.', u'vlc.'],
 u'chime-bells': [u'glock.', u'glck.', u'glsp.'],
 u'chimes': [u'bells'],
 u'chinese block': [u'wd. bl.'],
 u'chitarrone': [u'chit.'],
 u'chorus': [u'satb'],
 u'cimbalom': [u'cimb.'],
 u'clarinet': [u'cl.', u'kl.'],
 u'clavichord': [u'clvd.'],
 u'contra bassoon': [u'c.bn.', u'c.fag.', u'c.bssn.', u'con.bn.', u'c.bon.'],
 u'contrabass': [u'cb.'],
 u'contrabass clarinet': [u'cb.cl', u'cb.kl.'],
 u'contralto': [u'c.'],
 u'cornet': [u'cor.', u'crt.', u'crnt.', u'cnt.', u'kor.'],
 u'countertenor': [u'ct.', u'ct.'],
 u'crotales': [u'crot.'],
 u'cymbals': [u'cym.', u'cymb.', u'ptti'],
 u'divertimento': [u'divert.', u'div.'],
 u'divided': [u'div.'],
 u'double bass': [u'cb.', u'kb.'],
 u'double bassoon': [u'd.bn'],
 u'dying away': [u'smorz.'],
 u'eb alto saxophone': [u'a.sax.'],
 u'eb baritone saxophone': [u'bar.sax.'],
 u'eb clarinet': [u'eb.cl.', u'eb.kl.'],
 u'electric guitar': [u'e.gtr.'],
 u'emphatic': [u'marc.'],
 u'english horn': [u'eng.hn.', u'e.h.', u'e. hn.'],
 u'euphonium': [u'euph.'],
 u'everyone is silent': [u'g.p.'],
 u'expressive': [u'espr.'],
 u'finger cymbals': [u'fing.cym.'],
 u'flugelhorn': [u'flg.'],
 u'flute': [u'fl.'],
 u'forced': [u'sf', u'sfz'],
 u'from the beginning': [u'd.c.'],
 u'from the sign': [u'd.s.'],
 u'general pause': [u'g.p.'],
 u'glissando': [u'gliss'],
 u'glockenspiel': [u'glock.', u'glck.', u'glsp.'],
 u'gong': [u'gng', u'tamtam'],
 u'gradually getting louder': [u'cresc.'],
 u'gradually getting slower': [u'rit.'],
 u'gradually getting softer': [u'dim.'],
 u'grand pause': [u'g.p.'],
 u'guitar': [u'gtr.'],
 u'harp': [u'harp', u'arp.', u'hpe.', u'hp.', u'hrp.'],
 u'harpsichord': [u'hpd.'],
 u'held back': [u'rit.'],
 u'horn': [u'hn.', u'cor.'],
 u'in the same way': [u'sim.'],
 u'kettle drums': [u'k.dr.'],
 u'kettledrum': [u'timp.', u'pk.', u'k. dr.'],
 u'keyboard': [u'kbd.'],
 u'left hand': [u'l.h.', u'm.g.', u'm.s.', u'c.s.'],
 u'loud': [u'f'],
 u'loud then immediately soft': [u'fp'],
 u'mandolin': [u'mand.'],
 u'marimba': [u'mar.'],
 u'mezzo-soprano': [u'mez.', u'mezz.'],
 u'moderately loud': [u'mf'],
 u'moderately soft': [u'mp'],
 u'narrator': [u'nar.'],
 u'oboe': [u'ob.', u'hb.'],
 u"oboe d'amore": [u"ob.d'a."],
 u'organ': [u'org.'],
 u'percussion': [u'perc.'],
 u'piano': [u'pf.', u'pno.', u'pfte.'],
 u'piccolo': [u'pic.', u'picc.'],
 u'prepared piano': [u'prep.pf.'],
 u'rather little': [u'poch.'],
 u'recorder': [u'rec.'],
 u'reinforcing': [u'rf', u'rfz'],
 u'right hand': [u'r.h.', u'm.d.', u'c.d.'],
 u'sandpaper blocks': [u'sand.bl.'],
 u'sarrousophone': [u'sarr.'],
 u'saxophone': [u'sax.'],
 u'side drum': [u's.d.'],
 u'snare drum': [u'sn.dr.', u'c.c.', u'tr.'],
 u'soft': [u'p'],
 u'solo voices': [u's', u'a', u't', u'b'],
 u'soprano': [u's.'],
 u'string bass': [u'st.b'],
 u'synthesizer': [u'synth.'],
 u'tambourine': [u'tmbn.', u'tamb.'],
 u'temple blocks': [u'temp.bl.'],
 u'tenor': [u't.'],
 u'tenor drum': [u'ten.dr.'],
 u'timpani': [u'timp.', u'pk.', u'k. dr.'],
 u'treble': [u'tr.'],
 u'triangle': [u'tri.', u'trgl.'],
 u'trombone': [u'trb.', u'tbni'],
 u'trumpet': [u'tr.', u'tpt.', u'tbe'],
 u'tuba': [u'tb.', u'tuba'],
 u'turn the page at once': [u'v.s.'],
 u'very loud': [u'ff'],
 u'very soft': [u'pp'],
 u'vibraphone': [u'vib.'],
 u'viola': [u'va.', u'vla.', u'br.'],
 u'violin': [u'v.', u'vn.', u'vl.', u'vio.', u'vlon.', u'vv.', u'vni.'],
 u'violoncello': [u'vc.', u'vcelle.', u'vcl.', u'vlc.'],
 u'violone': [u'vle'],
 u'voice': [u'voc.'],
 u'wind machine': [u'windmachine'],
 u'wood block': [u'wd.bl.', u'wd. bl.'],
 u'xylophone': [u'xyl.', u'xil.']}