# -*- coding: utf-8 -*-
#-------------------------------------------------------------------------------
# Name:         /Users/Jose/Documents/music21/music21/trunk/music21/braille/translation/tlnLookup.py
# Purpose:      Bidirectional musical translation
# Authors:      Jose Cabal-Ugaz
#
# Copyright:    (c) 2012 The music21 Project
# License:      LGPL
#-------------------------------------------------------------------------------
# WARNING: Do not update file. Generated automatically.
# Add or subtract elements from tlnTables.py instead.

from music21.braille.translation import tlnTables

englishFrench = tlnTables.englishFrench
englishGerman = tlnTables.englishGerman
englishItalian = tlnTables.englishItalian
englishSpanish = tlnTables.englishSpanish
englishRussian = tlnTables.englishRussian
englishAbbreviation = tlnTables.englishAbbreviation

englishToAll = \
{u'a': {'french': [u'la'],
        'german': [u'ein', u'a'],
        'italian': [u'la'],
        'spanish': [u'la']},
 u'a 2': {'french': [u'\xe0 2', u'a deux'], 'italian': [u'a due']},
 u'a double flat': {'french': [u'la double b\xe9mol'],
                    'german': [u'ases'],
                    'italian': [u'la doppio bemolle'],
                    'spanish': [u'la doble bemol']},
 u'a double sharp': {'french': [u'la double di\xe8se'],
                     'german': [u'aisis'],
                     'italian': [u'la doppio diesis'],
                     'spanish': [u'la doble sostenido']},
 u'a flat': {'french': [u'la b\xe9mol'],
             'german': [u'as'],
             'italian': [u'la bemolle'],
             'spanish': [u'la bemol']},
 u'a little': {'french': [u'un peu'],
               'german': [u'ein wenig'],
               'italian': [u'poco']},
 u'a sharp': {'french': [u'la di\xe8se'],
              'german': [u'ais'],
              'italian': [u'la diesis'],
              'spanish': [u'la sostenido']},
 u'above': {'italian': [u'sopra']},
 u'accented': {'abbreviation': [u'sf', u'sfz'], 'italian': [u'sforzando']},
 u'accidental': {'french': [u'accident'],
                 'german': [u'vorzeichen', u'versetzungszeichen'],
                 'italian': [u'accidente']},
 u'accordion': {'abbreviation': [u'accdn', u'acc.'],
                'french': [u'accord\xe9on'],
                'german': [u'akkordeon', u'ziehharmonika', u'handharmonika'],
                'italian': [u'fisarmonica'],
                'spanish': [u'acorde\xf3n']},
 u'acme siren': {'french': [u'sir\xe8ne'],
                 'german': [u'sirene'],
                 'italian': [u'sirena']},
 u'afuch\xe9': {'french': [u'cabasa', u'calebasse'],
                'german': [u'cabasa'],
                'italian': [u'cabasa'],
                'spanish': [u'cabasa', u'cabassa', u'cabaza', u'afuch\xe9']},
 u'again': {'french': [u'encore'],
            'german': [u'wieder', u'noch'],
            'italian': [u'ancora']},
 u'agitated': {'german': [u'bewegt'], 'italian': [u'agitato']},
 u'agog\xf4': {'french': [u'agog\xf4', u'gongu\xe9'],
               'german': [u'agog\xf4'],
               'italian': [u'agogo'],
               'spanish': [u'agog\xf4']},
 u'all': {'italian': [u'tutti']},
 u'alone': {'french': [u'seul']},
 u'alpenhorn': {'french': [u'cor des alpes'],
                'german': [u'alphorn'],
                'italian': [u'corno delle alpi'],
                'spanish': [u'trompa de los alpes', u'alforn']},
 u'alphorn': {'french': [u'cor des alpes'],
              'german': [u'alphorn'],
              'italian': [u'corno delle alpi'],
              'spanish': [u'trompa de los alpes', u'alforn']},
 u'alpine bell': {'french': [u'sonnailles de troupeau',
                             u'cencerro',
                             u'campana'],
                  'german': [u'cowbell', u'almglocken'],
                  'italian': [u'campane da pastore', u'campanaccio'],
                  'spanish': [u'cencerro', u'campano']},
 u'alpine horn': {'french': [u'cor des alpes'],
                  'german': [u'alphorn'],
                  'italian': [u'corno delle alpi'],
                  'spanish': [u'trompa de los alpes', u'alforn']},
 u'alternatively': {'italian': [u'ossia']},
 u'alto': {'abbreviation': [u'a.'],
           'french': [u'alto', u'contralto'],
           'german': [u'alt'],
           'italian': [u'contralto'],
           'russian': [u"al't", u"kontral'to"],
           'spanish': [u'contralto']},
 u'alto clarinet': {'abbreviation': [u'a.cl.', u'a.kl.', u'alto cl.'],
                    'french': [u'clarinette alto'],
                    'german': [u'altklarinette'],
                    'italian': [u'clarinetto contralto'],
                    'spanish': [u'clarinete alto']},
 u'alto flute': {'abbreviation': [u'a.fl.', u'alto fl.', u'a. fl.'],
                 'french': [u'fl\xfbte alto', u'fl\xfbte en sol'],
                 'german': [u'altfl\xf6te'],
                 'italian': [u'flauto contralto', u'flautone'],
                 'spanish': [u'flauta alto',
                             u'flauta en sol',
                             u'flauta baja']},
 u'alto recorder': {'french': [u'fl\xfbte \xe0 bec alto',
                               u'fl\xfbte douce alto',
                               u'fl\xfbte droite alto',
                               u'fl\xfbte alto'],
                    'german': [u'altblockfl\xf6te'],
                    'italian': [u'flauto dolce contralto',
                                u'flauto dritto contralto',
                                u'flauto a becco contralto'],
                    'spanish': [u'flauta recta contralto',
                                u'flauta dulce contralto',
                                u'flauta de pico contralto']},
 u'alto saxophone': {'abbreviation': [u'sax.a.'],
                     'french': [u'saxophone alto', u'saxophon alto'],
                     'german': [u'altsaxophon'],
                     'italian': [u'sassofono contralto', u'sassofono alto'],
                     'spanish': [u'saxof\xf3no alto', u'saxof\xf3n']},
 u'always': {'french': [u'toujours'],
             'german': [u'immer'],
             'italian': [u'sempre']},
 u'ambitus': {'french': [u'ambitus'],
              'german': [u'ambitus'],
              'italian': [u'ambitus'],
              'spanish': [u'ambitus']},
 u'amiable': {'italian': [u'amabile']},
 u'and': {'french': [u'et'], 'german': [u'und'], 'italian': [u'e', u'ed']},
 u'animated': {'french': [u'anim\xe9'],
               'german': [u'bewegt'],
               'italian': [u'animato']},
 u'antique cymbals': {'abbreviation': [u'ant.cym.', u'a.cym - ant.'],
                      'french': [u'antike zimbeln',
                                 u'crotales',
                                 u'antike cymbeln',
                                 u'cymbales antique'],
                      'german': [u'crotales',
                                 u'cymbales antiques',
                                 u'antike cymbel'],
                      'italian': [u'crotali', u'cimbali'],
                      'spanish': [u'crotalos',
                                  u'platillos antiguos',
                                  u'crotalos']},
 u'anvil': {'french': [u'enclume'],
            'german': [u'amboss', u'ambo\xdf'],
            'italian': [u'incudine'],
            'spanish': [u'yunque']},
 u'armonica': {'french': [u'coupes de verre',
                          u'harmonica de verre',
                          u'armonica de verre'],
               'german': [u'gl\xe4serspiel', u'glasharmonika'],
               'italian': [u'bicchieri di vetro',
                           u'glassarmonica',
                           u"'armonica a bicchieri"],
               'spanish': [u'arm\xf3nica de cristal']},
 u'as': {'french': [u'comme'], 'italian': [u'come']},
 u'as if': {'italian': [u'quasi']},
 u'as soft as possible': {'italian': [u'estinto']},
 u'at': {'french': [u'\xe0'], 'italian': [u'a']},
 u'at (near) the sounding board': {'french': [u'pr\xe8s de la table'],
                                   'german': [u'nahe am korpus anzupfen'],
                                   'italian': [u'presso la tavola']},
 u'at a moderate speed': {'french': [u'mod\xe9r\xe9'],
                          'german': [u'm\xe4ssig']},
 u'at a steady speed': {'german': [u'gehend']},
 u'at choice': {'abbreviation': [u'ad lib.'], 'italian': [u'ad libitum']},
 u'at pleasure': {'italian': [u'a piacere']},
 u'at the bridge': {'french': [u'sur le chevalet',
                               u'pr\xe8s du chevalet',
                               u'contre le chevalet'],
                    'german': [u'am steg'],
                    'italian': [u'sul ponticello']},
 u'at the fingerboard': {'french': [u'sur la touche'],
                         'german': [u'am griffbrett'],
                         'italian': [u'sul tasto', u'sulla tastiera']},
 u'at the frog': {'french': [u'du talon', u'\xe0 la hausse'],
                  'german': [u'am frosch'],
                  'italian': [u'al tallone']},
 u'at the normal pitch': {'italian': [u'loco']},
 u'at the octave': {'abbreviation': [u'8',
                                     u'8va',
                                     u'8a alta',
                                     u'8vb',
                                     u'8va bassa',
                                     u'8a b.'],
                    'french': [u"\xe0 l'octave"],
                    'german': [u'in der oktave'],
                    'italian': [u"all'ottava"]},
 u'at the point': {'french': [u"avec la pointe de l'archet", u'de la pointe'],
                   'german': [u'an der bogenspitze'],
                   'italian': [u"a punta d'arco", u"col punta d'arco"],
                   'spanish': [u'con la punta del arco']},
 u'at the tip': {'french': [u"avec la pointe de l'archet", u'de la pointe'],
                 'german': [u'an der bogenspitze'],
                 'italian': [u"a punta d'arco", u"col punta d'arco"],
                 'spanish': [u'con la punta del arco']},
 u'attack': {'french': [u'attaque'],
             'german': [u'ansto\xdf'],
             'italian': [u'attacco']},
 u'autoharp': {'french': [u"cithare d'amateur"],
               'german': [u'akkordzither'],
               'italian': [u'autoarpa']},
 u'b': {'french': [u'si'],
        'german': [u'h'],
        'italian': [u'si'],
        'spanish': [u'si']},
 u'b double flat': {'french': [u'si double b\xe9mol'],
                    'german': [u'hesses'],
                    'italian': [u'si doppio bemolle'],
                    'spanish': [u'si doble bemol']},
 u'b double sharp': {'french': [u'si double di\xe8se'],
                     'german': [u'hisis'],
                     'italian': [u'si doppio diesis'],
                     'spanish': [u'si doble sostenido']},
 u'b flat': {'french': [u'sib\xe9mol'],
             'german': [u'b'],
             'italian': [u'si bemolle'],
             'spanish': [u'si bemol']},
 u'b sharp': {'french': [u'si di\xe9se'],
              'german': [u'his'],
              'italian': [u'si diesis'],
              'spanish': [u'si sostenido']},
 u'bagpipe': {'french': [u'cornemuse', u'biniou'],
              'german': [u'sackpfeife', u'dudelsack'],
              'italian': [u'cornamusa', u'zampogna'],
              'spanish': [u'gaita']},
 u'balalaika': {'french': [u'balalaika'],
                'german': [u'balalaika'],
                'italian': [u'balalaika']},
 u'ballad opera': {'french': [u'op\xe9ra comique', u'op\xe9ra bouffe'],
                   'german': [u'komische oper', u'heitere oper'],
                   'italian': [u'opera comica']},
 u'bamboo wind chimes': {'french': [u'bambou suspendu'],
                         'german': [u'bambusr\xf6hre'],
                         'italian': [u'tubi di bamb\xfa'],
                         'spanish': [u'carill\xf3ns de viento de bamb\xfa']},
 u'band': {'french': [u"orchestre d'instruments \xe0 vent",
                      u'harmonie de concert'],
           'german': [u'blasorchester'],
           'italian': [u'orchestra di strumenti a fiato'],
           'russian': [u'dukhovoi orkestr'],
           'spanish': [u'orquesta de vientos']},
 u'bandoneon': {'french': [u'bandon\xe9on'],
                'german': [u'bandoneon'],
                'italian': [u'bandoneon']},
 u'banjo': {'abbreviation': [u'bj.'],
            'french': [u'banjo'],
            'german': [u'banjo'],
            'italian': [u'banjo'],
            'spanish': [u'banjo']},
 u'bar': {'french': [u'mesure'], 'german': [u'takt'], 'italian': [u'misura']},
 u'baritone': {'abbreviation': [u'bar.'],
               'french': [u'baryton', u'bariton'],
               'german': [u'bariton'],
               'italian': [u'baritono'],
               'russian': [u'bariton'],
               'spanish': [u'bar\xedtono']},
 u'baritone clef': {'french': [u'clef de fa'],
                    'german': [u'f-schlussel'],
                    'italian': [u'chiave di basso']},
 u'baritone horn': {'french': [u'baryton'],
                    'german': [u'bariton'],
                    'italian': [u'baritono'],
                    'spanish': [u'bar\xedtono', u'bombardino']},
 u'baritone saxophone': {'french': [u'saxophone baryton'],
                         'german': [u'baritonsaxophon'],
                         'italian': [u'sassofono baritono'],
                         'spanish': [u'saxof\xf3no bar\xedtono']},
 u'barline': {'french': [u'barre'],
              'german': [u'taktstrich'],
              'italian': [u'stanghetta'],
              'spanish': [u'divisorias']},
 u'bass': {'abbreviation': [u'b.'],
           'french': [u'basse'],
           'german': [u'bass'],
           'italian': [u'basso'],
           'russian': [u'bas'],
           'spanish': [u'bajo']},
 u'bass baritone': {'french': [u'basse taille']},
 u'bass clarinet': {'abbreviation': [u'b.cl.', u'bkl.'],
                    'french': [u'clarinette basse'],
                    'german': [u'bassklarinette'],
                    'italian': [u'clarinetto basso'],
                    'russian': [u'bass-klarnet'],
                    'spanish': [u'clarinete bajo']},
 u'bass clef': {'french': [u'clef de fa'],
                'german': [u'f-schlussel'],
                'italian': [u'chiave di basso'],
                'spanish': [u'clave de fa']},
 u'bass drum': {'abbreviation': [u'b.dr.', u'gr.cassa.', u'cr.tr.', u'g.c.'],
                'french': [u'grosse caisse', u'tambour bata'],
                'german': [u'grosse trommel'],
                'italian': [u'cassa',
                            u'grancassa',
                            u'gran cassa',
                            u'tamborone',
                            u'tamburo grande',
                            u'tamburo grosso'],
                'russian': [u"bol'shoi baraban"],
                'spanish': [u'bombo', u'gran caja']},
 u'bass flute': {'abbreviation': [u'b.fl.'],
                 'french': [u'fl\xfbte en ut', u'fl\xfbte basse'],
                 'german': [u'bassfl\xf6te'],
                 'italian': [u'flauto basso'],
                 'spanish': [u'flauta bajo']},
 u'bass recorder': {'french': [u'fl\xfbte \xe0 bec basse',
                               u'fl\xfbte douce basse',
                               u'fl\xfbte droite basse'],
                    'german': [u'bassblockfl\xf6te'],
                    'italian': [u'flauto dolce basso',
                                u'flauto dritto basso',
                                u'flauto a becco basso'],
                    'spanish': [u'flauta recta bajo',
                                u'flauta dulce bajo',
                                u'flauta de pico bajo']},
 u'bass saxophone': {'french': [u'saxophone basse'],
                     'german': [u'basssaxophon'],
                     'italian': [u'sassofono basso'],
                     'spanish': [u'saxof\xf3no bajo']},
 u'bass trombone': {'abbreviation': [u'b.tbn.'],
                    'french': [u'basse-trombone', u'trombone basse'],
                    'german': [u'bass posaune'],
                    'italian': [u'trombono basso', u'trombone basso'],
                    'spanish': [u'tromb\xf3n bajo']},
 u'bass trumpet': {'abbreviation': [u'b.tpt.'],
                   'french': [u'trompette basse'],
                   'german': [u'basstrompete'],
                   'italian': [u'tromba basso'],
                   'spanish': [u'trompeta bajo', u'trompeta baja']},
 u'bass tuba': {'abbreviation': [u'b.tuba', u'btb.'],
                'french': [u'tuba basse'],
                'german': [u'basstuba'],
                'italian': [u'tuba bassa'],
                'spanish': [u'tuba bajo']},
 u'bass-baritone': {'abbreviation': [u'b-bar.']},
 u'basset horn': {'french': [u'cor de basset'],
                  'german': [u'bassetthorn'],
                  'italian': [u'corno di bassetto'],
                  'spanish': [u'cuerno basset', u'trompa de basset']},
 u'bassoon': {'abbreviation': [u'bn.', u'fg.', u'bssn.'],
              'french': [u'basson'],
              'german': [u'fagott'],
              'italian': [u'fagotto'],
              'russian': [u'fagot'],
              'spanish': [u'fagot']},
 u'bat\xe1 drum': {'french': [u'tambour bata'],
                   'german': [u'bata-trommel'],
                   'italian': [u'tamburo bata'],
                   'spanish': [u'tambor bat\xe1']},
 u'bb clarinet': {'abbreviation': [u'bb.cl']},
 u'bb tenor saxophone': {'abbreviation': [u't.sax.']},
 u'beam': {'french': [u'barre'],
           'german': [u'balken'],
           'italian': [u'barra'],
           'spanish': [u'barra']},
 u'becoming more lively': {'french': [u'en animant'],
                           'italian': [u'animando']},
 u'becoming quicker': {'french': [u'en serrant']},
 u'bell lira': {'french': [u'glockenspiel', u'jeu de timbres'],
                'german': [u'glockenspiel', u'lyra'],
                'italian': [u'glockenspiel', u'metallofono', u'campanelli'],
                'spanish': [u'juego de timbres',
                            u'\xf3rgano de campanas',
                            u'liro']},
 u'bell lyre': {'french': [u'glockenspiel', u'jeu de timbres'],
                'german': [u'glockenspiel', u'lyra'],
                'italian': [u'glockenspiel', u'metallofono', u'campanelli'],
                'spanish': [u'juego de timbres',
                            u'\xf3rgano de campanas',
                            u'liro']},
 u'bell plate': {'french': [u'cloche-plaque', u'cloche en lame de m\xe9tal'],
                 'german': [u'plattenglocke'],
                 'italian': [u'campana in lastra di metallo'],
                 'spanish': [u'platillo']},
 u'bell tree': {'french': [u'chapeau chinois',
                           u'pavillon chinois',
                           u'cloche pavillon'],
                'german': [u'schellenbaum', u't\xfcrkischer halbmond-stern'],
                'italian': [u'mezzaluna crescent',
                            u'turkisch crescent',
                            u'albero di sonagli',
                            u'cappello cinese',
                            u'padiglione cinese',
                            u'cappello turco'],
                'spanish': [u'pabell\xf3n chino', u'pabell\xf3n turco']},
 u'bells': {'abbreviation': [u'bells'],
            'french': [u'cloches'],
            'german': [u'glocken'],
            'italian': [u'campane'],
            'spanish': [u'campanas']},
 u'below': {'italian': [u'sotto']},
 u'berimbao': {'french': [u'berimbao'],
               'german': [u'berimbao'],
               'italian': [u'berimbao'],
               'spanish': [u'berimbao']},
 u'bird whistle': {'french': [u'appeau', u"sifflet d'oiseau"],
                   'german': [u'vogelpfeife'],
                   'italian': [u'richiamo per uccelli', u'gliuccelli'],
                   'spanish': [u'silbato de aves']},
 u"bird's eye": {'french': [u'pauses', u"point d'orgue"],
                 'german': [u'fermate'],
                 'italian': [u'fermata', u'pause', u'corona'],
                 'spanish': [u'fermata', u'calder\xf3n', u'corona']},
 u'boisterous': {'italian': [u'strepitoso']},
 u'bold': {'italian': [u'risoluto']},
 u'bongo drums': {'french': [u'bongos'],
                  'german': [u'bongos'],
                  'italian': [u'bongos', u'bonghi'],
                  'spanish': [u'bongos']},
 u'bongos': {'abbreviation': [u'bong.']},
 u'bow': {'french': [u'archet'], 'german': [u'bogen'], 'italian': [u'arco']},
 u'bowl organ': {'french': [u'coupes de verre',
                            u'harmonica de verre',
                            u'armonica de verre'],
                 'german': [u'gl\xe4serspiel', u'glasharmonika'],
                 'italian': [u'bicchieri di vetro',
                             u'glassarmonica',
                             u"'armonica a bicchieri"],
                 'spanish': [u'arm\xf3nica de cristal']},
 u'brace': {'french': [u'accolade'],
            'german': [u'klammer'],
            'italian': [u'accolada']},
 u'brass band': {'french': [u'fanfare']},
 u'brass instrument': {'french': [u'instrument \xe0 vent de cuivres',
                                  u'cuivres'],
                       'german': [u'blechblasinstrument'],
                       'italian': [u'ottone'],
                       'russian': [u'mednyi dukhovoi instrument'],
                       'spanish': [u'instrumentos de metal',
                                   u'cobre',
                                   u'instrumentos de viento-metal',
                                   u'metales']},
 u'brass instruments': {'french': [u'instruments \xe0 vent de cuivres'],
                        'german': [u'blechblasinstrumente'],
                        'italian': [u'ottone'],
                        'spanish': [u'instrumentos de viento-metal']},
 u'breath mark': {'french': [u'pauses'],
                  'german': [u'luftpause', u'luftpausen'],
                  'italian': [u'pause']},
 u'breve': {'french': [u'double-ronde'],
            'german': [u'doppelganze', u'doppelganzenote'],
            'italian': [u'breve'],
            'spanish': [u'cuadrada', u'doble redonda']},
 u'breve rest': {'french': [u'double-pause'],
                 'german': [u'doppelganze pause'],
                 'italian': [u'pausa di breve'],
                 'spanish': [u'pausas de cuadrada']},
 u'bridge': {'french': [u'chevalet'],
             'german': [u'steg'],
             'italian': [u'ponticello'],
             'spanish': [u'puente']},
 u'brilliance': {'italian': [u'bravura']},
 u'broad': {'german': [u'breit']},
 u'broadening': {'italian': [u'allargando']},
 u'broadly': {'french': [u'lent', u'large'],
              'german': [u'langsam', u'breit'],
              'italian': [u'largamente']},
 u'brought out': {'german': [u'vorgetragen']},
 u'bull-roarer': {'french': [u'planchette ronflante'],
                  'german': [u'schwirrholz'],
                  'italian': [u'legno frullante', u'tavoletta sibilante']},
 u'bullseye gong': {'french': [u'tam-tam'],
                    'german': [u'tamtam'],
                    'italian': [u'tam-tam'],
                    'spanish': [u'tam-tam']},
 u'but': {'french': [u'mais'], 'german': [u'aber'], 'italian': [u'ma']},
 u'by': {'italian': [u'per']},
 u'c': {'french': [u'ut'],
        'german': [u'c'],
        'italian': [u'do'],
        'spanish': [u'do']},
 u'c clef': {'french': [u"clef d'ut"],
             'german': [u'c-schlussel'],
             'italian': [u'chiave di tenore']},
 u'c double flat': {'french': [u'do double b\xe9mol'],
                    'german': [u'ceses'],
                    'italian': [u'do doppio bemolle'],
                    'spanish': [u'do doble bemol']},
 u'c double sharp': {'french': [u'do double di\xe8se'],
                     'german': [u'cisis'],
                     'italian': [u'do doppio diesis'],
                     'spanish': [u'do doble sostenido']},
 u'c flat': {'french': [u'ut b\xe9mol', u'do b\xe9mol'],
             'german': [u'ces'],
             'italian': [u'do bemolle'],
             'spanish': [u'do bemol']},
 u'c sharp': {'french': [u'ut di\xe8se', u'do di\xe8se'],
              'german': [u'cis'],
              'italian': [u'do diesis'],
              'spanish': [u'do sostenido']},
 u'cabasa': {'french': [u'cabasa', u'calebasse'],
             'german': [u'cabasa'],
             'italian': [u'cabasa'],
             'spanish': [u'cabasa', u'cabassa', u'cabaza', u'afuch\xe9']},
 u'cadence': {'french': [u'cadence'],
              'german': [u'kadenz', u'schluss'],
              'italian': [u'cadenza'],
              'spanish': [u'cadencia']},
 u'caesura': {'french': [u'c\xe9sure', u'pauses'],
              'german': [u'c\xe4sur', u'z\xe4sur'],
              'italian': [u'pause', u'cesura'],
              'spanish': [u'cesura']},
 u'call': {'french': [u'sifflet', u'sifflet \xe0 roulette'],
           'german': [u'trillerpfeife'],
           'italian': [u'fischietto a pallina'],
           'spanish': [u'silbato de la polic\xeda', u'silbato']},
 u'calm': {'italian': [u'tranquillo']},
 u'calmed': {'french': [u'apais\xe9']},
 u'car horn': {'french': [u"trompe d'auto", u'claxon'],
               'german': [u'autohupe', u'claxon'],
               'italian': [u'clacson'],
               'spanish': [u'claxon']},
 u'castanets': {'abbreviation': [u'cas.', u'casts', u'kas.'],
                'french': [u'castagnettes'],
                'german': [u'kastagnetten'],
                'italian': [u'castagnette', u'nacchere'],
                'spanish': [u'casta\xf1uelas']},
 u'castenets': {'french': [u'castagnettes'],
                'german': [u'kastagnetten'],
                'italian': [u'castagnette'],
                'spanish': [u'casta\xf1uelas']},
 u'cavatina': {'french': [u'cavatine'],
               'german': [u'kavatine'],
               'italian': [u'cavatina']},
 u'celesta': {'abbreviation': [u'cel.'],
              'french': [u'c\xe9lesta'],
              'german': [u'celesta'],
              'italian': [u'celesta', u'celeste'],
              'russian': [u'chelesta'],
              'spanish': [u'celesta']},
 u'celeste': {'french': [u'c\xe9lesta'],
              'german': [u'celesta'],
              'italian': [u'celesta', u'celeste'],
              'spanish': [u'celesta']},
 u'cello': {'abbreviation': [u'vc.', u'vcelle.', u'vcl.', u'vlc.'],
            'french': [u'violoncelle'],
            'german': [u'violoncello', u'violoncell'],
            'italian': [u'violoncello', u'cello'],
            'spanish': [u'violonchelo', u'chelo', u'violoncelo']},
 u'chain': {'french': [u'cha\xeene'],
            'german': [u'kettenrassel'],
            'italian': [u'catena'],
            'spanish': [u'cadena']},
 u'chamber orchestra': {'french': [u'orchestre de chambre'],
                        'german': [u'kammerorchester'],
                        'italian': [u'orchestra da camera'],
                        'russian': [u'kamernyi orkestr'],
                        'spanish': [u'orquesta de c\xe1mara']},
 u'chau gong': {'french': [u'tam-tam'],
                'german': [u'tamtam'],
                'italian': [u'tam-tam'],
                'spanish': [u'tam-tam']},
 u'cheerful': {'german': [u'lustig']},
 u"children's voices": {'french': [u"choeur d'enfants"],
                        'german': [u'kinderchor'],
                        'italian': [u'voci bianche'],
                        'russian': [u'detskii khor'],
                        'spanish': [u'coro infantil', u'coro de ni\xf1os']},
 u'chime-bells': {'abbreviation': [u'glock.', u'glck.', u'glsp.']},
 u'chimes': {'abbreviation': [u'bells'],
             'french': [u'glockenspiel', u'jeu de timbres'],
             'german': [u'glockenspiel', u'lyra'],
             'italian': [u'glockenspiel', u'metallofono', u'campanelli'],
             'spanish': [u'juego de timbres',
                         u'\xf3rgano de campanas',
                         u'liro']},
 u'chinese block': {'abbreviation': [u'wd. bl.'],
                    'french': [u'bloc de bois', u'caisse chinoise'],
                    'german': [u'holzblock', u'holzblocktrommel'],
                    'italian': [u'cassettina', u'blochetto'],
                    'spanish': [u'caja china']},
 u'chinese cymbal': {'french': [u'cymbale chinoise'],
                     'german': [u'chinesische h\xe4ngebecken'],
                     'italian': [u'piatto cinese'],
                     'spanish': [u'platillo china']},
 u'chinese pavilion': {'french': [u'chapeau chinois',
                                  u'pavillon chinois',
                                  u'cloche pavillon'],
                       'german': [u'schellenbaum',
                                  u't\xfcrkischer halbmond-stern'],
                       'italian': [u'mezzaluna crescent',
                                   u'turkisch crescent',
                                   u'albero di sonagli',
                                   u'cappello cinese',
                                   u'padiglione cinese',
                                   u'cappello turco'],
                       'spanish': [u'pabell\xf3n chino',
                                   u'pabell\xf3n turco']},
 u'chinese tom-tom': {'french': [u'tom-tom chinois'],
                      'german': [u'chinesische tom-tom'],
                      'italian': [u'tom-tom cinese'],
                      'spanish': [u'tom-tom china']},
 u'chitarrone': {'abbreviation': [u'chit.']},
 u'chord': {'french': [u'accord'],
            'german': [u'akkord'],
            'italian': [u'accordo'],
            'spanish': [u'accorde']},
 u'chorus': {'abbreviation': [u'satb'],
             'french': [u'choeur'],
             'german': [u'chor'],
             'italian': [u'coro'],
             'russian': [u'khor'],
             'spanish': [u'coro']},
 u'cimbalom': {'abbreviation': [u'cimb.'],
               'french': [u'cymbalum'],
               'german': [u'zymbal', u'zimbal', u'cymbal'],
               'italian': [u'cimbalom'],
               'spanish': [u'c\xedmbalo', u'c\xedmbalo h\xfangaro']},
 u'clarinet': {'abbreviation': [u'cl.', u'kl.'],
               'french': [u'clarinette'],
               'german': [u'klarinette'],
               'italian': [u'clarinetto'],
               'russian': [u'klarnet'],
               'spanish': [u'clarinete']},
 u'claves': {'french': [u'claves'],
             'german': [u'claves', u'holzstab'],
             'italian': [u'claves'],
             'spanish': [u'claves']},
 u'clavichord': {'abbreviation': [u'clvd.'],
                 'french': [u'clavicorde'],
                 'german': [u'clavichord', u'klavichord'],
                 'italian': [u'clavicordo'],
                 'russian': [u'klavikord'],
                 'spanish': [u'clavicordio']},
 u'coach horn': {'french': [u'cor postal',
                            u'cor de postillon',
                            u'cornet postal'],
                 'german': [u'posthorn'],
                 'italian': [u'corno di postiglione', u'corno postale'],
                 'spanish': [u'corneta de posta',
                             u'trompa de postill\xf3n',
                             u'corneta de postill\xf3n',
                             u'trompa de posta']},
 u'coaxing': {'italian': [u'lusigando']},
 u'comic opera': {'french': [u'op\xe9ra comique', u'op\xe9ra bouffe'],
                  'german': [u'komische oper', u'heitere oper'],
                  'italian': [u'opera comica']},
 u'computer': {'french': [u'ordinateur'], 'german': [u'computerkl\xe4nge']},
 u'concertante': {'french': [u'concertant'],
                  'german': [u'konzertierend', u'konzertant'],
                  'italian': [u'concertante']},
 u'conga drum': {'french': [u'conga', u'tambour congo', u'tumbadora'],
                 'german': [u'conga', u'conga-trommel', u'tumba'],
                 'italian': [u'tumba'],
                 'spanish': [u'conga', u'tumbadora']},
 u'continuo': {'french': [u'basse continue'],
               'german': [u'generalbass', u'basso continuo'],
               'italian': [u'basso continuo'],
               'russian': [u'basso kontinuo', u'general-bas'],
               'spanish': [u'bajo continuo']},
 u'contra': {'french': [u'clarinette contrebasse'],
             'german': [u'kontrabassklarinette'],
             'spanish': [u'clarinete contrabajo']},
 u'contra bassoon': {'abbreviation': [u'c.bn.',
                                      u'c.fag.',
                                      u'c.bssn.',
                                      u'con.bn.',
                                      u'c.bon.']},
 u'contra or double bass clarinet': {'italian': [u'clarinetto contrabbasso']},
 u'contrabass': {'abbreviation': [u'cb.']},
 u'contrabass clarinet': {'abbreviation': [u'cb.cl', u'cb.kl.']},
 u'contrabass saxophone': {'french': [u'saxophone contrebasse'],
                           'german': [u'kontrabasssaxophon'],
                           'italian': [u'sassofono contrabbasso'],
                           'spanish': [u'saxof\xf3no contrabajo']},
 u'contrabass trombone': {'french': [u'trombone contrabasse'],
                          'german': [u'kontrabassposaune'],
                          'italian': [u'trombone contrabbasso'],
                          'spanish': [u'tromb\xf3n contrabajo']},
 u'contrabassoon': {'french': [u'contrebasson', u'contre-bassoon'],
                    'german': [u'kontrafagott'],
                    'italian': [u'contrafagotto'],
                    'spanish': [u'contrafagot']},
 u'contralto': {'abbreviation': [u'c.'],
                'french': [u'alto', u'contralto'],
                'german': [u'alt'],
                'italian': [u'contralto'],
                'russian': [u"al't", u"kontral'to"],
                'spanish': [u'contralto']},
 u'convenient': {'italian': [u'comodo']},
 u'cor anglais': {'french': [u'cor anglais'],
                  'german': [u'englischhorn'],
                  'italian': [u'corno inglese'],
                  'spanish': [u'corno ingl\xe9s',
                              u'cuerno ingl\xe9s',
                              u'corneta inglesa']},
 u'cornet': {'abbreviation': [u'cor.', u'crt.', u'crnt.', u'cnt.', u'kor.'],
             'french': [u'cornet', u'cornet \xe0 pistons'],
             'german': [u'kornett', u'ventilkornett', u'piston'],
             'italian': [u'cornetta', u'cornetta a pistoni'],
             'russian': [u'kornet'],
             'spanish': [u'corneta',
                         u'cornet\xedn',
                         u'cornet\xedn de pistones']},
 u'counter tenor': {'french': [u'contre-t\xe9nor', u'haute-contre'],
                    'german': [u'contratenor'],
                    'italian': [u'controtenore'],
                    'russian': [u'kontratenor'],
                    'spanish': [u'contratenor']},
 u'countertenor': {'abbreviation': [u'ct.', u'ct.']},
 u'cow bell': {'french': [u'sonnailles de troupeau', u'cencerro', u'campana'],
               'german': [u'cowbell', u'almglocken'],
               'italian': [u'campane da pastore', u'campanaccio'],
               'spanish': [u'cencerro', u'campano']},
 u'cow horn': {'french': [u'cor de vache'],
               'german': [u'stierhorn'],
               'italian': [u'corno di toro'],
               'spanish': [u'cuerno de vaca']},
 u'cowbells': {'french': [u'cloches \xe0 vache',
                          u'cloches de vache',
                          u'gencerros'],
               'german': [u'herdenglocken', u'kuhglocken', u'viehschellen'],
               'italian': [u'campanelli di vacca',
                           u'campanelli da mucca',
                           u'campanacci'],
               'spanish': [u'cencerros', u'campanos']},
 u'crash cymbals': {'french': [u'cymbales', u'crash'],
                    'german': [u'crashbecken',
                               u'becken-paar',
                               u'becken gew\xf6nlich'],
                    'italian': [u'piatti', u'cinelli'],
                    'spanish': [u'platillos crash']},
 u'crisp': {'french': [u'sec']},
 u'crotales': {'abbreviation': [u'crot.'],
               'french': [u'antike zimbeln', u'crotales', u'antike cymbeln'],
               'german': [u'crotales', u'cymbales antiques'],
               'italian': [u'crotali', u'cimbali'],
               'spanish': [u'crotalos', u'platillos antiguos', u'crotalos']},
 u'crotchet': {'french': [u'noire'],
               'german': [u'viertel', u'viertelnote'],
               'italian': [u'semiminima', u'nera'],
               'spanish': [u'negra']},
 u'crotchet rest': {'french': [u'soupir'],
                    'german': [u'viertelpause'],
                    'italian': [u'pausa di semiminima'],
                    'spanish': [u'pausas de negra']},
 u'crumhorn': {'french': [u'cromorne'],
               'german': [u'krummhorn'],
               'italian': [u'cromorno'],
               'spanish': [u'cromorno']},
 u'crushed note': {'french': [u'pinc\xe9 \xe9touff\xe9'],
                   'german': [u'kurzer vorschlag', u'zusammenschlag'],
                   'italian': [u'acciaccatura']},
 u'curtal': {'french': [u'dou\xe7aine'],
             'german': [u'dulzian'],
             'italian': [u'dulciana'],
             'spanish': [u'baj\xf3n']},
 u'cu\xedca': {'french': [u'tambour de friction',
                          u'cuica',
                          u'puita',
                          u'omel\xea',
                          u'on\xe7a',
                          u'zambomba',
                          u'rommelpot',
                          u'roncador'],
               'german': [u'cu\xedca', u'reibtrommel', u'brummtopf'],
               'italian': [u'cu\xedca', u'tamburo a frizione', u'puttiputti'],
               'spanish': [u'cuica']},
 u'cymbal': {'french': [u'cymbales'],
             'german': [u'becken'],
             'italian': [u'piatti', u'cinelli', u'cimbali'],
             'spanish': [u'cimbalos']},
 u'cymbal tongs': {'french': [u'castagnettes de fer'],
                   'german': [u'gabelbecken'],
                   'italian': [u'castagnette di ferro'],
                   'spanish': [u'casta\xf1uelas de hierro']},
 u'cymbals': {'abbreviation': [u'cym.', u'cymb.', u'ptti'],
              'french': [u'cymbales'],
              'german': [u'becken'],
              'italian': [u'piatti', u'cinelli'],
              'russian': [u'tarelki'],
              'spanish': [u'cimbalos',
                          u'platos',
                          u'platillos',
                          u'c\xedmbalos',
                          u'cimbales']},
 u'd': {'french': [u'r\xe9'],
        'german': [u'd'],
        'italian': [u're'],
        'spanish': [u're']},
 u'd double flat': {'french': [u'r\xe9 double b\xe9mol'],
                    'german': [u'deses'],
                    'italian': [u're doppio bemolle'],
                    'spanish': [u're doble bemol']},
 u'd double sharp': {'french': [u'r\xe9 double di\xe8se'],
                     'german': [u'disis'],
                     'italian': [u're doppio diesis'],
                     'spanish': [u're doble sostenido']},
 u'd flat': {'french': [u'r\xe9 b\xe9mol'],
             'german': [u'des'],
             'italian': [u're bemolle'],
             'spanish': [u're bemol']},
 u'd sharp': {'french': [u'r\xe9 di\xe8se'],
              'german': [u'dis'],
              'italian': [u're diesis'],
              'spanish': [u're sostenido']},
 u'dance': {'french': [u'danse'],
            'german': [u'tanz'],
            'italian': [u'd\xe1nza'],
            'spanish': [u'danza']},
 u'delicate': {'german': [u'zart'], 'italian': [u'delicato']},
 u'demisemiquaver': {'french': [u'quadruple-croche'],
                     'german': [u'zweiunddreissigstel',
                                u'zweiunddreissigstelnote'],
                     'italian': [u'biscroma'],
                     'spanish': [u'fusa']},
 u'demisemiquaver rest': {'french': [u'huiti\xe8me de soupir'],
                          'german': [u'zweiunddreissigstelpause'],
                          'italian': [u'pausa di biscroma'],
                          'spanish': [u'pausas de fusa']},
 u'descant recorder': {'french': [u'fl\xfbte \xe0 bec soprano',
                                  u'fl\xfbte douce soprano',
                                  u'fl\xfbte droite soprano'],
                       'german': [u'sopranblockfl\xf6te'],
                       'italian': [u'flauto dolce soprano',
                                   u'flauto dritto soprano',
                                   u'flauto a becco soprano'],
                       'spanish': [u'flauta recta soprano',
                                   u'flauta dulce soprano',
                                   u'flauta de pico soprano']},
 u'detached': {'italian': [u'staccato']},
 u'distant': {'french': [u'lointain']},
 u'divertimento': {'abbreviation': [u'divert.', u'div.'],
                   'french': [u'divertissement'],
                   'german': [u'divertimento'],
                   'italian': [u'divertimento']},
 u'divided': {'abbreviation': [u'div.'],
              'french': [u'divise'],
              'german': [u'geteilt', u'getheilt'],
              'italian': [u'divisi', u'diviso']},
 u'djembe': {'french': [u'djemb\xe9'],
             'german': [u'djembe'],
             'italian': [u'djembe',
                         u'djemb\xe8',
                         u'djemb\xe9',
                         u'djamb\xe8',
                         u'djamb\xe9',
                         u'jenbe',
                         u'jembe',
                         u'djimbe'],
             'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'djimbe': {'french': [u'djemb\xe9'],
             'german': [u'djembe'],
             'italian': [u'djembe',
                         u'djemb\xe8',
                         u'djemb\xe9',
                         u'djamb\xe8',
                         u'djamb\xe9',
                         u'jenbe',
                         u'jembe',
                         u'djimbe'],
             'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'dot': {'french': [u'point'],
          'german': [u'punkt'],
          'italian': [u'punto'],
          'spanish': [u'puntillo']},
 u'dotted note': {'french': [u'note point\xe9e'],
                  'german': [u'punktierte note'],
                  'italian': [u'nota puntata'],
                  'spanish': [u'nota con puntillo']},
 u'double bar': {'french': [u'double-barre'],
                 'german': [u'doppeltaktstrich'],
                 'italian': [u'doppia barra'],
                 'spanish': [u'doble barra']},
 u'double bass': {'abbreviation': [u'cb.', u'kb.'],
                  'french': [u'contrebasse'],
                  'german': [u'kontrabass'],
                  'italian': [u'contrabasso'],
                  'russian': [u'kontrabas'],
                  'spanish': [u'contrabajo', u'violon']},
 u'double bass clarinet': {'french': [u'clarinette contrebasse'],
                           'german': [u'kontrabassklarinette'],
                           'spanish': [u'clarinete contrabajo']},
 u'double bass trombone': {'french': [u'trombone contrabasse'],
                           'german': [u'kontrabassposaune'],
                           'italian': [u'trombone contrabbasso'],
                           'spanish': [u'tromb\xf3n contrabajo']},
 u'double bassoon': {'abbreviation': [u'd.bn']},
 u'double flat': {'french': [u'double b\xe9mol'],
                  'german': [u'dopple-be'],
                  'italian': [u'doppio bemolle'],
                  'spanish': [u'doble bemol']},
 u'double reeds': {'french': [u'anches doubles']},
 u'double sharp': {'french': [u'double di\xe8se'],
                   'german': [u'doppelkreuz'],
                   'italian': [u'doppio diesis'],
                   'spanish': [u'doble sostenido']},
 u'double whole note': {'french': [u'double-ronde'],
                        'german': [u'doppelganze', u'doppelganzenote'],
                        'italian': [u'breve'],
                        'spanish': [u'cuadrada', u'doble redonda']},
 u'double whole rest': {'french': [u'double-pause'],
                        'german': [u'doppelganze pause'],
                        'italian': [u'pausa di breve'],
                        'spanish': [u'pausas de cuadrada']},
 u'double-action harp': {'french': [u'harpe \u2021 double mouvement'],
                         'german': [u'doppelpedalharfe'],
                         'italian': [u'arpa a doppio movimento'],
                         'spanish': [u'arpa de doble acci\xf3n']},
 u'down-bow': {'french': [u'tir\xe9'],
               'german': [u'niederstrich'],
               'italian': [u'aracata in gi\xf9'],
               'spanish': [u'arco abajo']},
 u'dragging': {'german': [u'schleppen']},
 u"dragon's mouths": {'french': [u'temple-blocs'],
                      'german': [u'tempelbl\xf6cke', u'templeblocks'],
                      'italian': [u'temple blocks',
                                  u'blocchi di legno coreani',
                                  u'blocchi cinesi',
                                  u'block cinese'],
                      'spanish': [u'temple block']},
 u'drum': {'french': [u'tambour'],
           'german': [u'trommel'],
           'italian': [u'tamburo'],
           'russian': [u'baraban'],
           'spanish': [u'tambor']},
 u'dry': {'french': [u'sec']},
 u'duck call': {'french': [u'conard'],
                'german': [u'entenquak'],
                'italian': [u'gracidio di anitra'],
                'spanish': [u'silbato pato', u'silbato llamador pato']},
 u'dulcian': {'french': [u'dou\xe7aine'],
              'german': [u'dulzian'],
              'italian': [u'dulciana'],
              'spanish': [u'baj\xf3n']},
 u'dulcimer': {'german': [u'hackbrett'],
               'italian': [u'salterio'],
               'russian': [u'tsimbaly'],
               'spanish': [u'dulcema']},
 u'dying away': {'abbreviation': [u'smorz.'], 'italian': [u'smorzando']},
 u'e': {'french': [u'mi'],
        'german': [u'e'],
        'italian': [u'mi'],
        'spanish': [u'mi']},
 u'e double flat': {'french': [u'mi double b\xe9mol'],
                    'german': [u'eses'],
                    'italian': [u'mi doppio bemolle'],
                    'spanish': [u'mi doble bemol']},
 u'e double sharp': {'french': [u'mi double di\xe8se'],
                     'german': [u'eisis'],
                     'italian': [u'mi doppio diesis'],
                     'spanish': [u'mi doble sostenido']},
 u'e flat': {'french': [u'mi b\xe9mol'],
             'german': [u'es'],
             'italian': [u'mi bemolle'],
             'spanish': [u'mi bemol']},
 u'e sharp': {'french': [u'mi di\xe8', u'se'],
              'german': [u'eis'],
              'italian': [u'mi diesis'],
              'spanish': [u'mi sostenido']},
 u'easy': {'italian': [u'facile']},
 u'eb alto saxophone': {'abbreviation': [u'a.sax.']},
 u'eb baritone saxophone': {'abbreviation': [u'bar.sax.']},
 u'eb clarinet': {'abbreviation': [u'eb.cl.', u'eb.kl.']},
 u'eighth note': {'french': [u'croche'],
                  'german': [u'achtel', u'achtelnote'],
                  'italian': [u'croma'],
                  'spanish': [u'corchea']},
 u'eighth rest': {'french': [u'demi-soupir'],
                  'german': [u'achtelpause'],
                  'italian': [u'pausa di croma'],
                  'spanish': [u'pausas de corchea']},
 u'electric guitar': {'abbreviation': [u'e.gtr.'],
                      'french': [u'guitarre \xe9lectrique'],
                      'german': [u'elektrische gitarre'],
                      'italian': [u'chitarra elettrica'],
                      'spanish': [u'guitarra el\xe9ctrica']},
 u'emotion': {'german': [u'empfindung']},
 u'emphasised': {'italian': [u'accento']},
 u'emphatic': {'abbreviation': [u'marc.'], 'italian': [u'marcato']},
 u'energetic': {'italian': [u'energico']},
 u'english horn': {'abbreviation': [u'eng.hn.', u'e.h.', u'e. hn.'],
                   'french': [u'cor anglais'],
                   'german': [u'englischhorn'],
                   'italian': [u'corno inglese'],
                   'russian': [u'angliiskii rozhok'],
                   'spanish': [u'corno',
                               u'cuerno ingl\xe9s',
                               u'corno ingl\xe9s',
                               u'corneta inglesa']},
 u'enough': {'french': [u'assez']},
 u'enthusiasm': {'italian': [u'slancio']},
 u'equal voices': {'french': [u'voix \xe9gales'],
                   'german': [u'stimmen gleiche'],
                   'italian': [u'voci pari'],
                   'russian': [u'odnorodnye golosa'],
                   'spanish': [u'voces iguales']},
 u'euphonium': {'abbreviation': [u'euph.'],
                'french': [u'euphonium', u'basse \xe0 pistons'],
                'german': [u'euphonium', u'eufonio'],
                'italian': [u'eufonio', u'euphonium', u'baryton'],
                'russian': [u'evfonium'],
                'spanish': [u'euphonium', u'bombardino']},
 u'everyone': {'italian': [u'tutti']},
 u'everyone is silent': {'abbreviation': [u'g.p.'],
                         'german': [u'generalpause']},
 u'exact': {'italian': [u'giusto']},
 u'expansive': {'german': [u'breit']},
 u'expression': {'german': [u'ausdruck']},
 u'expressive': {'abbreviation': [u'espr.'], 'italian': [u'espressivo']},
 u'f': {'french': [u'fa'],
        'german': [u'f'],
        'italian': [u'fa'],
        'spanish': [u'fa']},
 u'f clef': {'french': [u'clef de fa'],
             'german': [u'f-schlussel'],
             'italian': [u'chiave di basso'],
             'spanish': [u'clave de fa']},
 u'f double flat': {'french': [u'fa double b\xe9mol'],
                    'german': [u'feses'],
                    'italian': [u'fa doppio bemolle'],
                    'spanish': [u'fa doble bemol']},
 u'f double sharp': {'french': [u'fa double di\xe8se'],
                     'german': [u'fisis'],
                     'italian': [u'fa doppio diesis'],
                     'spanish': [u'fa doble sostenido']},
 u'f flat': {'french': [u'fa b\xe9mol'],
             'german': [u'fes'],
             'italian': [u'fa bemolle'],
             'spanish': [u'fa bemol']},
 u'f sharp': {'french': [u'fa di\xe8se'],
              'german': [u'fis'],
              'italian': [u'fa diesis'],
              'spanish': [u'fa sostenido']},
 u'fading away': {'italian': [u'mancando']},
 u'fairly quick': {'italian': [u'allegretto']},
 u'fast': {'german': [u'schnell'], 'italian': [u'volante']},
 u'feeling': {'german': [u'empfindung']},
 u'feng luo': {'french': [u'gong \xe0 vent'],
               'german': [u'windgong'],
               'italian': [u'gong di vento'],
               'spanish': [u'gong de viento']},
 u'field drum': {'french': [u'tambour militaire'],
                 'german': [u'milit\xe4rtrommel', u'r\xfchrtrommel'],
                 'italian': [u'tamburo militare'],
                 'spanish': [u'tambor militar']},
 u'fierce': {'italian': [u'feroce']},
 u'fiery': {'french': [u'emport\xe9'], 'german': [u'feurig']},
 u'final barline': {'spanish': [u'doble barra final']},
 u'finger cymbals': {'abbreviation': [u'fing.cym.'],
                     'french': [u'cymbales digitales',
                                u'sagattes',
                                u'sagates',
                                u'zill'],
                     'german': [u'fingerzimbeln'],
                     'italian': [u'cimbalini'],
                     'spanish': [u'cr\xf3talos', u'chinchines']},
 u'fingerboard': {'french': [u'touche'],
                  'german': [u'griffbrett'],
                  'italian': [u'tastiera']},
 u'fire': {'italian': [u'fuoco']},
 u'first': {'italian': [u'prima']},
 u'flag': {'french': [u'crochet'],
           'german': [u'fahne', u'f\xe4hnchen'],
           'italian': [u'coda uncinata', u'bandiera'],
           'spanish': [u'corchete']},
 u'flat': {'french': [u'b\xe9mol'],
           'german': [u'be'],
           'italian': [u'bemolle'],
           'spanish': [u'bemol']},
 u'flex-a-tone': {'french': [u'flexatone'],
                  'german': [u'flexaton'],
                  'italian': [u'flessatono'],
                  'spanish': [u'flexatone']},
 u'flexatone': {'french': [u'flexatone'],
                'german': [u'flexaton'],
                'italian': [u'flessatono'],
                'spanish': [u'flexatone']},
 u'flexible': {'italian': [u'flessibile']},
 u'floating': {'french': [u'flottant']},
 u'flowing': {'german': [u'fliessend']},
 u'flugelhorn': {'abbreviation': [u'flg.']},
 u'flute': {'abbreviation': [u'fl.'],
            'french': [u'fl\xfbte',
                       u'grande fl\xfbte',
                       u'fl\xfbte traversi\xe8re'],
            'german': [u'fl\xf6te', u'querfl\xf6te'],
            'italian': [u'flauto', u'flauto traverso'],
            'russian': [u'fleita'],
            'spanish': [u'flauta',
                        u'flauta travesera',
                        u'flauta de boehm',
                        u'flauta de concierto',
                        u'flauta traversa']},
 u"flute d'amore": {'french': [u'fl\xfbte tenor', u"fl\xfbte d'amour"],
                    'german': [u'tenorfl\xf6te', u"fl\xf6te d'amore"],
                    'italian': [u'flauto tenore', u"flauto d'amore"],
                    'spanish': [u'flauta tenor', u'flauta de amor']},
 u'flying': {'italian': [u'volante']},
 u'for': {'italian': [u'per']},
 u'force': {'italian': [u'forza']},
 u'forced': {'abbreviation': [u'sf', u'sfz'], 'italian': [u'sforzando']},
 u'frame drum': {'french': [u'tambour sur cadre'],
                 'german': [u'rahmentrommel'],
                 'italian': [u'tamburo a cornice'],
                 'spanish': [u'tambor de marco']},
 u'free': {'german': [u'frei']},
 u'freely': {'french': [u'librement'], 'italian': [u'liberamente']},
 u'french horn': {'french': [u'cor', u"cor d'harmonie", u'cor fran\xe7ais'],
                  'german': [u'horn'],
                  'italian': [u'corno', u'corno francese'],
                  'spanish': [u'trompa',
                              u'trompa de pistones',
                              u'corno franc\xe9s']},
 u'friendly': {'italian': [u'affabile']},
 u'frog': {'french': [u'talon', u'hausse'],
           'german': [u'frosch'],
           'italian': [u'tallone'],
           'spanish': [u'tal\xf3n']},
 u'from the beginning': {'abbreviation': [u'd.c.'], 'italian': [u'da capo']},
 u'from the sign': {'abbreviation': [u'd.s.'],
                    'french': [u'du signe'],
                    'german': [u'vom zeichen'],
                    'italian': [u'dal segno']},
 u'full': {'german': [u'voll']},
 u'furious': {'italian': [u'furioso']},
 u'g': {'french': [u'sol'],
        'german': [u'g'],
        'italian': [u'sol'],
        'spanish': [u'sol']},
 u'g clef': {'french': [u'clef de sol'],
             'german': [u'g-schlussel'],
             'italian': [u'chiave di violino']},
 u'g double flat': {'french': [u'sol double b\xe9mol'],
                    'german': [u'geses'],
                    'italian': [u'sol doppio bemolle'],
                    'spanish': [u'sol doble bemol']},
 u'g double sharp': {'french': [u'sol double di\xe8se'],
                     'german': [u'gisis'],
                     'italian': [u'sol doppio diesis'],
                     'spanish': [u'sol doble sostenido']},
 u'g flat': {'french': [u'solb\xe9mol'],
             'german': [u'ges'],
             'italian': [u'sol bemolle'],
             'spanish': [u'sol bemol']},
 u'g sharp': {'french': [u'sol di\xe8se'],
              'german': [u'gis'],
              'italian': [u'sol diesis'],
              'spanish': [u'sol sostenido']},
 u'general pause': {'abbreviation': [u'g.p.'], 'german': [u'grosse pause']},
 u'gentle': {'german': [u'leise'], 'italian': [u'soave']},
 u'getting quicker': {'italian': [u'incalzando']},
 u'getting slower': {'italian': [u'slargando']},
 u'getting softer': {'italian': [u'calando']},
 u'glass harmonica': {'french': [u'coupes de verre',
                                 u'harmonica de verre',
                                 u'armonica de verre'],
                      'german': [u'gl\xe4serspiel', u'glasharmonika'],
                      'italian': [u'bicchieri di vetro',
                                  u'glassarmonica',
                                  u"'armonica a bicchieri"],
                      'spanish': [u'arm\xf3nica de cristal']},
 u'glass harp': {'french': [u'coupes de verre',
                            u'harmonica de verre',
                            u'armonica de verre'],
                 'german': [u'gl\xe4serspiel', u'glasharmonika'],
                 'italian': [u'bicchieri di vetro',
                             u'glassarmonica',
                             u"'armonica a bicchieri"],
                 'spanish': [u'arm\xf3nica de cristal']},
 u'glass wind chimes': {'french': [u'baguettes de verre suspendues'],
                        'german': [u'glas-windglocken'],
                        'italian': [u'bacchette di vetro sospese'],
                        'spanish': [u'carill\xf3ns de viento de vidrio']},
 u'glissando': {'abbreviation': [u'gliss'],
                'french': [u'glissement'],
                'german': [u'glissando'],
                'italian': [u'glissando'],
                'spanish': [u'glissando']},
 u'glockenspiel': {'abbreviation': [u'glock.', u'glck.', u'glsp.'],
                   'french': [u'glockenspiel', u'jeu de timbres'],
                   'german': [u'glockenspiel', u'lyra'],
                   'italian': [u'glockenspiel',
                               u'metallofono',
                               u'campanelli'],
                   'russian': [u"kolokol'chiki"],
                   'spanish': [u'campan\xf3logo',
                               u'juego',
                               u'de timbres',
                               u'\xf3rgano de',
                               u'campanas',
                               u'juego de timbres',
                               u'\xf3rgano de campanas',
                               u'liro']},
 u'go straight on': {'italian': [u'segue']},
 u'gong': {'abbreviation': [u'gng', u'tamtam'],
           'french': [u'gong'],
           'german': [u'gong'],
           'italian': [u'gong'],
           'spanish': [u'gong']},
 u'graceful': {'french': [u'gracieux'], 'italian': [u'grazioso']},
 u'gradually': {'german': [u'nach und nach']},
 u'gradually getting faster': {'italian': [u'stringendo']},
 u'gradually getting louder': {'abbreviation': [u'cresc.'],
                               'italian': [u'crescendo']},
 u'gradually getting slower': {'abbreviation': [u'rit.'],
                               'italian': [u'ritardando']},
 u'gradually getting softer': {'abbreviation': [u'dim.'],
                               'italian': [u'diminuendo']},
 u'grand pause': {'abbreviation': [u'g.p.'], 'german': [u'grosse pause']},
 u'grandly': {'italian': [u'grandioso']},
 u'grave': {'italian': [u'solenne']},
 u'grief': {'italian': [u'dolore']},
 u'guiro': {'french': [u'g\xfciro'],
            'german': [u'guiro'],
            'italian': [u'guiro'],
            'spanish': [u'guiro']},
 u'guitar': {'abbreviation': [u'gtr.'],
             'french': [u'guitare'],
             'german': [u'gitarre'],
             'italian': [u'chitarra'],
             'russian': [u'gitara'],
             'spanish': [u'guitarra']},
 u'half note': {'french': [u'blanche'],
                'german': [u'halbe', u'halbenote'],
                'italian': [u'minima', u'bianca'],
                'spanish': [u'blanca']},
 u'half rest': {'french': [u'demi-pause'],
                'german': [u'halbe pause'],
                'italian': [u'pausa di minima'],
                'spanish': [u'pausas de blanca']},
 u'hand': {'french': [u'main'], 'german': [u'hand'], 'italian': [u'mano']},
 u'handbells': {'french': [u'clochettes \u2021 main'],
                'german': [u'handglocken'],
                'italian': [u'campanelli a mano'],
                'spanish': [u'campanas de mano']},
 u'happy': {'italian': [u'felice']},
 u'harmonica': {'french': [u'harmonica'],
                'german': [u'mundharmonika'],
                'italian': [u'armonica a bocca'],
                'spanish': [u'arm\xf3nica de boca']},
 u'harmonium': {'french': [u'harmonium'],
                'german': [u'harmonium'],
                'italian': [u'armonium'],
                'spanish': [u'armonio',
                            u'harmonium',
                            u'harmonio',
                            u'armonium']},
 u'harp': {'abbreviation': [u'harp', u'arp.', u'hpe.', u'hp.', u'hrp.'],
           'french': [u'harpe'],
           'german': [u'harfe'],
           'italian': [u'arpa', u'arpe'],
           'russian': [u'arfa'],
           'spanish': [u'arpa']},
 u'harpsichord': {'abbreviation': [u'hpd.'],
                  'french': [u'clavecin', u'clave\xe7in', u'clavessin'],
                  'german': [u'cembalo',
                             u'clavicembalo',
                             u'arpicordo',
                             u'kielfl\xfcgel',
                             u'clavicimbel'],
                  'italian': [u'clavicembalo',
                              u'cembalo',
                              u'arpicordo',
                              u'cimbalo'],
                  'russian': [u'klavesin', u'chembalo'],
                  'spanish': [u'clavec\xe9mbalo',
                              u'clavec\xedn',
                              u'clavic\xedmbalo',
                              u'clavic\xe9mbalo',
                              u'c\xe9mbalo',
                              u'gravic\xe9mbalo']},
 u'haste': {'italian': [u'fretta']},
 u'hawaiian guitar': {'french': [u'guitare hawa\xd4enne',
                                 u'guitare hawaiienne'],
                      'german': [u'hawaii-gitarre'],
                      'italian': [u'chitarra hawaiana'],
                      'spanish': [u'guitarra hawaiana']},
 u'headlong': {'italian': [u'precipitando']},
 u'heartfelt': {'german': [u'innig']},
 u'heavy': {'french': [u'lourd'], 'italian': [u'pesante']},
 u'heckelphone': {'french': [u'heckelphone'],
                  'german': [u'heckelfon'],
                  'italian': [u'heckelphon', u'heckelfono'],
                  'spanish': [u'heckelf\xf3n']},
 u'held': {'italian': [u'tenuto']},
 u'held back': {'abbreviation': [u'rit.'],
                'french': [u'retenu'],
                'italian': [u'ritenuto']},
 u'helicon': {'french': [u'h\xc8licon'],
              'german': [u'helikon', u'helikontuba'],
              'italian': [u'elicon', u'helicon'],
              'spanish': [u'helic\xf3n']},
 u'hemidemisemiquaver': {'french': [u'octuple croche'],
                         'german': [u'vierundsechzigstel',
                                    u'vierundsechzigstelnote'],
                         'italian': [u'semibiscroma'],
                         'spanish': [u'semifusa']},
 u'hemidemisemiquaver rest': {'french': [u'seizi\xe8me de soupir'],
                              'german': [u'vierundsechzigstelpause'],
                              'italian': [u'pausa di semibiscroma'],
                              'spanish': [u'pausas de semifusa']},
 u'hi-hat': {'french': [u'cymbale \xe0 p\xe9dale', u'hi-hat', u'charleston'],
             'german': [u'h-hat becken', u'fussbecken', u'st\xe4nderbecken'],
             'italian': [u'hi-hat', u'piatti a pedale', u'charleston'],
             'spanish': [u'hi-hat', u'hi hat', u'charles', u'charleston']},
 u'high': {'italian': [u'alt']},
 u'high voice': {'french': [u'haut'],
                 'german': [u'hohe'],
                 'italian': [u'acuto'],
                 'russian': [u'vysokaia'],
                 'spanish': [u'agudo']},
 u'hold': {'french': [u'pauses', u"point d'orgue"],
           'german': [u'fermate'],
           'italian': [u'fermata', u'pause', u'corona'],
           'spanish': [u'fermata', u'calder\xf3n', u'corona']},
 u'holding back': {'french': [u'en retenant']},
 u'horn': {'abbreviation': [u'hn.', u'cor.'],
           'french': [u'cor'],
           'german': [u'horn', u'ventilhorn'],
           'italian': [u'corno'],
           'russian': [u'gorn', u'rog', u'rozhok'],
           'spanish': [u'corno', u'corno franc\xe9s', u'trompa', u'cuerno']},
 u'however': {'german': [u'doch']},
 u'humerous': {'italian': [u'giocoso']},
 u'hunting horn': {'french': [u'cor de chasse', u'bugle'],
                   'german': [u'jagdhorn', u'signalhorn'],
                   'italian': [u'corno da caccia'],
                   'spanish': [u'trompeta de caza']},
 u'hurdy-gurdy': {'french': [u'vielle \u2021 roue'],
                  'german': [u'drehleier', u'radleier', u'leier'],
                  'italian': [u'ghironda'],
                  'spanish': [u'zanfona',
                              u'cinfon\xeda',
                              u'viola de rueda',
                              u'zanfon\xeda']},
 u'hurry': {'french': [u'serrer']},
 u'hurrying': {'italian': [u'affrettando']},
 u'hurrying on': {'french': [u'en pressant']},
 u'hydrocrystalophone': {'french': [u'coupes de verre',
                                    u'harmonica de verre',
                                    u'armonica de verre'],
                         'german': [u'gl\xe4serspiel', u'glasharmonika'],
                         'italian': [u'bicchieri di vetro',
                                     u'glassarmonica',
                                     u"'armonica a bicchieri"],
                         'spanish': [u'arm\xf3nica de cristal']},
 u'impetuous': {'french': [u'emport\xe9'], 'italian': [u'impetuoso']},
 u'in': {'italian': [u'a']},
 u'in a military style': {'italian': [u'marziale']},
 u'in a singing style': {'german': [u'gesangvoll'], 'italian': [u'cantabile']},
 u'in a whimsical or fanciful style': {'italian': [u'capriccioso']},
 u'in the manner of': {'italian': [u'al', u'alla']},
 u'in the same way': {'abbreviation': [u'sim.'], 'italian': [u'simile']},
 u'in time': {'french': [u'en mesure']},
 u'instrumental ensembles': {'french': [u'ensembles instrumentaux']},
 u'interval': {'french': [u'intervalle'],
               'german': [u'intervall'],
               'italian': [u'intervallo'],
               'spanish': [u'intervalo']},
 u'iron pipe': {'french': [u'tuyau de fer'],
                'german': [u'eisenr\xf6hre'],
                'italian': [u'tubo di ferro'],
                'spanish': [u'tubo de hierro']},
 u'jackdaw': {'french': [u'rugissement de lion', u'tambour \xe0 corde'],
              'german': [u'l\xf6wengebr\xfcll'],
              'italian': [u'ruggito del leone'],
              'spanish': [u'rugido del le\xf3n', u'tambor de cuerda']},
 u'jaw bone': {'french': [u'quijada'],
               'german': [u'schlagrassel'],
               'italian': [u"mascella d'asino"],
               'spanish': [u'quijada']},
 u'jaw harp': {'french': [u'guimbarde', u'trompe de bearn'],
               'german': [u'maultrommel'],
               'italian': [u'scacciapensieri'],
               'spanish': [u'guimbarda', u'birimbao', u'arpa de boca']},
 u'jawbone': {'french': [u'quyada'],
              'german': [u'schlagrassel'],
              'italian': [u'mascella'],
              'spanish': [u'guyada', u'quijada']},
 u'jazz flute': {'french': [u'fl\u02date lotine',
                            u'fl\u02date \u2021 coulisse',
                            u'sifflet \u2021 coulisse'],
                 'german': [u'lotusfl\u02c6te',
                            u'stempelfl\u02c6te',
                            u'kolbenfl\xf6te'],
                 'italian': [u'flauto a tiro',
                             u'flauto a culisse',
                             u'zufolo a pistone',
                             u'flauto a cursore'],
                 'spanish': [u'flauta de \xe9mbolo']},
 u'jembe': {'french': [u'djemb\xe9'],
            'german': [u'djembe'],
            'italian': [u'djembe',
                        u'djemb\xe8',
                        u'djemb\xe9',
                        u'djamb\xe8',
                        u'djamb\xe9',
                        u'jenbe',
                        u'jembe',
                        u'djimbe'],
            'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'jenbe': {'french': [u'djemb\xe9'],
            'german': [u'djembe'],
            'italian': [u'djembe',
                        u'djemb\xe8',
                        u'djemb\xe9',
                        u'djamb\xe8',
                        u'djamb\xe9',
                        u'jenbe',
                        u'jembe',
                        u'djimbe'],
            'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'jest': {'italian': [u'scherzo']},
 u"jew's harp": {'french': [u'guimbarde', u'trompe de bearn'],
                 'german': [u'maultrommel'],
                 'italian': [u'scacciapensieri'],
                 'spanish': [u'guimbarda', u'birimbao', u'arpa de boca']},
 u'jimbay': {'french': [u'djemb\xe9'],
             'german': [u'djembe'],
             'italian': [u'djembe',
                         u'djemb\xe8',
                         u'djemb\xe9',
                         u'djamb\xe8',
                         u'djamb\xe9',
                         u'jenbe',
                         u'jembe',
                         u'djimbe'],
             'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'jingle bells': {'french': [u'grelots'],
                   'german': [u'schellen', u'rollschellen'],
                   'italian': [u'sonagli', u'sonagliera'],
                   'spanish': [u'cascabels']},
 u'jingling johnny': {'french': [u'chapeau chinois',
                                 u'pavillon chinois',
                                 u'cloche pavillon'],
                      'german': [u'schellenbaum',
                                 u't\xfcrkischer halbmond-stern'],
                      'italian': [u'mezzaluna crescent',
                                  u'turkisch crescent',
                                  u'albero di sonagli',
                                  u'cappello cinese',
                                  u'padiglione cinese',
                                  u'cappello turco'],
                      'spanish': [u'pabell\xf3n chino', u'pabell\xf3n turco']},
 u'joined': {'german': [u'gebunden']},
 u'joke': {'italian': [u'scherzo']},
 u'joking': {'italian': [u'scherzando']},
 u'joyful': {'french': [u'joyeux'],
             'german': [u'fr\xf6hlich'],
             'italian': [u'giojoso']},
 u'kettle drums': {'abbreviation': [u'k.dr.'],
                   'french': [u'timbales'],
                   'german': [u'pauken'],
                   'italian': [u'timpani'],
                   'spanish': [u'timbales']},
 u'kettledrum': {'abbreviation': [u'timp.', u'pk.', u'k. dr.'],
                 'french': [u'timbale', u'timbales'],
                 'german': [u'pauke',
                            u'pauken',
                            u'kesselpauke',
                            u'kesseltrommel'],
                 'italian': [u'timpano',
                             u'timpani',
                             u'timballo',
                             u'timballi',
                             u'tympani'],
                 'spanish': [u'timbal', u'timbals', u'atabal']},
 u'keyboard': {'abbreviation': [u'kbd.']},
 u'keyboard instrument': {'french': [u'instrument \xe0 clavier'],
                          'german': [u'tasteninstrument'],
                          'italian': [u'strumento a tastiera'],
                          'russian': [u'klavishnyi instrument'],
                          'spanish': [u'instrumento de tecla']},
 u'klaxon': {'french': [u"trompe d'auto", u'claxon'],
             'german': [u'autohupe', u'claxon'],
             'italian': [u'clacson'],
             'spanish': [u'claxon']},
 u'lap steel guitar': {'french': [u'guitare hawa\xd4enne',
                                  u'guitare hawaiienne'],
                       'german': [u'hawaii-gitarre'],
                       'italian': [u'chitarra hawaiana'],
                       'spanish': [u'guitarra hawaiana']},
 u'left': {'french': [u'gauche'],
           'german': [u'linke'],
           'italian': [u'sinistra', u'sinistro']},
 u'left hand': {'abbreviation': [u'l.h.', u'm.g.', u'm.s.', u'c.s.'],
                'french': [u'main gauche'],
                'german': [u'linke hand'],
                'italian': [u'mano sinistra',
                            u'mano sinistro',
                            u'colla sinistra',
                            u'col sinistra']},
 u'less': {'french': [u'moins'], 'italian': [u'meno']},
 u'light': {'french': [u'l\xe9g\xe8rement'],
            'german': [u'leicht'],
            'italian': [u'leggiero']},
 u'like an aria': {'italian': [u'arioso']},
 u'like walking speed': {'italian': [u'andantino']},
 u'lion gong': {'french': [u'gong \xe0 vent'],
                'german': [u'windgong'],
                'italian': [u'gong di vento'],
                'spanish': [u'gong de viento']},
 u"lion's roar": {'french': [u'rugissement de lion', u'tambour \xe0 corde'],
                  'german': [u'l\xf6wengebr\xfcll'],
                  'italian': [u'ruggito del leone'],
                  'spanish': [u'rugido del le\xf3n', u'tambor de cuerda']},
 u'lithophone': {'french': [u'phonolithe', u'litophone'],
                 'german': [u'lithophon',
                            u'klingsteine',
                            u'litophon',
                            u'steinspiel'],
                 'italian': [u'pietra sonora', u'litofono', u'litophono'],
                 'spanish': [u'lit\xf3fono']},
 u'little': {'french': [u'peu'], 'german': [u'wenig']},
 u'lively': {'french': [u'vivement', u'vif'],
             'german': [u'munter', u'lebhaft'],
             'italian': [u'vivo', u'veloce']},
 u'long': {'italian': [u'lunga']},
 u'loud': {'abbreviation': [u'f'], 'italian': [u'forte']},
 u'loud then immediately soft': {'abbreviation': [u'fp'],
                                 'italian': [u'fortepiano']},
 u'love': {'french': [u'amour'], 'italian': [u'amore']},
 u'lovely': {'german': [u'lieblich']},
 u'low': {'french': [u'bas-dessus']},
 u'low voice': {'french': [u'grave'],
                'german': [u'tiefe'],
                'italian': [u'grave'],
                'russian': [u'nizkaia'],
                'spanish': [u'grave']},
 u'lullaby': {'french': [u'berceuse'], 'german': [u'wiegenlied']},
 u'lute': {'french': [u'luth'],
           'german': [u'laute'],
           'italian': [u'liuto'],
           'russian': [u'liutnia'],
           'spanish': [u'la\xfad']},
 u'majestic': {'italian': [u'maestoso']},
 u'major': {'french': [u'majeur'],
            'german': [u'dur'],
            'italian': [u'maggiore'],
            'spanish': [u'mayor']},
 u'male alto': {'french': [u'bas-dessus']},
 u'mandolin': {'abbreviation': [u'mand.'],
               'french': [u'mandoline'],
               'german': [u'mandoline'],
               'italian': [u'mandolino'],
               'russian': [u'mandolina'],
               'spanish': [u'mandolina']},
 u'maracas': {'french': [u'maracas'],
              'german': [u'maracas'],
              'italian': [u'maracas'],
              'spanish': [u'maracas']},
 u'marimba': {'abbreviation': [u'mar.'],
              'french': [u'marimba'],
              'german': [u'marimbaphon', u'marimba'],
              'italian': [u'marimba'],
              'russian': [u'marimba'],
              'spanish': [u'marimba']},
 u'marine': {'french': [u'tambourin', u'tambour de basque'],
             'german': [u'tamburin', u'schellentrommel'],
             'italian': [u'tamburello', u'tamburino', u'tamburo basco'],
             'spanish': [u'tambor de mano', u'pandereta']},
 u'mark tree': {'french': [u'chapeau chinois'],
                'german': [u'schellenbaum'],
                'italian': [u'albero di sonagli']},
 u'measure': {'french': [u'mesure'],
              'german': [u'takt'],
              'italian': [u'misura']},
 u'medium voice': {'french': [u'm\xe9dium', u'moyen'],
                   'german': [u'mittlere'],
                   'italian': [u'medio'],
                   'russian': [u'sredniaia'],
                   'spanish': [u'medio']},
 u"men's voices": {'french': [u"choeur d'homme"],
                   'german': [u'm\xe4nnerchor', u'm\xe4nnerstimme'],
                   'italian': [u'coro maschile'],
                   'russian': [u'muzhskoi khor'],
                   'spanish': [u'coro masculino', u'choro de hombres']},
 u'merry': {'italian': [u'giojoso']},
 u'metal castanets': {'french': [u'castagnettes de fer'],
                      'german': [u'gabelbecken'],
                      'italian': [u'castagnette di ferro'],
                      'spanish': [u'casta\xf1uelas de hierro']},
 u'metal wind chimes': {'french': [u'baguettes m\xe9talliques suspendues'],
                        'german': [u'metall-windglocken'],
                        'italian': [u'bacchette di metallo sospese'],
                        'spanish': [u'carill\xf3ns de viento de metal']},
 u'mezzo soprano': {'french': [u'mezzo-soprano'],
                    'german': [u'mezzosopran'],
                    'italian': [u'mezzosoprano'],
                    'russian': [u'metstsosoprano', u'metso-soprano'],
                    'spanish': [u'mezzo-soprano']},
 u'mezzo-soprano': {'abbreviation': [u'mez.', u'mezz.']},
 u'military snare drum': {'french': [u'tambour militaire'],
                          'german': [u'milit\xe4rtrommel', u'r\xfchrtrommel'],
                          'italian': [u'tamburo militare'],
                          'spanish': [u'tambor militar']},
 u'minim': {'french': [u'blanche'],
            'german': [u'halbe', u'halbenote'],
            'italian': [u'minima', u'bianca'],
            'spanish': [u'blanca']},
 u'minim rest': {'french': [u'demi-pause'],
                 'german': [u'halbe pause'],
                 'italian': [u'pausa di minima'],
                 'spanish': [u'pausas de blanca']},
 u'minor': {'french': [u'mineur'],
            'german': [u'moll'],
            'italian': [u'minore'],
            'spanish': [u'menor']},
 u'mixed voices': {'french': [u'voix mixtes'],
                   'german': [u'stimmen gemischte'],
                   'italian': [u'voci miste'],
                   'russian': [u'smeshannye golosa'],
                   'spanish': [u'voces mixtas']},
 u'moderate speed': {'italian': [u'moderato']},
 u'moderately': {'french': [u'mod\xe9r\xe9'],
                 'german': [u'ziemlich', u'm\xe4ssig'],
                 'italian': [u'moderato'],
                 'spanish': [u'moderado']},
 u'moderately loud': {'abbreviation': [u'mf'], 'italian': [u'mezzoforte']},
 u'moderately soft': {'abbreviation': [u'mp'], 'italian': [u'mezzopiano']},
 u"mohamed's banner": {'french': [u'chapeau chinois',
                                  u'pavillon chinois',
                                  u'cloche pavillon'],
                       'german': [u'schellenbaum',
                                  u't\xfcrkischer halbmond-stern'],
                       'italian': [u'mezzaluna crescent',
                                   u'turkisch crescent',
                                   u'albero di sonagli',
                                   u'cappello cinese',
                                   u'padiglione cinese',
                                   u'cappello turco'],
                       'spanish': [u'pabell\xf3n chino',
                                   u'pabell\xf3n turco']},
 u'more': {'french': [u'plus'], 'italian': [u'pi\xf9']},
 u'motor horn': {'french': [u"trompe d'auto", u'claxon'],
                 'german': [u'autohupe', u'claxon'],
                 'italian': [u'clacson'],
                 'spanish': [u'claxon']},
 u'mournful': {'italian': [u'lugubre']},
 u'mouth organ': {'french': [u'harmonica'],
                  'german': [u'mundharmonika'],
                  'italian': [u'armonica a bocca'],
                  'spanish': [u'arm\xf3nica de boca']},
 u'mouth siren': {'french': [u'sir\xe8ne \xe0 bouche'],
                  'german': [u'sirenenpfeife'],
                  'italian': [u'sirena a fiato'],
                  'spanish': [u'sirena de boca']},
 u'movement': {'italian': [u'moto']},
 u'much': {'german': [u'viel'], 'italian': [u'molto']},
 u'musical glasses': {'french': [u'coupes de verre',
                                 u'harmonica de verre',
                                 u'armonica de verre'],
                      'german': [u'gl\xe4serspiel', u'glasharmonika'],
                      'italian': [u'bicchieri di vetro',
                                  u'glassarmonica',
                                  u"'armonica a bicchieri"],
                      'spanish': [u'arm\xf3nica de cristal']},
 u'musical instruments': {'french': [u'instruments de musique'],
                          'german': [u'musikinstrumente'],
                          'italian': [u'strumenti musicali'],
                          'spanish': [u'instrumentos musicales']},
 u'musical saw': {'french': [u'scie musicale', u'lame musicale'],
                  'german': [u'singende s\xe4ge', u'spiels\xe4ge'],
                  'italian': [u'sega musicale',
                              u'sega cantante',
                              u'sega ad arco'],
                  'spanish': [u'sierra musical', u'hoja sonora']},
 u'musical stones': {'french': [u'phonolithe'],
                     'german': [u'lithophon', u'klingsteine'],
                     'italian': [u'pietra sonora', u'litofono'],
                     'spanish': [u'lit\xf3fono']},
 u'mysterious': {'italian': [u'misterioso']},
 u'narrator': {'abbreviation': [u'nar.']},
 u'natural': {'french': [u'b\xe1carre'],
              'german': [u'aufl\xf6sungszeichen', u'quadrat'],
              'italian': [u'bequadro'],
              'spanish': [u'becuadro']},
 u'natural horn': {'french': [u'cor simple'],
                   'german': [u'waldhorn'],
                   'italian': [u'corno naturale'],
                   'russian': [u'valtorna'],
                   'spanish': [u'trompa natural']},
 u'natural trumpet': {'french': [u'trompette naturelle'],
                      'german': [u'naturtrompete'],
                      'italian': [u'tromba naturale'],
                      'spanish': [u'trompeta natural']},
 u'new': {'italian': [u'nuovo']},
 u'nimble': {'german': [u'leicht'], 'italian': [u'leggiero']},
 u'nobly': {'italian': [u'nobilmente']},
 u'noisy': {'italian': [u'strepitoso']},
 u'not': {'german': [u'nicht'], 'italian': [u'non']},
 u'not too much': {'french': [u'pas trop'],
                   'german': [u'nicht zu viel'],
                   'italian': [u'non troppo']},
 u'note': {'french': [u'note'],
           'german': [u'note'],
           'italian': [u'nota'],
           'spanish': [u'nota']},
 u'notehead': {'french': [u't\xeate de la note'],
               'german': [u'notenkopf'],
               'italian': [u'testa', u'testina', u'capocchia'],
               'spanish': [u'oval']},
 u'nothing': {'italian': [u'niente']},
 u'nut': {'french': [u'talon', u'hausse'],
          'german': [u'frosch'],
          'italian': [u'tallone'],
          'spanish': [u'tal\xf3n']},
 u'obligatory': {'italian': [u'obbligato']},
 u'oboe': {'abbreviation': [u'ob.', u'hb.'],
           'french': [u'hautbois'],
           'german': [u'oboe', u'hoboe'],
           'italian': [u'oboe'],
           'russian': [u'goboi'],
           'spanish': [u'oboe']},
 u"oboe d'amore": {'abbreviation': [u"ob.d'a."],
                   'french': [u"hautbois d'amore", u"hautbois d'amour"],
                   'german': [u'liebesoboe', u"oboe d'amore"],
                   'italian': [u"oboe d'amore"],
                   'spanish': [u'oboe de amor']},
 u'ocarina': {'french': [u'ocarina'],
              'german': [u'okarina'],
              'italian': [u'ocarina'],
              'spanish': [u'ocarina']},
 u'octave': {'french': [u'octave'],
             'german': [u'oktave'],
             'italian': [u'ottava']},
 u'octave flute': {'french': [u'petite fl\xfbte', u'fl\xfbte piccolo'],
                   'german': [u'kleine fl\xf6te',
                              u'pikkolofl\xf6te',
                              u'piccolo'],
                   'italian': [u'ottavino', u'flauto piccolo', u'ottavino'],
                   'spanish': [u'ottavino',
                               u'flaut\xedn',
                               u'octavillo',
                               u'flauta piccolo']},
 u'oficleide': {'french': [u'ophicl\xc8ide'],
                'german': [u'ophikleide'],
                'italian': [u'ophicleide'],
                'spanish': [u'oficleido']},
 u'ondes martenot': {'french': [u'ondes martenot']},
 u'one': {'french': [u'un'], 'german': [u'ein']},
 u'one hundred and twenty-eighth note': {'french': [u'cent-vingt huiti\xe8me'],
                                         'german': [u'hundertundachtundzwanzigstel',
                                                    u'hundertundachtundzwanzigstelnote'],
                                         'italian': [u'centoventottavo'],
                                         'spanish': [u'garrapatea']},
 u'one hundred and twenty-eighth rest': {'french': [u'trente et deuxi\xe8me de soupir'],
                                         'german': [u'hundert und achtundzwanzigstelpause'],
                                         'italian': [u'pausa di centoventottavo'],
                                         'spanish': [u'pausas de garrapatea']},
 u'or': {'italian': [u'ossia']},
 u'orchestra': {'french': [u'orchestre'],
                'german': [u'orchester'],
                'italian': [u'orchestra'],
                'russian': [u'orkestr'],
                'spanish': [u'orquesta']},
 u'orchestra bells': {'french': [u'glockenspiel', u'jeu de timbres'],
                      'german': [u'glockenspiel', u'lyra'],
                      'italian': [u'glockenspiel',
                                  u'metallofono',
                                  u'campanelli'],
                      'spanish': [u'juego de timbres',
                                  u'\xf3rgano de campanas',
                                  u'liro']},
 u'organ': {'abbreviation': [u'org.'],
            'french': [u'orgue'],
            'german': [u'orgel'],
            'italian': [u'organo'],
            'russian': [u'organ'],
            'spanish': [u'\xf3rgano', u'organo']},
 u'ornament': {'french': [u'agr\xe9ments', u'broderies'],
               'german': [u'verzierungen'],
               'italian': [u'fiorette', u'fioriture', u'abbellimento'],
               'spanish': [u'adorno']},
 u'pailas criollas': {'french': [u'timbales cubaines',
                                 u'timbales cr\xe9oles',
                                 u'timbales latines'],
                      'german': [u'timbales', u'kuba-pauken'],
                      'italian': [u'timbales',
                                  u'timpanetti',
                                  u'timbales latinoamericani'],
                      'spanish': [u'timbales', u'pailas criollas']},
 u'pan': {'french': [u"tambour d'acier"],
          'german': [u'stahltrommel'],
          'italian': [u"tamburo d'acciaio"],
          'spanish': [u'tambor met\xe1lico de trinidad y tobago']},
 u'pan flute': {'french': [u'fl\xfbte de pan', u'syrinx'],
                'german': [u'panfl\xf6te',
                           u'hirtenfl\xf6te',
                           u'syrinx',
                           u'papagenopfeife'],
                'italian': [u'flauto di pan', u'siringa'],
                'spanish': [u'zampo\xf1as', u'flautas de pan', u'siringa']},
 u'pan pipe': {'french': [u'fl\xfbte de pan', u'syrinx'],
               'german': [u'panfl\xf6te',
                          u'hirtenfl\xf6te',
                          u'syrinx',
                          u'papagenopfeife'],
               'italian': [u'flauto di pan', u'siringa'],
               'spanish': [u'zampo\xf1as', u'flautas de pan', u'siringa']},
 u'panflute': {'french': [u'fl\xfbte de pan', u'syrinx'],
               'german': [u'panfl\xf6te',
                          u'hirtenfl\xf6te',
                          u'syrinx',
                          u'papagenopfeife'],
               'italian': [u'flauto di pan', u'siringa'],
               'spanish': [u'zampo\xf1as', u'flautas de pan', u'siringa']},
 u'panpipes': {'french': [u'fl\xfbte de pan', u'syrinx'],
               'german': [u'panfl\xf6te',
                          u'hirtenfl\xf6te',
                          u'syrinx',
                          u'papagenopfeife'],
               'italian': [u'flauto di pan', u'siringa'],
               'spanish': [u'zampo\xf1as', u'flautas de pan', u'siringa']},
 u'passion': {'german': [u'leidenschaft']},
 u'pause': {'italian': [u'pausa']},
 u'peaceful': {'german': [u'ruhig'], 'italian': [u'placido']},
 u'percussion': {'abbreviation': [u'perc.']},
 u'percussion instruments': {'french': [u'instruments \xe0 percussion',
                                        u'batterie'],
                             'german': [u'schlaginstrument',
                                        u'perkussionsinstrument',
                                        u'schlagzeug',
                                        u'schlaginstrumente'],
                             'italian': [u'strumento a percussione',
                                         u'batteria',
                                         u'strumenti a percussione',
                                         u'stromenti a percossa',
                                         u'stromenti da percossa',
                                         u'percussione'],
                             'russian': [u'udarnyi instrument'],
                             'spanish': [u'instrumento de percusi\xf3n',
                                         u'instrumentos de percusi\xf3n',
                                         u'percusi\xf3n',
                                         u'bater\xeda']},
 u'period double bar': {'spanish': [u'doble barra final']},
 u'persistent': {'italian': [u'ostinato']},
 u'piano': {'abbreviation': [u'pf.', u'pno.', u'pfte.'],
            'french': [u'piano', u'pianoforte'],
            'german': [u'piano', u'klavier', u'pianoforte'],
            'italian': [u'piano', u'pianoforte'],
            'russian': [u"fortep'iano"],
            'spanish': [u'piano']},
 u'pianoforte': {'french': [u'piano', u'pianoforte'],
                 'german': [u'klavier', u'pianoforte', u'piano'],
                 'italian': [u'pianoforte', u'piano'],
                 'spanish': [u'piano']},
 u'piccolo': {'abbreviation': [u'pic.', u'picc.'],
              'french': [u'fl\xfbte piccolo', u'petite fl\xfbte'],
              'german': [u'pikkolofl\xf6te',
                         u'piccolo',
                         u'kleine fl\xf6te',
                         u'pickelfl\xf6te',
                         u'octavfl\xf6te'],
              'italian': [u'ottavino', u'flauto piccolo'],
              'russian': [u'pikkolo', u'malaia fleita', u'fleita pikkolo'],
              'spanish': [u'flaut\xedn',
                          u'ottavino',
                          u'octavillo',
                          u'flauta piccolo']},
 u'piccolo snare drum': {'french': [u'petit tambour'],
                         'german': [u'pikkolotrommel', u'tarole'],
                         'italian': [u'tamburo acuto',
                                     u'tamburo piccolo',
                                     u'tarole'],
                         'spanish': [u'tarol']},
 u'pistol shot': {'french': [u'coup de pistolet'],
                  'german': [u'pistolenschuss'],
                  'italian': [u'pistolettata'],
                  'spanish': [u'tiro de pistola', u'sons de tiro pistola']},
 u'piston flute': {'french': [u'fl\u02date lotine',
                              u'fl\u02date \u2021 coulisse',
                              u'sifflet \u2021 coulisse'],
                   'german': [u'lotusfl\u02c6te',
                              u'stempelfl\u02c6te',
                              u'kolbenfl\xf6te'],
                   'italian': [u'flauto a tiro',
                               u'flauto a culisse',
                               u'zufolo a pistone',
                               u'flauto a cursore'],
                   'spanish': [u'flauta de \xe9mbolo']},
 u'plain': {'italian': [u'semplice']},
 u'plaintive': {'italian': [u'piangevole']},
 u'plate bell': {'french': [u'cloche-plaque', u'cloche en lame de m\xe9tal'],
                 'german': [u'plattenglocke'],
                 'italian': [u'campana in lastra di metallo'],
                 'spanish': [u'platillo']},
 u'playful': {'italian': [u'scherzando']},
 u'pleasant': {'italian': [u'piacevole']},
 u'plucked': {'italian': [u'pizzicato']},
 u'plucked instruments': {'french': [u'instruments \xe0 cordes pinc\xe9es'],
                          'german': [u'zupfinstrumente'],
                          'italian': [u'strumenti a pizzico'],
                          'russian': [u'shchipkovye instrumenty'],
                          'spanish': [u'instrumentos punteados']},
 u'police whistle': {'french': [u'sifflet', u'sifflet \xe0 roulette'],
                     'german': [u'trillerpfeife'],
                     'italian': [u'fischietto a pallina'],
                     'spanish': [u'silbato de la polic\xeda', u'silbato']},
 u'possible': {'italian': [u'possible']},
 u'post horn': {'french': [u'cor postal',
                           u'cor de postillon',
                           u'cornet postal'],
                'german': [u'posthorn'],
                'italian': [u'corno di postiglione', u'corno postale'],
                'spanish': [u'corneta de posta',
                            u'trompa de postill\xf3n',
                            u'corneta de postill\xf3n',
                            u'trompa de posta']},
 u'post-horn': {'french': [u'cor postal',
                           u'cor de postillon',
                           u'cornet postal'],
                'german': [u'posthorn'],
                'italian': [u'corno di postiglione', u'corno postale'],
                'spanish': [u'corneta de posta',
                            u'trompa de postill\xf3n',
                            u'corneta de postill\xf3n',
                            u'trompa de posta']},
 u'posthorn': {'french': [u'cor postal',
                          u'cor de postillon',
                          u'cornet postal'],
               'german': [u'posthorn'],
               'italian': [u'corno di postiglione', u'corno postale'],
               'spanish': [u'corneta de posta',
                           u'trompa de postill\xf3n',
                           u'corneta de postill\xf3n',
                           u'trompa de posta']},
 u'prepared piano': {'abbreviation': [u'prep.pf.']},
 u'prominent': {'french': [u'en dehors'],
                'german': [u'vorgetragen'],
                'italian': [u'in relievo']},
 u'proper': {'italian': [u'giusto']},
 u'proudly': {'french': [u'fier', u'fiere'],
              'italian': [u'fiero', u'fieramente']},
 u'quarter note': {'french': [u'noire'],
                   'german': [u'viertel', u'viertelnote'],
                   'italian': [u'semiminima', u'nera'],
                   'spanish': [u'negra']},
 u'quarter rest': {'french': [u'soupir'],
                   'german': [u'viertelpause'],
                   'italian': [u'pausa di semiminima'],
                   'spanish': [u'pausas de negra']},
 u'quaver': {'french': [u'croche'],
             'german': [u'achtel', u'achtelnote'],
             'italian': [u'croma'],
             'spanish': [u'corchea']},
 u'quaver rest': {'french': [u'demi-soupir'],
                  'german': [u'achtelpause'],
                  'italian': [u'pausa di croma'],
                  'spanish': [u'pausas de corchea']},
 u'quick': {'french': [u'vite'], 'german': [u'rasch']},
 u'quicken': {'french': [u'serrer']},
 u'quickening the speed': {'italian': [u'stretto']},
 u'quijada': {'french': [u'quijada'],
              'german': [u'schlagrassel'],
              'italian': [u"mascella d'asino"],
              'spanish': [u'quijada']},
 u'railroad tracks': {'french': [u'c\xe9sure', u'pauses'],
                      'german': [u'c\xe4sur', u'z\xe4sur'],
                      'italian': [u'pause', u'cesura'],
                      'spanish': [u'cesura']},
 u'rapid': {'italian': [u'tosto']},
 u'ratchet': {'french': [u'cr\xe9celle'],
              'german': [u'ratsche', u'knarre', u'schnarre'],
              'italian': [u'raganella'],
              'spanish': [u'carraca', u'matraca']},
 u'rather': {'german': [u'etwas']},
 u'rather little': {'abbreviation': [u'poch.'], 'italian': [u'pochettino']},
 u'rather slow': {'italian': [u'largo']},
 u'rattle': {'french': [u'cr\xe9celle'],
             'german': [u'ratsche', u'knarre', u'schnarre'],
             'italian': [u'raganella'],
             'russian': [u'treshchotka'],
             'spanish': [u'carraca', u'matraca']},
 u'recitative': {'french': [u'r\xe9citative'],
                 'german': [u'rezitativ'],
                 'italian': [u'recitativo'],
                 'spanish': [u'recitativo']},
 u'recorder': {'abbreviation': [u'rec.'],
               'french': [u'fl\xfbte \xe0 bec',
                          u'fl\xfbte douce',
                          u'droite',
                          u'fl\xfbte droite'],
               'german': [u'blockfl\xf6te',
                          u'beckfl\xf6te',
                          u'schnabelfl\xf6te'],
               'italian': [u'flauto dolce',
                           u'dritto',
                           u'a becco',
                           u'flauto dritto',
                           u'flauto a becco',
                           u'flauto diritto'],
               'russian': [u'blokfleita'],
               'spanish': [u'flauta recta',
                           u'dulce',
                           u'de pico',
                           u'flauta dulce',
                           u'flauta de pico']},
 u'reeds': {'french': [u'anches']},
 u'reinforcing': {'abbreviation': [u'rf', u'rfz'],
                  'italian': [u'rinforzando']},
 u'relax the speed': {'french': [u'c\xe9dez']},
 u'repeat': {'french': [u'repetici\xf4n', u'reprise'],
             'german': [u'wiederholung'],
             'italian': [u'replica']},
 u'resembling': {'italian': [u'quasi']},
 u'resonant': {'french': [u'sonore'], 'italian': [u'sonoro']},
 u'restless': {'italian': [u'inquieto']},
 u'rhythm guitar': {'french': [u'guitare rythmique'],
                    'german': [u'schlag-rhythmus gitarre', u'schlag gitarre'],
                    'italian': [u'chitarra battente'],
                    'spanish': [u'guitarra r\xedtmica', u'segunda guitarra']},
 u'rhythmically': {'italian': [u'ritmico']},
 u'right': {'french': [u'droite'],
            'german': [u'rechte'],
            'italian': [u'destra', u'destro']},
 u'right hand': {'abbreviation': [u'r.h.', u'm.d.', u'c.d.'],
                 'french': [u'main droite'],
                 'german': [u'rechte hand'],
                 'italian': [u'mano destra',
                             u'mano destro',
                             u'colla destra',
                             u'col destra']},
 u'rommelpot': {'french': [u'tambour de friction',
                           u'cuica',
                           u'puita',
                           u'omel\xea',
                           u'on\xe7a',
                           u'zambomba',
                           u'rommelpot',
                           u'roncador'],
                'german': [u'cu\xedca', u'reibtrommel', u'brummtopf'],
                'italian': [u'cu\xedca',
                            u'tamburo a frizione',
                            u'puttiputti'],
                'spanish': [u'cuica']},
 u'roto-tom': {'french': [u'rototom'],
               'german': [u'tom-tom-spiel'],
               'italian': [u'rototom', u'roto-tom-tom'],
               'spanish': [u'roto-tom']},
 u'rototom': {'french': [u'rototom'],
              'german': [u'tom-tom-spiel'],
              'italian': [u'rototom', u'roto-tom-tom'],
              'spanish': [u'roto-tom']},
 u'rushing': {'italian': [u'precipitando']},
 u'sad': {'german': [u'traurig'], 'italian': [u'triste']},
 u'sanbanyi': {'french': [u'djemb\xe9'],
               'german': [u'djembe'],
               'italian': [u'djembe',
                           u'djemb\xe8',
                           u'djemb\xe9',
                           u'djamb\xe8',
                           u'djamb\xe9',
                           u'jenbe',
                           u'jembe',
                           u'djimbe'],
               'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'sandpaper blocks': {'abbreviation': [u'sand.bl.'],
                       'french': [u'papier de verre'],
                       'german': [u'sandpapier', u'sandbl\xf6cke'],
                       'italian': [u'carta vetrata', u'ceppi di carta vetro'],
                       'spanish': [u'papel de lija']},
 u'sarrousophone': {'abbreviation': [u'sarr.']},
 u'sarrusophone': {'french': [u'sarrusophone'],
                   'german': [u'sarrusofon'],
                   'italian': [u'sarrusofono'],
                   'spanish': [u'sarrusof\xf3n']},
 u'saxophone': {'abbreviation': [u'sax.'],
                'french': [u'saxophone'],
                'german': [u'saxophon'],
                'italian': [u'sassofono', u'saxofono', u'sax'],
                'russian': [u'saksofon'],
                'spanish': [u'saxof\xf3n', u'saxof\xf3no']},
 u'second': {'italian': [u'seconda']},
 u'semibreve': {'french': [u'ronde'],
                'german': [u'ganzenote'],
                'italian': [u'semibreve'],
                'spanish': [u'redonda']},
 u'semibreve rest': {'french': [u'pause'],
                     'german': [u'ganze pause'],
                     'italian': [u'pausa di semibreve'],
                     'spanish': [u'pausas de redonda']},
 u'semihemidemisemiquaver': {'french': [u'cent-vingt huiti\xe8me'],
                             'german': [u'hundertundachtundzwanzigstel',
                                        u'hundertundachtundzwanzigstelnote'],
                             'italian': [u'centoventottavo'],
                             'spanish': [u'garrapatea']},
 u'semihemidemisemiquaver rest': {'french': [u'trente et deuxi\xe8me de soupir'],
                                  'german': [u'hundert und achtundzwanzigstelpause'],
                                  'italian': [u'pausa di centoventottavo'],
                                  'spanish': [u'pausas de garrapatea']},
 u'semiquaver': {'french': [u'double-croche'],
                 'german': [u'sechzehntel', u'sechzehntelnote'],
                 'italian': [u'semicroma'],
                 'spanish': [u'semicorchea']},
 u'semiquaver rest': {'french': [u'quart de soupir'],
                      'german': [u'sechzehntelpause'],
                      'italian': [u'pausa di semicroma'],
                      'spanish': [u'pausas de semicorchea']},
 u'serpent': {'french': [u'serpent'],
              'german': [u'serpent', u'schlangenbass'],
              'italian': [u'serpentone'],
              'spanish': [u'serpent\xf3n']},
 u'sharp': {'french': [u'di\xe8se'],
            'german': [u'kreuz'],
            'italian': [u'diesis'],
            'spanish': [u'sostenido']},
 u'shell wind chimes': {'french': [u'baguettes de coquille suspendues'],
                        'german': [u'muschel-windglocken'],
                        'italian': [u'bacchette di conchiglia sospese'],
                        'spanish': [u'carill\xf3ns de viento de conchas']},
 u'short appoggiatura': {'french': [u'pinc\xe9 \xe9touff\xe9'],
                         'german': [u'kurzer vorschlag', u'zusammenschlag'],
                         'italian': [u'acciaccatura']},
 u'siciliano': {'french': [u'sicilienne'],
                'german': [u'siciliana'],
                'italian': [u'siciliana', u'siciliano', u'ciciliano'],
                'spanish': [u'siciliana']},
 u'side drum': {'abbreviation': [u's.d.'],
                'french': [u'tambour', u'caisse claire'],
                'german': [u'kleine trommel'],
                'italian': [u'tamburo', u'tamburo', u'piccolo cassa'],
                'spanish': [u'tambor']},
 u'sighing': {'italian': [u'sospirando']},
 u'silent': {'italian': [u'tacet']},
 u'similar to': {'french': [u'comme'], 'italian': [u'come']},
 u'simple': {'german': [u'einfach'], 'italian': [u'semplice']},
 u'sincere': {'german': [u'innig']},
 u'singing': {'italian': [u'cantando']},
 u'singing saw': {'french': [u'scie musicale'],
                  'german': [u'singende s\xe4ge', u'spiels\xe4ge'],
                  'italian': [u'sega musicale',
                              u'sega cantante',
                              u'sega ad arco'],
                  'spanish': [u'sierra musical', u'hoja sonora']},
 u'siren': {'french': [u'sir\xe8ne'],
            'german': [u'sirene'],
            'italian': [u'sirena a mano', u'sirena'],
            'spanish': [u'sirena']},
 u'sixteenth note': {'french': [u'double-croche'],
                     'german': [u'sechzehntel', u'sechzehntelnote'],
                     'italian': [u'semicroma'],
                     'spanish': [u'semicorchea']},
 u'sixteenth rest': {'french': [u'quart de soupir'],
                     'german': [u'sechzehntelpause'],
                     'italian': [u'pausa di semicroma'],
                     'spanish': [u'pausas de semicorchea']},
 u'sixty-fourth note': {'french': [u'octuple croche'],
                        'german': [u'vierundsechzigstel',
                                   u'vierundsechzigstelnote'],
                        'italian': [u'semibiscroma'],
                        'spanish': [u'semifusa']},
 u'sixty-fourth rest': {'french': [u'seizi\xe8me de soupir'],
                        'german': [u'vierundsechzigstelpause'],
                        'italian': [u'pausa di semibiscroma'],
                        'spanish': [u'pausas de semifusa']},
 u'sizzle cymbal': {'french': [u'cymbale sur tiges'],
                    'german': [u'nietenbecken'],
                    'italian': [u'piatto chiodati'],
                    'spanish': [u'platillo sizzle']},
 u'skill': {'italian': [u'bravura']},
 u'slapstick': {'french': [u'fouet'],
                'german': [u'peitsche', u'holzklapper'],
                'italian': [u'frusta'],
                'spanish': [u'l\xe1tigo']},
 u'sleigh bells': {'french': [u'grelots'],
                   'german': [u'schellen', u'rollschellen'],
                   'italian': [u'sonagli', u'sonagliera'],
                   'spanish': [u'cascabels']},
 u'slide trombone': {'french': [u'trombone \u2021 coulisse'],
                     'german': [u'zugposaune'],
                     'italian': [u'trombone a tiro'],
                     'spanish': [u'tromb\xf3n de vara']},
 u'slide trumpet': {'french': [u'trompette \u2021 coulisse'],
                    'german': [u'zugtrompete'],
                    'italian': [u'tromba a tirarsi', u'tromba a tiro'],
                    'spanish': [u'trompeta de vara']},
 u'slide whistle': {'french': [u'fl\u02date lotine',
                               u'fl\u02date \u2021 coulisse',
                               u'sifflet \u2021 coulisse'],
                    'german': [u'lotusfl\u02c6te',
                               u'stempelfl\u02c6te',
                               u'kolbenfl\xf6te'],
                    'italian': [u'flauto a tiro',
                                u'flauto a culisse',
                                u'zufolo a pistone',
                                u'flauto a cursore'],
                    'spanish': [u'flauta de \xe9mbolo']},
 u'slit drum': {'french': [u'tambour de bois', u'tambour \xe0 fente'],
                'german': [u'schlitztrommel'],
                'italian': [u'tamburo di legno a fessura'],
                'spanish': [u'tambores de hendidura']},
 u'slow': {'french': [u'lent'], 'german': [u'langsam'], 'italian': [u'lento']},
 u'slow down': {'french': [u'ralentir']},
 u'slowly': {'italian': [u'adagio']},
 u'slur': {'french': [u'liaison'],
           'german': [u'bindebogen', u'bindungszeichen'],
           'italian': [u'legatura']},
 u'smooth': {'italian': [u'soave']},
 u'smoothly': {'italian': [u'legato']},
 u'snare drum': {'abbreviation': [u'sn.dr.', u'c.c.', u'tr.'],
                 'french': [u'caisse claire', u'tambour'],
                 'german': [u'leinentrommel',
                            u'kleine trommel',
                            u'r\xfchrtrommel',
                            u'marschtrommel',
                            u'schnarrtrommel'],
                 'italian': [u'tamburo rullante',
                             u'tamburo militare',
                             u'rullante',
                             u'cassa chiara'],
                 'russian': [u'frantsuzskii baraban'],
                 'spanish': [u'tambor afinable',
                             u'con tensores',
                             u'caja clara',
                             u'redoblante']},
 u'so much': {'italian': [u'tanto']},
 u'sock cymbal': {'french': [u'cymbale \xe0 p\xe9dale',
                             u'hi-hat',
                             u'charleston'],
                  'german': [u'h-hat becken',
                             u'fussbecken',
                             u'st\xe4nderbecken'],
                  'italian': [u'hi-hat', u'piatti a pedale', u'charleston'],
                  'spanish': [u'hi-hat',
                              u'hi hat',
                              u'charles',
                              u'charleston']},
 u'soft': {'abbreviation': [u'p'],
           'german': [u'leise'],
           'italian': [u'piano']},
 u'solemn': {'italian': [u'solenne']},
 u'solo voices': {'abbreviation': [u's', u'a', u't', u'b']},
 u'somewhat': {'german': [u'etwas']},
 u'sopranino flute': {'french': [u'fl\xfbte sopranino'],
                      'german': [u'sopraninofl\xf6te'],
                      'italian': [u'flauto sopranino'],
                      'spanish': [u'flauta sopranino']},
 u'sopranino recorder': {'french': [u'fl\xfbte \xe0 bec sopranino',
                                    u'fl\xfbte douce sopranino',
                                    u'fl\xfbte droite sopranino'],
                         'german': [u'sopraninoblockfl\xf6te'],
                         'italian': [u'flauto dolce sopranino',
                                     u'flauto dritto sopranino',
                                     u'flauto a becco sopranino'],
                         'spanish': [u'flauta recta sopranino',
                                     u'flauta dulce sopranino',
                                     u'flauta de pico sopranino']},
 u'sopranino saxophone': {'french': [u'saxophone sopranino'],
                          'german': [u'sopraninosaxophon'],
                          'italian': [u'sassofono sopranino'],
                          'spanish': [u'saxof\xf3no sopranino']},
 u'soprano': {'abbreviation': [u's.'], 'french': [u'bas-dessus']},
 u'soprano clarinet': {'french': [u'petite clarinette'],
                       'german': [u'kleine klarinette'],
                       'italian': [u'clarinetto piccolo'],
                       'spanish': [u'clarinete soprano']},
 u'soprano flute': {'french': [u'fl\xfbte \xe0 tierce',
                               u'fl\xfbte \xe0 la tierce',
                               u'fl\xfbte tierce'],
                    'german': [u'terzfl\xf6te', u'terzquerfl\xf6te'],
                    'italian': [u'flauto traverso terzetto',
                                u'flauto soprano'],
                    'spanish': [u'flauta soprano']},
 u'soprano recorder': {'french': [u'fl\xfbte \xe0 bec soprano',
                                  u'fl\xfbte douce soprano',
                                  u'fl\xfbte droite soprano'],
                       'german': [u'sopranblockfl\xf6te'],
                       'italian': [u'flauto dolce soprano',
                                   u'flauto dritto soprano',
                                   u'flauto a becco soprano'],
                       'spanish': [u'flauta recta soprano',
                                   u'flauta dulce soprano',
                                   u'flauta de pico soprano']},
 u'soprano saxophone': {'french': [u'saxophone soprano'],
                        'german': [u'sopransaxophon'],
                        'italian': [u'sassofono soprano'],
                        'spanish': [u'saxof\xf3no soprano']},
 u'sorrowful': {'italian': [u'triste']},
 u'soul': {'italian': [u'anima']},
 u'sound': {'french': [u'son'],
            'german': [u'ton', u'klang'],
            'italian': [u'sono']},
 u'speaking': {'italian': [u'parlando']},
 u'speed': {'italian': [u'tempo']},
 u'spirit': {'italian': [u'anima']},
 u'spirited': {'french': [u'avec verve'],
               'german': [u'mit schwungvoll'],
               'italian': [u'spiritoso']},
 u'springing': {'french': [u'sautill\xe9']},
 u'stately': {'italian': [u'largo']},
 u'steel drum': {'french': [u"tambour d'acier"],
                 'german': [u'stahltrommel'],
                 'italian': [u"tamburo d'acciaio"],
                 'spanish': [u'tambor met\xe1lico de trinidad y tobago']},
 u'steel pan': {'french': [u"tambour d'acier"],
                'german': [u'stahltrommel'],
                'italian': [u"tamburo d'acciaio"],
                'spanish': [u'tambor met\xe1lico de trinidad y tobago']},
 u'stem': {'french': [u'queue'],
           'german': [u'hals', u'notenhals'],
           'italian': [u'asta', u'gamba'],
           'spanish': [u'plica']},
 u'strict': {'italian': [u'rigoroso']},
 u'string': {'french': [u'corde'],
             'german': [u'saite'],
             'italian': [u'corda'],
             'spanish': [u'cuerda']},
 u'string bass': {'abbreviation': [u'st.b'],
                  'french': [u'contrebasse'],
                  'german': [u'kontrabass'],
                  'italian': [u'contrabasso'],
                  'russian': [u'kontrabas'],
                  'spanish': [u'contrabajo']},
 u'string instrument': {'french': [u'instrument \xe0 cordes'],
                        'german': [u'saiteninstrument'],
                        'italian': [u'strumento a corda', u'strumenti archi'],
                        'russian': [u'strunnyi instrument'],
                        'spanish': [u'instrumento de cuerda']},
 u'string instruments': {'french': [u'instruments \xe0 cordes'],
                         'german': [u'saiteninstrument'],
                         'italian': [u'strumenti archi'],
                         'spanish': [u'instrumentos de cuerda']},
 u'string orchestra': {'french': [u'orchestre \xe0 cordes'],
                       'german': [u'streichorchester'],
                       'italian': [u"orchestra d'archi"],
                       'russian': [u'strunnyi orkestr'],
                       'spanish': [u'orquesta de cuerdas']},
 u'strings': {'french': [u'cordes'],
              'german': [u'streicher'],
              'italian': [u'archi'],
              'spanish': [u'cuerdas']},
 u'stroke': {'french': [u'coup'],
             'german': [u'schlag'],
             'italian': [u'colpo']},
 u'strong': {'german': [u'stark'], 'italian': [u'vigoroso']},
 u'subcontrabass saxophone': {'french': [u'saxophone sous-contrebasse'],
                              'german': [u'subkontrabassaxophon'],
                              'italian': [u'sassofono subcontrabbasso'],
                              'spanish': [u'saxof\xf3no subcontrabajo']},
 u'suddenly': {'italian': [u'subito']},
 u'sufficiently': {'french': [u'assez']},
 u'suspended cymbal': {'french': [u'cymbale suspendue'],
                       'german': [u'h\xe4ngendes becken',
                                  u't\xfcrkisches h\xe4ngebecken',
                                  u'becken freih\xe4ngend'],
                       'italian': [u'piatto sospeso'],
                       'spanish': [u'platillo suspendido']},
 u'sustained': {'italian': [u'sostenuto']},
 u'swanee whistle': {'french': [u'fl\u02date lotine',
                                u'fl\u02date \u2021 coulisse',
                                u'sifflet \u2021 coulisse'],
                     'german': [u'lotusfl\u02c6te',
                                u'stempelfl\u02c6te',
                                u'kolbenfl\xf6te'],
                     'italian': [u'flauto a tiro',
                                 u'flauto a culisse',
                                 u'zufolo a pistone',
                                 u'flauto a cursore'],
                     'spanish': [u'flauta de \xe9mbolo']},
 u'sweet': {'german': [u's\xfcss']},
 u'sweetly': {'french': [u'douce'], 'italian': [u'dolce']},
 u'swift': {'italian': [u'veloce']},
 u'synthesizer': {'abbreviation': [u'synth.'],
                  'french': [u'synth\xe9tiseur'],
                  'italian': [u'sintetizzatore']},
 u'tabl': {'french': [u'tabl\xe2'],
           'german': [u'tabla'],
           'italian': [u'tabla', u'tubblaa'],
           'spanish': [u'tabla', u'tabl\xe1']},
 u'tabla': {'french': [u'tabl\xe2'],
            'german': [u'tabla'],
            'italian': [u'tabla', u'tubblaa'],
            'spanish': [u'tabla', u'tabl\xe1']},
 u'tabor': {'french': [u'tambour de provence', u'tambourin'],
            'german': [u'tambourin'],
            'italian': [u'tamburo'],
            'spanish': [u'tamboril']},
 u'tabret': {'french': [u'tambour de provence', u'tambourin'],
             'german': [u'tambourin'],
             'italian': [u'tamburo'],
             'spanish': [u'tamboril']},
 u'tam-tam': {'french': [u'tam-tam'],
              'german': [u'tamtam'],
              'italian': [u'tam-tam'],
              'spanish': [u'tam-tam']},
 u'tambora': {'french': [u'tambora'],
              'german': [u'tambora'],
              'italian': [u'tambora'],
              'spanish': [u'tambora']},
 u'tambourine': {'abbreviation': [u'tmbn.', u'tamb.'],
                 'french': [u'tambourin', u'tambour de basque'],
                 'german': [u'tamburin', u'schellentrommel'],
                 'italian': [u'tamburello', u'tamburino', u'tamburo basco'],
                 'spanish': [u'pandereta', u'tambor de mano']},
 u'tambourine without jingles': {'french': [u'tambour sans cymbales'],
                                 'german': [u'tamburin ohne schellen'],
                                 'italian': [u'tamburino senza cimbali'],
                                 'spanish': [u'pandereta sin sonajas']},
 u'tape': {'french': [u'bande'],
           'german': [u'tonbande', u'zuspielband'],
           'italian': [u'nastro'],
           'russian': [u'magnitofonnaia lenta'],
           'spanish': [u'banda']},
 u'temple blocks': {'abbreviation': [u'temp.bl.'],
                    'french': [u'temple-blocs'],
                    'german': [u'tempelbl\xf6cke', u'templeblocks'],
                    'italian': [u'temple blocks',
                                u'blocchi di legno coreani',
                                u'blocchi cinesi',
                                u'block cinese'],
                    'spanish': [u'temple block']},
 u'tender': {'german': [u'zart']},
 u'tenderly': {'italian': [u'teneramente']},
 u'tenor': {'abbreviation': [u't.'],
            'french': [u't\xe9nor', u'taille'],
            'german': [u'tenor'],
            'italian': [u'tenore'],
            'russian': [u'tenor'],
            'spanish': [u'tenor']},
 u'tenor drum': {'abbreviation': [u'ten.dr.'],
                 'french': [u'caisse roulante', u'tambourin'],
                 'german': [u'r\xfchrtrommel',
                            u'wirbeltrommel',
                            u'tenortrommel'],
                 'italian': [u'cassa rullante',
                             u'tamburino',
                             u'tamburo rullante'],
                 'russian': [u'tsilindricheskii baraban'],
                 'spanish': [u'redoblante',
                             u'caja rodante',
                             u'caja redoblante',
                             u'tambor mayor']},
 u'tenor flute': {'french': [u'fl\xfbte tenor', u"fl\xfbte d'amour"],
                  'german': [u'tenorfl\xf6te', u"fl\xf6te d'amore"],
                  'italian': [u'flauto tenore', u"flauto d'amore"],
                  'spanish': [u'flauta tenor', u'flauta de amor']},
 u'tenor recorder': {'french': [u'fl\xfbte \xe0 bec t\xc8nor',
                                u'fl\xfbte douce t\xc8nor',
                                u'fl\xfbte droite t\xc8nor'],
                     'german': [u'tenorblockfl\xf6te'],
                     'italian': [u'flauto dolce tenore',
                                 u'flauto dritto tenore',
                                 u'flauto a becco tenore'],
                     'spanish': [u'flauta recta tenor',
                                 u'flauta dulce tenor',
                                 u'flauta de pico tenor']},
 u'tenor saxophone': {'french': [u'saxophone t\xe9nor'],
                      'german': [u'tenorsaxophon'],
                      'italian': [u'sassofono tenore'],
                      'spanish': [u'saxof\xf3no tenor']},
 u'terminal double bar': {'spanish': [u'doble barra final']},
 u'than': {'german': [u'als']},
 u'the end': {'italian': [u'fine']},
 u'the same': {'italian': [u"l'istesso"]},
 u'third flute': {'french': [u'fl\xfbte \xe0 tierce',
                             u'fl\xfbte \xe0 la tierce',
                             u'fl\xfbte tierce'],
                  'german': [u'terzfl\xf6te', u'terzquerfl\xf6te'],
                  'italian': [u'flauto traverso terzetto', u'flauto soprano'],
                  'spanish': [u'flauta soprano']},
 u'thirty-second note': {'french': [u'quadruple-croche'],
                         'german': [u'zweiunddreissigstel',
                                    u'zweiunddreissigstelnote'],
                         'italian': [u'biscroma'],
                         'spanish': [u'fusa']},
 u'thirty-second rest': {'french': [u'huiti\xe8me de soupir'],
                         'german': [u'zweiunddreissigstelpause'],
                         'italian': [u'pausa di biscroma'],
                         'spanish': [u'pausas de fusa']},
 u'thorough-bass': {'french': [u'basse continue'],
                    'german': [u'generalbass', u'basso continuo'],
                    'italian': [u'basso continuo'],
                    'russian': [u'basso kontinuo', u'general-bas'],
                    'spanish': [u'bajo continuo']},
 u'thunder machine': {'french': [u'machine \xe0 tonnerre',
                                 u'machine pour le tonnerre'],
                      'german': [u'donnermaschine'],
                      'italian': [u'macchina per il tuono'],
                      'spanish': [u'm\xe1quina del trueno']},
 u'thunder sheet': {'french': [u'machine \xe0 tonnerre',
                               u'tonnerre \xe0 poign\xe9e'],
                    'german': [u'donnerblech'],
                    'italian': [u'lastra del tuono', u'tuono a pugno'],
                    'spanish': [u'lamina metalica']},
 u'thunder stick': {'french': [u'planchette ronflante'],
                    'german': [u'schwirrholz'],
                    'italian': [u'legno frullante', u'tavoletta sibilante']},
 u'tie': {'french': [u'liaison'],
          'german': [u'bindung'],
          'italian': [u'legatura']},
 u'timbales': {'french': [u'timbales cubaines',
                          u'timbales cr\xe9oles',
                          u'timbales latines'],
               'german': [u'timbales', u'kuba-pauken'],
               'italian': [u'timbales',
                           u'timpanetti',
                           u'timbales latinoamericani'],
               'spanish': [u'timbales', u'pailas criollas']},
 u'time': {'italian': [u'volta']},
 u'timpani': {'abbreviation': [u'timp.', u'pk.', u'k. dr.'],
              'french': [u'timbales', u'timbale'],
              'german': [u'pauken',
                         u'pauke',
                         u'kesselpauke',
                         u'kesseltrommel'],
              'italian': [u'timpano',
                          u'timpani',
                          u'timballo',
                          u'timballi',
                          u'tympani'],
              'russian': [u'litavra'],
              'spanish': [u'timbal', u'timbales', u'timbals', u'atabal']},
 u'to': {'french': [u'\xe0'], 'german': [u'zu'], 'italian': [u'per']},
 u'to the end': {'french': [u'\xe0 la fin'],
                 'german': [u'bis zum ende'],
                 'italian': [u'al fine']},
 u'tom-tom': {'french': [u'tom', u'tom-tom'],
              'german': [u'tom tom', u'tom-tom', u'tom'],
              'italian': [u'tom-tom'],
              'spanish': [u'tom-tom', u'tomtom']},
 u'too': {'german': [u'zu']},
 u'too much': {'italian': [u'troppo']},
 u'transverse flute': {'french': [u'fl\xfbte',
                                  u'fl\xfbte traversi\xe8re',
                                  u'grande fl\xfbte'],
                       'german': [u'fl\xf6te', u'querfl\xf6te'],
                       'italian': [u'flauto', u'flauto traverso'],
                       'spanish': [u'flauta',
                                   u'flauta travesera',
                                   u'flauta de boehm',
                                   u'flauta de concierto',
                                   u'flauta traversa']},
 u'treble': {'abbreviation': [u'tr.']},
 u'treble clef': {'french': [u'clef de sol'],
                  'german': [u'g-schlussel'],
                  'italian': [u'chiave di violino']},
 u'treble recorder': {'french': [u'fl\xfbte \xe0 bec alto',
                                 u'fl\xfbte douce alto',
                                 u'fl\xfbte droite alto',
                                 u'fl\xfbte alto'],
                      'german': [u'altblockfl\xf6te'],
                      'italian': [u'flauto dolce contralto',
                                  u'flauto dritto contralto',
                                  u'flauto a becco contralto'],
                      'spanish': [u'flauta recta contralto',
                                  u'flauta dulce contralto',
                                  u'flauta de pico contralto']},
 u'triangle': {'abbreviation': [u'tri.', u'trgl.'],
               'french': [u'triangle'],
               'german': [u'triangel'],
               'italian': [u'triangolo'],
               'spanish': [u'tri\xe1ngulo']},
 u'triumphant': {'italian': [u'trionfale']},
 u'trombone': {'abbreviation': [u'trb.', u'tbni'],
               'french': [u'trombone'],
               'german': [u'posaune'],
               'italian': [u'trombone'],
               'russian': [u'trombon'],
               'spanish': [u'tromb\xf3n']},
 u'tromp': {'french': [u'guimbarde', u'trompe de bearn'],
            'german': [u'maultrommel'],
            'italian': [u'scacciapensieri'],
            'spanish': [u'guimbarda', u'birimbao', u'arpa de boca']},
 u'trump': {'french': [u'guimbarde', u'trompe de bearn'],
            'german': [u'maultrommel'],
            'italian': [u'scacciapensieri'],
            'spanish': [u'guimbarda', u'birimbao', u'arpa de boca']},
 u'trumpet': {'abbreviation': [u'tr.', u'tpt.', u'tbe'],
              'french': [u'trompette'],
              'german': [u'trompete'],
              'italian': [u'tromba', u'clarino'],
              'russian': [u'truba'],
              'spanish': [u'trompeta']},
 u'tuba': {'abbreviation': [u'tb.', u'tuba'],
           'french': [u'tuba'],
           'german': [u'tuba'],
           'italian': [u'tuba'],
           'russian': [u'tuba'],
           'spanish': [u'tuba']},
 u'tubaphone': {'french': [u'tubaphone'],
                'german': [u'tubaphon'],
                'italian': [u'tubofono'],
                'spanish': [u'tub\xb7fon']},
 u'tubular bells': {'french': [u'cloches tubulaires',
                               u'cloches tubolaires',
                               u'cloches'],
                    'german': [u'rohrenglocke',
                               u'r\u02c6hrenglocke',
                               u'glocken'],
                    'italian': [u'campane tubolari',
                                u'campane tubulari',
                                u'campane'],
                    'spanish': [u'campanas tubulares', u'campanas']},
 u'tumbadora': {'french': [u'conga', u'tambour congo', u'tumbadora'],
                'german': [u'conga', u'conga-trommel', u'tumba'],
                'italian': [u'tumba'],
                'spanish': [u'conga', u'tumbadora']},
 u'turkish crescent': {'french': [u'chapeau chinois',
                                  u'pavillon chinois',
                                  u'cloche pavillon'],
                       'german': [u'schellenbaum',
                                  u't\xfcrkischer halbmond-stern'],
                       'italian': [u'mezzaluna crescent',
                                   u'turkisch crescent',
                                   u'albero di sonagli',
                                   u'cappello cinese',
                                   u'padiglione cinese',
                                   u'cappello turco'],
                       'spanish': [u'pabell\xf3n chino',
                                   u'pabell\xf3n turco']},
 u'turkish drum': {'french': [u'grosse caisse', u'tambour bata'],
                   'german': [u'grosse trommel'],
                   'italian': [u'gran cassa',
                               u'cassa',
                               u'tamborone',
                               u'tamburo grande',
                               u'tamburo grosso',
                               u'gran cassa'],
                   'spanish': [u'bombo', u'gran caja']},
 u'turkish jingle': {'french': [u'chapeau chinois',
                                u'pavillon chinois',
                                u'cloche pavillon'],
                     'german': [u'schellenbaum',
                                u't\xfcrkischer halbmond-stern'],
                     'italian': [u'mezzaluna crescent',
                                 u'turkisch crescent',
                                 u'albero di sonagli',
                                 u'cappello cinese',
                                 u'padiglione cinese',
                                 u'cappello turco'],
                     'spanish': [u'pabell\xf3n chino', u'pabell\xf3n turco']},
 u'turn the page at once': {'abbreviation': [u'v.s.'],
                            'italian': [u'volti subito']},
 u'twice': {'italian': [u'bis']},
 u'twice as fast': {'italian': [u'doppio movimento']},
 u'ukelele': {'french': [u'ukul\xe9l\xe9'],
              'german': [u'ukulele'],
              'italian': [u'ukulele'],
              'spanish': [u'ukelele']},
 u'ukulele': {'french': [u'ukul\xe9l\xe9'],
              'german': [u'ukulele'],
              'italian': [u'ukulele'],
              'spanish': [u'ukelele']},
 u'unaccompanied': {'french': [u'sans instruments', u'style de chapelle'],
                    'german': [u'ohne instrumente'],
                    'italian': [u'a capella', u'a cappella', u'a-cappella']},
 u'under': {'french': [u'sous'], 'german': [u'unter'], 'italian': [u'sotto']},
 u'up-bow': {'french': [u'pouss\xe9'],
             'german': [u'aufstrich'],
             'italian': [u'arcata in su'],
             'spanish': [u'arco arriba']},
 u'valve': {'french': [u'pistons'],
            'german': [u'ventile'],
            'italian': [u'pistoni']},
 u'valve horn': {'french': [u'cor \xe0 pistons', u'cor chromatique'],
                 'german': [u'ventilhorn'],
                 'italian': [u'corno ventile', u'corno cromatico'],
                 'spanish': [u'trompa de pistones']},
 u'valve trombone': {'french': [u'trombone \xe0 pistons'],
                     'german': [u'ventilposaune'],
                     'italian': [u'trombone a pistoni'],
                     'spanish': [u'tromb\xf3n de pistones']},
 u'valve trumpet': {'french': [u'trompette \u2021 pistons'],
                    'german': [u'ventiltrompete'],
                    'italian': [u'tromba a pistoni'],
                    'spanish': [u'trompeta de pistones']},
 u'various languages': {'french': [u'cor'],
                        'german': [u'horn'],
                        'italian': [u'corno'],
                        'russian': [u'gorn', u'rog', u'rozhok'],
                        'spanish': [u'corno',
                                    u'corno franc\xe9s',
                                    u'trompa',
                                    u'cuerno']},
 u'vehicle horn': {'french': [u"trompe d'auto", u'claxon'],
                   'german': [u'autohupe', u'claxon'],
                   'italian': [u'clacson'],
                   'spanish': [u'claxon']},
 u'very': {'french': [u'tr\xe8s'], 'german': [u'sehr'], 'italian': [u'molto']},
 u'very fast': {'italian': [u'presto']},
 u'very loud': {'abbreviation': [u'ff'], 'italian': [u'fortissimo']},
 u'very slow': {'italian': [u'grave']},
 u'very soft': {'abbreviation': [u'pp'], 'italian': [u'pianissimo']},
 u'vibes': {'french': [u'vibraphone'],
            'german': [u'vibraphon'],
            'italian': [u'vibrafono'],
            'spanish': [u'vibr\xe1fon', u'vibr\xe1fono']},
 u'vibra slap': {'french': [u'vibra slap'],
                 'german': [u'vibraslap'],
                 'italian': [u'vibra slap'],
                 'spanish': [u'vibra slap']},
 u'vibraharp': {'french': [u'vibraphone'],
                'german': [u'vibraphon'],
                'italian': [u'vibrafono'],
                'spanish': [u'vibr\xe1fon', u'vibr\xe1fono']},
 u'vibraphone': {'abbreviation': [u'vib.'],
                 'french': [u'vibraphone', u'vibraharp'],
                 'german': [u'vibraphon', u'vibraphone'],
                 'italian': [u'vibrafono', u'vibraphon'],
                 'spanish': [u'vibr\xe1fon', u'vibr\xe1fono', u'vibrafono']},
 u'vigorous': {'german': [u'frisch'], 'italian': [u'vigoroso']},
 u'vigour': {'italian': [u'brio']},
 u'viola': {'abbreviation': [u'va.', u'vla.', u'br.'],
            'french': [u'alto'],
            'german': [u'viola', u'viole', u'bratsche', u'altgeige'],
            'italian': [u'viola'],
            'russian': [u'viola'],
            'spanish': [u'viola']},
 u"viola d'amore": {'french': [u"viole d'amour"],
                    'german': [u"viola d'amore", u'liebesgeige'],
                    'italian': [u"viola d'amore"],
                    'russian': [u"viola d'amur"],
                    'spanish': [u"viola d'amore"]},
 u'viola da gamba': {'french': [u'viole de gambe', u'viola da gamba'],
                     'german': [u'viola da gamba', u'gambe'],
                     'italian': [u'viola da gamba'],
                     'russian': [u'viola da gamba', u'gamba'],
                     'spanish': [u'viola de gamba', u'viola da gamba']},
 u'violin': {'abbreviation': [u'v.',
                              u'vn.',
                              u'vl.',
                              u'vio.',
                              u'vlon.',
                              u'vv.',
                              u'vni.'],
             'french': [u'violon'],
             'german': [u'violine', u'geige'],
             'italian': [u'violino'],
             'russian': [u'skripka'],
             'spanish': [u'viol\xedn']},
 u'violoncello': {'abbreviation': [u'vc.', u'vcelle.', u'vcl.', u'vlc.'],
                  'french': [u'violoncelle'],
                  'german': [u'violoncello', u'cello', u'violoncell'],
                  'italian': [u'violoncello', u'cello'],
                  'russian': [u"violonchel'"],
                  'spanish': [u'violoncelo',
                              u'cello',
                              u'violonchelo',
                              u'chelo']},
 u'violone': {'abbreviation': [u'vle']},
 u'vocal ensembles': {'french': [u'ensembles vocaux']},
 u'voice': {'abbreviation': [u'voc.'],
            'french': [u'voix'],
            'german': [u'stimme'],
            'italian': [u'voce', u'voca'],
            'russian': [u'golos'],
            'spanish': [u'voz']},
 u'walking speed': {'italian': [u'andante']},
 u'waltz': {'french': [u'valse'],
            'german': [u'walzer'],
            'italian': [u'valzer'],
            'spanish': [u'vals']},
 u'weak': {'german': [u'schwach']},
 u'well': {'italian': [u'ben']},
 u'wheel fiddle': {'french': [u'vielle \u2021 roue'],
                   'german': [u'drehleier', u'radleier', u'leier'],
                   'italian': [u'ghironda'],
                   'spanish': [u'zanfona',
                               u'cinfon\xeda',
                               u'viola de rueda',
                               u'zanfon\xeda']},
 u'whip': {'french': [u'fouet'],
           'german': [u'peitsche', u'holzklapper'],
           'italian': [u'frusta'],
           'spanish': [u'l\xe1tigo']},
 u'whizzer': {'french': [u'planchette ronflante'],
              'german': [u'schwirrholz'],
              'italian': [u'legno frullante', u'tavoletta sibilante']},
 u'whole note': {'french': [u'ronde'],
                 'german': [u'ganzenote'],
                 'italian': [u'semibreve'],
                 'spanish': [u'redonda']},
 u'whole rest': {'french': [u'pause'],
                 'german': [u'ganze pause'],
                 'italian': [u'pausa di semibreve'],
                 'spanish': [u'pausas de redonda']},
 u'wind chimes': {'french': [u'clochettes \xe9oliennes', u'arbre de marque'],
                  'german': [u'windspiel', u'windglocken'],
                  'italian': [u'bacchette di sospese', u'albero di marchio'],
                  'spanish': [u'carill\xf3ns de viento',
                              u'\xe1rbol de marca']},
 u'wind gong': {'french': [u'gong \xe0 vent'],
                'german': [u'windgong'],
                'italian': [u'gong di vento'],
                'spanish': [u'gong de viento']},
 u'wind instrument': {'french': [u'instrument \xe0 vent'],
                      'german': [u'blasinstrument'],
                      'italian': [u'strumento a fiato'],
                      'russian': [u'dukhovoi instrument'],
                      'spanish': [u'instrumento de viento']},
 u'wind instruments': {'french': [u'instruments \xe0 vent'],
                       'german': [u'blasinstrumente'],
                       'italian': [u'strumenti a fiato'],
                       'spanish': [u'instrumentos de viento']},
 u'wind machine': {'abbreviation': [u'windmachine'],
                   'french': [u'machine \xe0 vent',
                              u'eoliphone',
                              u'\xe9oliphone'],
                   'german': [u'windmaschine', u'aeolophon'],
                   'italian': [u'macchina del vento',
                               u'eolifono',
                               u'machina a venti'],
                   'spanish': [u'm\xe1quina de viento']},
 u'windband': {'french': [u"orchestre d'instruments \xe0 vent"],
               'german': [u'blasorchester'],
               'italian': [u'orchestra di strumenti a fiato'],
               'spanish': [u'orquesta de vientos']},
 u'with': {'french': [u'avec'], 'german': [u'mit'], 'italian': [u'con']},
 u'with a minim beat': {'italian': [u'alla breve']},
 u'with decision': {'german': [u'bestimmt']},
 u'with deep feeling': {'italian': [u'patetico']},
 u'with determination': {'italian': [u'deciso']},
 u'with movement': {'german': [u'bewegt']},
 u'with passion': {'italian': [u'appassionato']},
 u'with rich tone': {'french': [u'sonore'], 'italian': [u'sonoro']},
 u'with some freedom of time': {'italian': [u'rubato']},
 u'with the bow': {'italian': [u'arco']},
 u'with the voice': {'french': [u'avec la voix'],
                     'german': [u'mit der stimme'],
                     'italian': [u'colla voce',
                                 u'con la voce',
                                 u'colla parte']},
 u'with the wood': {'french': [u'avec le bois'],
                    'german': [u'mit holz'],
                    'italian': [u'col legno']},
 u'without': {'french': [u'sans'], 'german': [u'ohne'], 'italian': [u'senza']},
 u'without mute': {'french': [u'sans sourdine'],
                   'german': [u'ohne d\xe4mpfer'],
                   'italian': [u'senza sordino']},
 u"women's voices": {'french': [u'choeur de femmes'],
                     'german': [u'frauenchor', u'frauenstimme'],
                     'italian': [u'coro femminile'],
                     'russian': [u'zhenskii khor'],
                     'spanish': [u'coro femenino']},
 u'wood block': {'abbreviation': [u'wd.bl.', u'wd. bl.'],
                 'french': [u'bloc de bois', u'caisse chinoise'],
                 'german': [u'holzblock', u'holzblocktrommel'],
                 'italian': [u'cassettina', u'blochetto'],
                 'spanish': [u'caja china']},
 u'woodblock': {'french': [u'wood-bloc', u'bloc de bois'],
                'german': [u'holzblock'],
                'italian': [u'cassetina',
                            u'blocco di legno',
                            u'blocco di legno cinese'],
                'spanish': [u'caja china']},
 u'wooden wind chimes': {'french': [u'baguettes de bois suspendues'],
                         'german': [u'holz-windglocken'],
                         'italian': [u'bacchette di legno sospese'],
                         'spanish': [u'carill\xf3ns de viento de madera']},
 u'woodwind': {'french': [u'bois'],
               'german': [u'holzbl\xe4ser'],
               'italian': [u'legni', u'fiati']},
 u'woodwind instrument': {'french': [u'instrument \xe0 vent en bois',
                                     u'instrument \xe0 vent'],
                          'german': [u'holzblasinstrument'],
                          'italian': [u'legno'],
                          'russian': [u'dereviannyi dukhvoi instrument'],
                          'spanish': [u'instrumento de madera']},
 u'woodwind instruments': {'french': [u'instruments \xe0 vent en bois'],
                           'german': [u'holzblasinstrumente'],
                           'italian': [u'legni'],
                           'spanish': [u'instrumentos de madera']},
 u'xylophone': {'abbreviation': [u'xyl.', u'xil.'],
                'french': [u'xylophone',
                           u'harmonica de bois',
                           u'\xc8chelettes',
                           u'claquebois'],
                'german': [u'xylophon', u'strohfiedel'],
                'italian': [u'xilofono',
                            u'xilifono',
                            u'silofono',
                            u'gigelira'],
                'russian': [u'ksilofon'],
                'spanish': [u'xilof\xf3n', u'xilof\xf3no', u'xil\xf3fono']},
 u'xylorimba': {'french': [u'xylomarimba'],
                'german': [u'xylomarimba'],
                'italian': [u'xilomarimba']},
 u'yembe': {'french': [u'djemb\xe9'],
            'german': [u'djembe'],
            'italian': [u'djembe',
                        u'djemb\xe8',
                        u'djemb\xe9',
                        u'djamb\xe8',
                        u'djamb\xe9',
                        u'jenbe',
                        u'jembe',
                        u'djimbe'],
            'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'yet': {'german': [u'doch']},
 u'yield': {'french': [u'c\xe9dez']},
 u'yielding': {'french': [u'en c\xe9dant']},
 u'ymbe': {'french': [u'djemb\xe9'],
           'german': [u'djembe'],
           'italian': [u'djembe',
                       u'djemb\xe8',
                       u'djemb\xe9',
                       u'djamb\xe8',
                       u'djamb\xe9',
                       u'jenbe',
                       u'jembe',
                       u'djimbe'],
           'spanish': [u'dyembe', u'yembe', u'jembe', u'sanbanyi']},
 u'zills': {'french': [u'cymbales digitales',
                       u'sagattes',
                       u'sagates',
                       u'zill'],
            'german': [u'fingerzimbeln'],
            'italian': [u'cimbalini'],
            'spanish': [u'cr\xf3talos', u'chinchines']},
 u'zils': {'french': [u'cymbales digitales',
                      u'sagattes',
                      u'sagates',
                      u'zill'],
           'german': [u'fingerzimbeln'],
           'italian': [u'cimbalini'],
           'spanish': [u'cr\xf3talos', u'chinchines']}}

allToEnglish = \
{u"'armonica a bicchieri": u'musical glasses',
 u'8': u'at the octave',
 u'8a alta': u'at the octave',
 u'8a b.': u'at the octave',
 u'8va': u'at the octave',
 u'8va bassa': u'at the octave',
 u'8vb': u'at the octave',
 u'a': u'solo voices',
 u'a becco': u'recorder',
 u'a capella': u'unaccompanied',
 u'a cappella': u'unaccompanied',
 u'a deux': u'a 2',
 u'a due': u'a 2',
 u'a piacere': u'at pleasure',
 u"a punta d'arco": u'at the tip',
 u'a-cappella': u'unaccompanied',
 u'a.': u'alto',
 u'a. fl.': u'alto flute',
 u'a.cl.': u'alto clarinet',
 u'a.cym - ant.': u'antique cymbals',
 u'a.fl.': u'alto flute',
 u'a.kl.': u'alto clarinet',
 u'a.sax.': u'eb alto saxophone',
 u'abbellimento': u'ornament',
 u'aber': u'but',
 u'acc.': u'accordion',
 u'accdn': u'accordion',
 u'accento': u'emphasised',
 u'acciaccatura': u'short appoggiatura',
 u'accident': u'accidental',
 u'accidente': u'accidental',
 u'accolada': u'brace',
 u'accolade': u'brace',
 u'accord': u'chord',
 u'accorde': u'chord',
 u'accordo': u'chord',
 u'accord\xe9on': u'accordion',
 u'achtel': u'quaver',
 u'achtelnote': u'quaver',
 u'achtelpause': u'quaver rest',
 u'acorde\xf3n': u'accordion',
 u'acuto': u'high voice',
 u'ad lib.': u'at choice',
 u'ad libitum': u'at choice',
 u'adagio': u'slowly',
 u'adorno': u'ornament',
 u'aeolophon': u'wind machine',
 u'affabile': u'friendly',
 u'affrettando': u'hurrying',
 u'afuch\xe9': u'cabasa',
 u'agitato': u'agitated',
 u'agogo': u'agog\xf4',
 u'agog\xf4': u'agog\xf4',
 u'agr\xe9ments': u'ornament',
 u'agudo': u'high voice',
 u'ais': u'a sharp',
 u'aisis': u'a double sharp',
 u'akkord': u'chord',
 u'akkordeon': u'accordion',
 u'akkordzither': u'autoharp',
 u'al': u'in the manner of',
 u'al fine': u'to the end',
 u'al tallone': u'at the frog',
 u"al't": u'contralto',
 u'albero di marchio': u'wind chimes',
 u'albero di sonagli': u'turkish jingle',
 u'alforn': u'alpine horn',
 u"all'ottava": u'at the octave',
 u'alla': u'in the manner of',
 u'alla breve': u'with a minim beat',
 u'allargando': u'broadening',
 u'allegretto': u'fairly quick',
 u'almglocken': u'cow bell',
 u'alphorn': u'alpine horn',
 u'als': u'than',
 u'alt': u'high',
 u'altblockfl\xf6te': u'treble recorder',
 u'altfl\xf6te': u'alto flute',
 u'altgeige': u'viola',
 u'altklarinette': u'alto clarinet',
 u'alto': u'viola',
 u'alto cl.': u'alto clarinet',
 u'alto fl.': u'alto flute',
 u'altsaxophon': u'alto saxophone',
 u'am frosch': u'at the frog',
 u'am griffbrett': u'at the fingerboard',
 u'am steg': u'at the bridge',
 u'amabile': u'amiable',
 u'ambitus': u'ambitus',
 u'amboss': u'anvil',
 u'ambo\xdf': u'anvil',
 u'amore': u'love',
 u'amour': u'love',
 u'an der bogenspitze': u'at the tip',
 u'anches': u'reeds',
 u'anches doubles': u'double reeds',
 u'ancora': u'again',
 u'andante': u'walking speed',
 u'andantino': u'like walking speed',
 u'angliiskii rozhok': u'english horn',
 u'anima': u'spirit',
 u'animando': u'becoming more lively',
 u'animato': u'animated',
 u'anim\xe9': u'animated',
 u'ansto\xdf': u'attack',
 u'ant.cym.': u'antique cymbals',
 u'antike cymbel': u'antique cymbals',
 u'antike cymbeln': u'crotales',
 u'antike zimbeln': u'crotales',
 u'apais\xe9': u'calmed',
 u'appassionato': u'with passion',
 u'appeau': u'bird whistle',
 u'aracata in gi\xf9': u'down-bow',
 u'arbre de marque': u'wind chimes',
 u'arcata in su': u'up-bow',
 u'archet': u'bow',
 u'archi': u'strings',
 u'arco': u'with the bow',
 u'arco abajo': u'down-bow',
 u'arco arriba': u'up-bow',
 u'arfa': u'harp',
 u'arioso': u'like an aria',
 u'armonica a bocca': u'mouth organ',
 u'armonica de verre': u'musical glasses',
 u'armonio': u'harmonium',
 u'armonium': u'harmonium',
 u'arm\xf3nica de boca': u'mouth organ',
 u'arm\xf3nica de cristal': u'musical glasses',
 u'arp.': u'harp',
 u'arpa': u'harp',
 u'arpa a doppio movimento': u'double-action harp',
 u'arpa de boca': u'trump',
 u'arpa de doble acci\xf3n': u'double-action harp',
 u'arpe': u'harp',
 u'arpicordo': u'harpsichord',
 u'as': u'a flat',
 u'ases': u'a double flat',
 u'assez': u'sufficiently',
 u'asta': u'stem',
 u'atabal': u'timpani',
 u'attacco': u'attack',
 u'attaque': u'attack',
 u'aufl\xf6sungszeichen': u'natural',
 u'aufstrich': u'up-bow',
 u'ausdruck': u'expression',
 u'autoarpa': u'autoharp',
 u'autohupe': u'vehicle horn',
 u'avec': u'with',
 u"avec la pointe de l'archet": u'at the tip',
 u'avec la voix': u'with the voice',
 u'avec le bois': u'with the wood',
 u'avec verve': u'spirited',
 u'b': u'solo voices',
 u'b-bar.': u'bass-baritone',
 u'b.': u'bass',
 u'b.cl.': u'bass clarinet',
 u'b.dr.': u'bass drum',
 u'b.fl.': u'bass flute',
 u'b.tbn.': u'bass trombone',
 u'b.tpt.': u'bass trumpet',
 u'b.tuba': u'bass tuba',
 u'bacchette di conchiglia sospese': u'shell wind chimes',
 u'bacchette di legno sospese': u'wooden wind chimes',
 u'bacchette di metallo sospese': u'metal wind chimes',
 u'bacchette di sospese': u'wind chimes',
 u'bacchette di vetro sospese': u'glass wind chimes',
 u'baguettes de bois suspendues': u'wooden wind chimes',
 u'baguettes de coquille suspendues': u'shell wind chimes',
 u'baguettes de verre suspendues': u'glass wind chimes',
 u'baguettes m\xe9talliques suspendues': u'metal wind chimes',
 u'bajo': u'bass',
 u'bajo continuo': u'thorough-bass',
 u'baj\xf3n': u'dulcian',
 u'balalaika': u'balalaika',
 u'balken': u'beam',
 u'bambou suspendu': u'bamboo wind chimes',
 u'bambusr\xf6hre': u'bamboo wind chimes',
 u'banda': u'tape',
 u'bande': u'tape',
 u'bandiera': u'flag',
 u'bandoneon': u'bandoneon',
 u'bandon\xe9on': u'bandoneon',
 u'banjo': u'banjo',
 u'bar.': u'baritone',
 u'bar.sax.': u'eb baritone saxophone',
 u'baraban': u'drum',
 u'bariton': u'baritone',
 u'baritono': u'baritone horn',
 u'baritonsaxophon': u'baritone saxophone',
 u'barra': u'beam',
 u'barre': u'beam',
 u'baryton': u'euphonium',
 u'bar\xedtono': u'baritone horn',
 u'bas': u'bass',
 u'bas-dessus': u'soprano',
 u'bass': u'bass',
 u'bass posaune': u'bass trombone',
 u'bass-klarnet': u'bass clarinet',
 u'bassblockfl\xf6te': u'bass recorder',
 u'basse': u'bass',
 u'basse continue': u'thorough-bass',
 u'basse taille': u'bass baritone',
 u'basse \xe0 pistons': u'euphonium',
 u'basse-trombone': u'bass trombone',
 u'bassetthorn': u'basset horn',
 u'bassfl\xf6te': u'bass flute',
 u'bassklarinette': u'bass clarinet',
 u'basso': u'bass',
 u'basso continuo': u'thorough-bass',
 u'basso kontinuo': u'thorough-bass',
 u'basson': u'bassoon',
 u'basssaxophon': u'bass saxophone',
 u'basstrompete': u'bass trumpet',
 u'basstuba': u'bass tuba',
 u'bata-trommel': u'bat\xe1 drum',
 u'bater\xeda': u'percussion instruments',
 u'batteria': u'percussion instruments',
 u'batterie': u'percussion instruments',
 u'bb.cl': u'bb clarinet',
 u'be': u'flat',
 u'becken': u'cymbals',
 u'becken freih\xe4ngend': u'suspended cymbal',
 u'becken gew\xf6nlich': u'crash cymbals',
 u'becken-paar': u'crash cymbals',
 u'beckfl\xf6te': u'recorder',
 u'becuadro': u'natural',
 u'bells': u'chimes',
 u'bemol': u'flat',
 u'bemolle': u'flat',
 u'ben': u'well',
 u'bequadro': u'natural',
 u'berceuse': u'lullaby',
 u'berimbao': u'berimbao',
 u'bestimmt': u'with decision',
 u'bewegt': u'with movement',
 u'bianca': u'minim',
 u'bicchieri di vetro': u'musical glasses',
 u'bindebogen': u'slur',
 u'bindung': u'tie',
 u'bindungszeichen': u'slur',
 u'biniou': u'bagpipe',
 u'birimbao': u'trump',
 u'bis': u'twice',
 u'bis zum ende': u'to the end',
 u'biscroma': u'thirty-second note',
 u'bj.': u'banjo',
 u'bkl.': u'bass clarinet',
 u'blanca': u'minim',
 u'blanche': u'minim',
 u'blasinstrument': u'wind instrument',
 u'blasinstrumente': u'wind instruments',
 u'blasorchester': u'windband',
 u'blechblasinstrument': u'brass instrument',
 u'blechblasinstrumente': u'brass instruments',
 u'bloc de bois': u'woodblock',
 u'blocchi cinesi': u'temple blocks',
 u'blocchi di legno coreani': u'temple blocks',
 u'blocco di legno': u'woodblock',
 u'blocco di legno cinese': u'woodblock',
 u'blochetto': u'wood block',
 u'block cinese': u'temple blocks',
 u'blockfl\xf6te': u'recorder',
 u'blokfleita': u'recorder',
 u'bn.': u'bassoon',
 u'bogen': u'bow',
 u'bois': u'woodwind',
 u"bol'shoi baraban": u'bass drum',
 u'bombardino': u'euphonium',
 u'bombo': u'turkish drum',
 u'bong.': u'bongos',
 u'bonghi': u'bongo drums',
 u'bongos': u'bongo drums',
 u'br.': u'viola',
 u'bratsche': u'viola',
 u'bravura': u'skill',
 u'breit': u'expansive',
 u'breve': u'double whole note',
 u'brio': u'vigour',
 u'broderies': u'ornament',
 u'brummtopf': u'rommelpot',
 u'bssn.': u'bassoon',
 u'btb.': u'bass tuba',
 u'bugle': u'hunting horn',
 u'b\xe1carre': u'natural',
 u'b\xe9mol': u'flat',
 u'c': u'c',
 u'c-schlussel': u'c clef',
 u'c.': u'contralto',
 u'c.bn.': u'contra bassoon',
 u'c.bon.': u'contra bassoon',
 u'c.bssn.': u'contra bassoon',
 u'c.c.': u'snare drum',
 u'c.d.': u'right hand',
 u'c.fag.': u'contra bassoon',
 u'c.s.': u'left hand',
 u'cabasa': u'cabasa',
 u'cabassa': u'cabasa',
 u'cabaza': u'cabasa',
 u'cadena': u'chain',
 u'cadence': u'cadence',
 u'cadencia': u'cadence',
 u'cadenza': u'cadence',
 u'caisse chinoise': u'wood block',
 u'caisse claire': u'snare drum',
 u'caisse roulante': u'tenor drum',
 u'caja china': u'woodblock',
 u'caja clara': u'snare drum',
 u'caja redoblante': u'tenor drum',
 u'caja rodante': u'tenor drum',
 u'calando': u'getting softer',
 u'calder\xf3n': u'hold',
 u'calebasse': u'cabasa',
 u'campana': u'cow bell',
 u'campana in lastra di metallo': u'plate bell',
 u'campanacci': u'cowbells',
 u'campanaccio': u'cow bell',
 u'campanas': u'tubular bells',
 u'campanas de mano': u'handbells',
 u'campanas tubulares': u'tubular bells',
 u'campane': u'tubular bells',
 u'campane da pastore': u'cow bell',
 u'campane tubolari': u'tubular bells',
 u'campane tubulari': u'tubular bells',
 u'campanelli': u'orchestra bells',
 u'campanelli a mano': u'handbells',
 u'campanelli da mucca': u'cowbells',
 u'campanelli di vacca': u'cowbells',
 u'campano': u'cow bell',
 u'campanos': u'cowbells',
 u'campan\xf3logo': u'glockenspiel',
 u'cantabile': u'in a singing style',
 u'cantando': u'singing',
 u'capocchia': u'notehead',
 u'cappello cinese': u'turkish jingle',
 u'cappello turco': u'turkish jingle',
 u'capriccioso': u'in a whimsical or fanciful style',
 u'carill\xf3ns de viento': u'wind chimes',
 u'carill\xf3ns de viento de bamb\xfa': u'bamboo wind chimes',
 u'carill\xf3ns de viento de conchas': u'shell wind chimes',
 u'carill\xf3ns de viento de madera': u'wooden wind chimes',
 u'carill\xf3ns de viento de metal': u'metal wind chimes',
 u'carill\xf3ns de viento de vidrio': u'glass wind chimes',
 u'carraca': u'rattle',
 u'carta vetrata': u'sandpaper blocks',
 u'cas.': u'castanets',
 u'cascabels': u'sleigh bells',
 u'cassa': u'turkish drum',
 u'cassa chiara': u'snare drum',
 u'cassa rullante': u'tenor drum',
 u'cassetina': u'woodblock',
 u'cassettina': u'wood block',
 u'castagnette': u'castenets',
 u'castagnette di ferro': u'metal castanets',
 u'castagnettes': u'castenets',
 u'castagnettes de fer': u'metal castanets',
 u'casta\xf1uelas': u'castenets',
 u'casta\xf1uelas de hierro': u'metal castanets',
 u'casts': u'castanets',
 u'catena': u'chain',
 u'cavatina': u'cavatina',
 u'cavatine': u'cavatina',
 u'cb.': u'double bass',
 u'cb.cl': u'contrabass clarinet',
 u'cb.kl.': u'contrabass clarinet',
 u'cel.': u'celesta',
 u'celesta': u'celeste',
 u'celeste': u'celeste',
 u'cello': u'violoncello',
 u'cembalo': u'harpsichord',
 u'cencerro': u'cow bell',
 u'cencerros': u'cowbells',
 u'cent-vingt huiti\xe8me': u'semihemidemisemiquaver',
 u'centoventottavo': u'semihemidemisemiquaver',
 u'ceppi di carta vetro': u'sandpaper blocks',
 u'ces': u'c flat',
 u'ceses': u'c double flat',
 u'cesura': u'railroad tracks',
 u'chapeau chinois': u'turkish jingle',
 u'charles': u'sock cymbal',
 u'charleston': u'sock cymbal',
 u'cha\xeene': u'chain',
 u'chelesta': u'celesta',
 u'chelo': u'violoncello',
 u'chembalo': u'harpsichord',
 u'chevalet': u'bridge',
 u'chiave di basso': u'f clef',
 u'chiave di tenore': u'c clef',
 u'chiave di violino': u'treble clef',
 u'chinchines': u'zils',
 u'chinesische h\xe4ngebecken': u'chinese cymbal',
 u'chinesische tom-tom': u'chinese tom-tom',
 u'chit.': u'chitarrone',
 u'chitarra': u'guitar',
 u'chitarra battente': u'rhythm guitar',
 u'chitarra elettrica': u'electric guitar',
 u'chitarra hawaiana': u'lap steel guitar',
 u'choeur': u'chorus',
 u"choeur d'enfants": u"children's voices",
 u"choeur d'homme": u"men's voices",
 u'choeur de femmes': u"women's voices",
 u'chor': u'chorus',
 u'choro de hombres': u"men's voices",
 u'ciciliano': u'siciliano',
 u'cimb.': u'cimbalom',
 u'cimbales': u'cymbals',
 u'cimbali': u'cymbal',
 u'cimbalini': u'zils',
 u'cimbalo': u'harpsichord',
 u'cimbalom': u'cimbalom',
 u'cimbalos': u'cymbals',
 u'cinelli': u'cymbals',
 u'cinfon\xeda': u'wheel fiddle',
 u'cis': u'c sharp',
 u'cisis': u'c double sharp',
 u"cithare d'amateur": u'autoharp',
 u'cl.': u'clarinet',
 u'clacson': u'vehicle horn',
 u'claquebois': u'xylophone',
 u'clarinete': u'clarinet',
 u'clarinete alto': u'alto clarinet',
 u'clarinete bajo': u'bass clarinet',
 u'clarinete contrabajo': u'double bass clarinet',
 u'clarinete soprano': u'soprano clarinet',
 u'clarinette': u'clarinet',
 u'clarinette alto': u'alto clarinet',
 u'clarinette basse': u'bass clarinet',
 u'clarinette contrebasse': u'double bass clarinet',
 u'clarinetto': u'clarinet',
 u'clarinetto basso': u'bass clarinet',
 u'clarinetto contrabbasso': u'contra or double bass clarinet',
 u'clarinetto contralto': u'alto clarinet',
 u'clarinetto piccolo': u'soprano clarinet',
 u'clarino': u'trumpet',
 u'clave de fa': u'f clef',
 u'clavecin': u'harpsichord',
 u'clavec\xe9mbalo': u'harpsichord',
 u'clavec\xedn': u'harpsichord',
 u'claves': u'claves',
 u'clavessin': u'harpsichord',
 u'clave\xe7in': u'harpsichord',
 u'clavicembalo': u'harpsichord',
 u'clavichord': u'clavichord',
 u'clavicimbel': u'harpsichord',
 u'clavicorde': u'clavichord',
 u'clavicordio': u'clavichord',
 u'clavicordo': u'clavichord',
 u'clavic\xe9mbalo': u'harpsichord',
 u'clavic\xedmbalo': u'harpsichord',
 u'claxon': u'vehicle horn',
 u"clef d'ut": u'c clef',
 u'clef de fa': u'f clef',
 u'clef de sol': u'treble clef',
 u'cloche en lame de m\xe9tal': u'plate bell',
 u'cloche pavillon': u'turkish jingle',
 u'cloche-plaque': u'plate bell',
 u'cloches': u'tubular bells',
 u'cloches de vache': u'cowbells',
 u'cloches tubolaires': u'tubular bells',
 u'cloches tubulaires': u'tubular bells',
 u'cloches \xe0 vache': u'cowbells',
 u'clochettes \xe9oliennes': u'wind chimes',
 u'clochettes \u2021 main': u'handbells',
 u'clvd.': u'clavichord',
 u'cnt.': u'cornet',
 u'cobre': u'brass instrument',
 u'coda uncinata': u'flag',
 u'col destra': u'right hand',
 u'col legno': u'with the wood',
 u"col punta d'arco": u'at the tip',
 u'col sinistra': u'left hand',
 u'colla destra': u'right hand',
 u'colla parte': u'with the voice',
 u'colla sinistra': u'left hand',
 u'colla voce': u'with the voice',
 u'colpo': u'stroke',
 u'come': u'similar to',
 u'comme': u'similar to',
 u'comodo': u'convenient',
 u'computerkl\xe4nge': u'computer',
 u'con': u'with',
 u'con la punta del arco': u'at the tip',
 u'con la voce': u'with the voice',
 u'con tensores': u'snare drum',
 u'con.bn.': u'contra bassoon',
 u'conard': u'duck call',
 u'concertant': u'concertante',
 u'concertante': u'concertante',
 u'conga': u'tumbadora',
 u'conga-trommel': u'tumbadora',
 u'contrabajo': u'string bass',
 u'contrabasso': u'string bass',
 u'contrafagot': u'contrabassoon',
 u'contrafagotto': u'contrabassoon',
 u'contralto': u'contralto',
 u'contratenor': u'counter tenor',
 u'contre le chevalet': u'at the bridge',
 u'contre-bassoon': u'contrabassoon',
 u'contre-t\xe9nor': u'counter tenor',
 u'contrebasse': u'string bass',
 u'contrebasson': u'contrabassoon',
 u'controtenore': u'counter tenor',
 u'cor': u'various languages',
 u'cor anglais': u'english horn',
 u'cor chromatique': u'valve horn',
 u"cor d'harmonie": u'french horn',
 u'cor de basset': u'basset horn',
 u'cor de chasse': u'hunting horn',
 u'cor de postillon': u'posthorn',
 u'cor de vache': u'cow horn',
 u'cor des alpes': u'alpine horn',
 u'cor fran\xe7ais': u'french horn',
 u'cor postal': u'posthorn',
 u'cor simple': u'natural horn',
 u'cor \xe0 pistons': u'valve horn',
 u'cor.': u'horn',
 u'corchea': u'quaver',
 u'corchete': u'flag',
 u'corda': u'string',
 u'corde': u'string',
 u'cordes': u'strings',
 u'cornamusa': u'bagpipe',
 u'cornemuse': u'bagpipe',
 u'cornet': u'cornet',
 u'cornet postal': u'posthorn',
 u'cornet \xe0 pistons': u'cornet',
 u'corneta': u'cornet',
 u'corneta de posta': u'posthorn',
 u'corneta de postill\xf3n': u'posthorn',
 u'corneta inglesa': u'english horn',
 u'cornetta': u'cornet',
 u'cornetta a pistoni': u'cornet',
 u'cornet\xedn': u'cornet',
 u'cornet\xedn de pistones': u'cornet',
 u'corno': u'various languages',
 u'corno cromatico': u'valve horn',
 u'corno da caccia': u'hunting horn',
 u'corno delle alpi': u'alpine horn',
 u'corno di bassetto': u'basset horn',
 u'corno di postiglione': u'posthorn',
 u'corno di toro': u'cow horn',
 u'corno francese': u'french horn',
 u'corno franc\xe9s': u'various languages',
 u'corno inglese': u'english horn',
 u'corno ingl\xe9s': u'english horn',
 u'corno naturale': u'natural horn',
 u'corno postale': u'posthorn',
 u'corno ventile': u'valve horn',
 u'coro': u'chorus',
 u'coro de ni\xf1os': u"children's voices",
 u'coro femenino': u"women's voices",
 u'coro femminile': u"women's voices",
 u'coro infantil': u"children's voices",
 u'coro maschile': u"men's voices",
 u'coro masculino': u"men's voices",
 u'corona': u'hold',
 u'coup': u'stroke',
 u'coup de pistolet': u'pistol shot',
 u'coupes de verre': u'musical glasses',
 u'cowbell': u'cow bell',
 u'cr.tr.': u'bass drum',
 u'crash': u'crash cymbals',
 u'crashbecken': u'crash cymbals',
 u'cresc.': u'gradually getting louder',
 u'crescendo': u'gradually getting louder',
 u'crnt.': u'cornet',
 u'croche': u'quaver',
 u'crochet': u'flag',
 u'croma': u'quaver',
 u'cromorne': u'crumhorn',
 u'cromorno': u'crumhorn',
 u'crot.': u'crotales',
 u'crotales': u'crotales',
 u'crotali': u'crotales',
 u'crotalos': u'crotales',
 u'crt.': u'cornet',
 u'cr\xe9celle': u'rattle',
 u'cr\xf3talos': u'zils',
 u'ct.': u'countertenor',
 u'cuadrada': u'double whole note',
 u'cuerda': u'string',
 u'cuerdas': u'strings',
 u'cuerno': u'various languages',
 u'cuerno basset': u'basset horn',
 u'cuerno de vaca': u'cow horn',
 u'cuerno ingl\xe9s': u'english horn',
 u'cuica': u'rommelpot',
 u'cuivres': u'brass instrument',
 u'cu\xedca': u'rommelpot',
 u'cym.': u'cymbals',
 u'cymb.': u'cymbals',
 u'cymbal': u'cimbalom',
 u'cymbale chinoise': u'chinese cymbal',
 u'cymbale sur tiges': u'sizzle cymbal',
 u'cymbale suspendue': u'suspended cymbal',
 u'cymbale \xe0 p\xe9dale': u'sock cymbal',
 u'cymbales': u'cymbals',
 u'cymbales antique': u'antique cymbals',
 u'cymbales antiques': u'crotales',
 u'cymbales digitales': u'zils',
 u'cymbalum': u'cimbalom',
 u'c\xe4sur': u'railroad tracks',
 u'c\xe9dez': u'yield',
 u'c\xe9lesta': u'celeste',
 u'c\xe9mbalo': u'harpsichord',
 u'c\xe9sure': u'railroad tracks',
 u'c\xedmbalo': u'cimbalom',
 u'c\xedmbalo h\xfangaro': u'cimbalom',
 u'c\xedmbalos': u'cymbals',
 u'd': u'd',
 u'd.bn': u'double bassoon',
 u'd.c.': u'from the beginning',
 u'd.s.': u'from the sign',
 u'da capo': u'from the beginning',
 u'dal segno': u'from the sign',
 u'danse': u'dance',
 u'danza': u'dance',
 u'de la pointe': u'at the tip',
 u'de pico': u'recorder',
 u'de timbres': u'glockenspiel',
 u'deciso': u'with determination',
 u'delicato': u'delicate',
 u'demi-pause': u'minim rest',
 u'demi-soupir': u'quaver rest',
 u'dereviannyi dukhvoi instrument': u'woodwind instrument',
 u'des': u'd flat',
 u'deses': u'd double flat',
 u'destra': u'right',
 u'destro': u'right',
 u'detskii khor': u"children's voices",
 u'diesis': u'sharp',
 u'dim.': u'gradually getting softer',
 u'diminuendo': u'gradually getting softer',
 u'dis': u'd sharp',
 u'disis': u'd double sharp',
 u'div.': u'divided',
 u'divert.': u'divertimento',
 u'divertimento': u'divertimento',
 u'divertissement': u'divertimento',
 u'divise': u'divided',
 u'divisi': u'divided',
 u'diviso': u'divided',
 u'divisorias': u'barline',
 u'di\xe8se': u'sharp',
 u'djamb\xe8': u'ymbe',
 u'djamb\xe9': u'ymbe',
 u'djembe': u'ymbe',
 u'djemb\xe8': u'ymbe',
 u'djemb\xe9': u'ymbe',
 u'djimbe': u'ymbe',
 u'do': u'c',
 u'do bemol': u'c flat',
 u'do bemolle': u'c flat',
 u'do b\xe9mol': u'c flat',
 u'do diesis': u'c sharp',
 u'do di\xe8se': u'c sharp',
 u'do doble bemol': u'c double flat',
 u'do doble sostenido': u'c double sharp',
 u'do doppio bemolle': u'c double flat',
 u'do doppio diesis': u'c double sharp',
 u'do double b\xe9mol': u'c double flat',
 u'do double di\xe8se': u'c double sharp',
 u'do sostenido': u'c sharp',
 u'doble barra': u'double bar',
 u'doble barra final': u'terminal double bar',
 u'doble bemol': u'double flat',
 u'doble redonda': u'double whole note',
 u'doble sostenido': u'double sharp',
 u'doch': u'yet',
 u'dolce': u'sweetly',
 u'dolore': u'grief',
 u'donnerblech': u'thunder sheet',
 u'donnermaschine': u'thunder machine',
 u'doppelganze': u'double whole note',
 u'doppelganze pause': u'double whole rest',
 u'doppelganzenote': u'double whole note',
 u'doppelkreuz': u'double sharp',
 u'doppelpedalharfe': u'double-action harp',
 u'doppeltaktstrich': u'double bar',
 u'doppia barra': u'double bar',
 u'doppio bemolle': u'double flat',
 u'doppio diesis': u'double sharp',
 u'doppio movimento': u'twice as fast',
 u'dopple-be': u'double flat',
 u'double b\xe9mol': u'double flat',
 u'double di\xe8se': u'double sharp',
 u'double-barre': u'double bar',
 u'double-croche': u'sixteenth note',
 u'double-pause': u'double whole rest',
 u'double-ronde': u'double whole note',
 u'douce': u'sweetly',
 u'dou\xe7aine': u'dulcian',
 u'drehleier': u'wheel fiddle',
 u'dritto': u'recorder',
 u'droite': u'right',
 u'du signe': u'from the sign',
 u'du talon': u'at the frog',
 u'dudelsack': u'bagpipe',
 u'dukhovoi instrument': u'wind instrument',
 u'dukhovoi orkestr': u'band',
 u'dulce': u'recorder',
 u'dulcema': u'dulcimer',
 u'dulciana': u'dulcian',
 u'dulzian': u'dulcian',
 u'dur': u'major',
 u'dyembe': u'ymbe',
 u'd\xe1nza': u'dance',
 u'e': u'and',
 u'e. hn.': u'english horn',
 u'e.gtr.': u'electric guitar',
 u'e.h.': u'english horn',
 u'eb.cl.': u'eb clarinet',
 u'eb.kl.': u'eb clarinet',
 u'ed': u'and',
 u'ein': u'one',
 u'ein wenig': u'a little',
 u'einfach': u'simple',
 u'eis': u'e sharp',
 u'eisenr\xf6hre': u'iron pipe',
 u'eisis': u'e double sharp',
 u'elektrische gitarre': u'electric guitar',
 u'elicon': u'helicon',
 u'empfindung': u'feeling',
 u'emport\xe9': u'impetuous',
 u'en animant': u'becoming more lively',
 u'en c\xe9dant': u'yielding',
 u'en dehors': u'prominent',
 u'en mesure': u'in time',
 u'en pressant': u'hurrying on',
 u'en retenant': u'holding back',
 u'en serrant': u'becoming quicker',
 u'enclume': u'anvil',
 u'encore': u'again',
 u'energico': u'energetic',
 u'eng.hn.': u'english horn',
 u'englischhorn': u'english horn',
 u'ensembles instrumentaux': u'instrumental ensembles',
 u'ensembles vocaux': u'vocal ensembles',
 u'entenquak': u'duck call',
 u'eolifono': u'wind machine',
 u'eoliphone': u'wind machine',
 u'es': u'e flat',
 u'eses': u'e double flat',
 u'espr.': u'expressive',
 u'espressivo': u'expressive',
 u'estinto': u'as soft as possible',
 u'et': u'and',
 u'etwas': u'somewhat',
 u'eufonio': u'euphonium',
 u'euph.': u'euphonium',
 u'euphonium': u'euphonium',
 u'evfonium': u'euphonium',
 u'f': u'loud',
 u'f-schlussel': u'f clef',
 u'fa': u'f',
 u'fa bemol': u'f flat',
 u'fa bemolle': u'f flat',
 u'fa b\xe9mol': u'f flat',
 u'fa diesis': u'f sharp',
 u'fa di\xe8se': u'f sharp',
 u'fa doble bemol': u'f double flat',
 u'fa doble sostenido': u'f double sharp',
 u'fa doppio bemolle': u'f double flat',
 u'fa doppio diesis': u'f double sharp',
 u'fa double b\xe9mol': u'f double flat',
 u'fa double di\xe8se': u'f double sharp',
 u'fa sostenido': u'f sharp',
 u'facile': u'easy',
 u'fagot': u'bassoon',
 u'fagott': u'bassoon',
 u'fagotto': u'bassoon',
 u'fahne': u'flag',
 u'fanfare': u'brass band',
 u'felice': u'happy',
 u'fermata': u'hold',
 u'fermate': u'hold',
 u'feroce': u'fierce',
 u'fes': u'f flat',
 u'feses': u'f double flat',
 u'feurig': u'fiery',
 u'ff': u'very loud',
 u'fg.': u'bassoon',
 u'fiati': u'woodwind',
 u'fier': u'proudly',
 u'fieramente': u'proudly',
 u'fiere': u'proudly',
 u'fiero': u'proudly',
 u'fine': u'the end',
 u'fing.cym.': u'finger cymbals',
 u'fingerzimbeln': u'zils',
 u'fiorette': u'ornament',
 u'fioriture': u'ornament',
 u'fis': u'f sharp',
 u'fisarmonica': u'accordion',
 u'fischietto a pallina': u'police whistle',
 u'fisis': u'f double sharp',
 u'fl.': u'flute',
 u'flauta': u'transverse flute',
 u'flauta alto': u'alto flute',
 u'flauta baja': u'alto flute',
 u'flauta bajo': u'bass flute',
 u'flauta de amor': u'tenor flute',
 u'flauta de boehm': u'transverse flute',
 u'flauta de concierto': u'transverse flute',
 u'flauta de pico': u'recorder',
 u'flauta de pico bajo': u'bass recorder',
 u'flauta de pico contralto': u'treble recorder',
 u'flauta de pico sopranino': u'sopranino recorder',
 u'flauta de pico soprano': u'soprano recorder',
 u'flauta de pico tenor': u'tenor recorder',
 u'flauta de \xe9mbolo': u'swanee whistle',
 u'flauta dulce': u'recorder',
 u'flauta dulce bajo': u'bass recorder',
 u'flauta dulce contralto': u'treble recorder',
 u'flauta dulce sopranino': u'sopranino recorder',
 u'flauta dulce soprano': u'soprano recorder',
 u'flauta dulce tenor': u'tenor recorder',
 u'flauta en sol': u'alto flute',
 u'flauta piccolo': u'piccolo',
 u'flauta recta': u'recorder',
 u'flauta recta bajo': u'bass recorder',
 u'flauta recta contralto': u'treble recorder',
 u'flauta recta sopranino': u'sopranino recorder',
 u'flauta recta soprano': u'soprano recorder',
 u'flauta recta tenor': u'tenor recorder',
 u'flauta sopranino': u'sopranino flute',
 u'flauta soprano': u'third flute',
 u'flauta tenor': u'tenor flute',
 u'flauta traversa': u'transverse flute',
 u'flauta travesera': u'transverse flute',
 u'flautas de pan': u'panpipes',
 u'flauto': u'transverse flute',
 u'flauto a becco': u'recorder',
 u'flauto a becco basso': u'bass recorder',
 u'flauto a becco contralto': u'treble recorder',
 u'flauto a becco sopranino': u'sopranino recorder',
 u'flauto a becco soprano': u'soprano recorder',
 u'flauto a becco tenore': u'tenor recorder',
 u'flauto a culisse': u'swanee whistle',
 u'flauto a cursore': u'swanee whistle',
 u'flauto a tiro': u'swanee whistle',
 u'flauto basso': u'bass flute',
 u'flauto contralto': u'alto flute',
 u"flauto d'amore": u'tenor flute',
 u'flauto di pan': u'panpipes',
 u'flauto diritto': u'recorder',
 u'flauto dolce': u'recorder',
 u'flauto dolce basso': u'bass recorder',
 u'flauto dolce contralto': u'treble recorder',
 u'flauto dolce sopranino': u'sopranino recorder',
 u'flauto dolce soprano': u'soprano recorder',
 u'flauto dolce tenore': u'tenor recorder',
 u'flauto dritto': u'recorder',
 u'flauto dritto basso': u'bass recorder',
 u'flauto dritto contralto': u'treble recorder',
 u'flauto dritto sopranino': u'sopranino recorder',
 u'flauto dritto soprano': u'soprano recorder',
 u'flauto dritto tenore': u'tenor recorder',
 u'flauto piccolo': u'piccolo',
 u'flauto sopranino': u'sopranino flute',
 u'flauto soprano': u'third flute',
 u'flauto tenore': u'tenor flute',
 u'flauto traverso': u'transverse flute',
 u'flauto traverso terzetto': u'third flute',
 u'flautone': u'alto flute',
 u'flaut\xedn': u'piccolo',
 u'fleita': u'flute',
 u'fleita pikkolo': u'piccolo',
 u'flessatono': u'flexatone',
 u'flessibile': u'flexible',
 u'flexaton': u'flexatone',
 u'flexatone': u'flexatone',
 u'flg.': u'flugelhorn',
 u'fliessend': u'flowing',
 u'flottant': u'floating',
 u'fl\xf6te': u'transverse flute',
 u"fl\xf6te d'amore": u'tenor flute',
 u'fl\xfbte': u'transverse flute',
 u'fl\xfbte alto': u'treble recorder',
 u'fl\xfbte basse': u'bass flute',
 u"fl\xfbte d'amour": u'tenor flute',
 u'fl\xfbte de pan': u'panpipes',
 u'fl\xfbte douce': u'recorder',
 u'fl\xfbte douce alto': u'treble recorder',
 u'fl\xfbte douce basse': u'bass recorder',
 u'fl\xfbte douce sopranino': u'sopranino recorder',
 u'fl\xfbte douce soprano': u'soprano recorder',
 u'fl\xfbte douce t\xc8nor': u'tenor recorder',
 u'fl\xfbte droite': u'recorder',
 u'fl\xfbte droite alto': u'treble recorder',
 u'fl\xfbte droite basse': u'bass recorder',
 u'fl\xfbte droite sopranino': u'sopranino recorder',
 u'fl\xfbte droite soprano': u'soprano recorder',
 u'fl\xfbte droite t\xc8nor': u'tenor recorder',
 u'fl\xfbte en sol': u'alto flute',
 u'fl\xfbte en ut': u'bass flute',
 u'fl\xfbte piccolo': u'piccolo',
 u'fl\xfbte sopranino': u'sopranino flute',
 u'fl\xfbte tenor': u'tenor flute',
 u'fl\xfbte tierce': u'third flute',
 u'fl\xfbte traversi\xe8re': u'transverse flute',
 u'fl\xfbte \xe0 bec': u'recorder',
 u'fl\xfbte \xe0 bec alto': u'treble recorder',
 u'fl\xfbte \xe0 bec basse': u'bass recorder',
 u'fl\xfbte \xe0 bec sopranino': u'sopranino recorder',
 u'fl\xfbte \xe0 bec soprano': u'soprano recorder',
 u'fl\xfbte \xe0 bec t\xc8nor': u'tenor recorder',
 u'fl\xfbte \xe0 la tierce': u'third flute',
 u'fl\xfbte \xe0 tierce': u'third flute',
 u'fl\u02date lotine': u'swanee whistle',
 u'fl\u02date \u2021 coulisse': u'swanee whistle',
 u'forte': u'loud',
 u"fortep'iano": u'piano',
 u'fortepiano': u'loud then immediately soft',
 u'fortissimo': u'very loud',
 u'forza': u'force',
 u'fouet': u'whip',
 u'fp': u'loud then immediately soft',
 u'frantsuzskii baraban': u'snare drum',
 u'frauenchor': u"women's voices",
 u'frauenstimme': u"women's voices",
 u'frei': u'free',
 u'fretta': u'haste',
 u'frisch': u'vigorous',
 u'frosch': u'nut',
 u'frusta': u'whip',
 u'fr\xf6hlich': u'joyful',
 u'fuoco': u'fire',
 u'furioso': u'furious',
 u'fusa': u'thirty-second note',
 u'fussbecken': u'sock cymbal',
 u'f\xe4hnchen': u'flag',
 u'g': u'g',
 u'g-schlussel': u'treble clef',
 u'g.c.': u'bass drum',
 u'g.p.': u'grand pause',
 u'gabelbecken': u'metal castanets',
 u'gaita': u'bagpipe',
 u'gamba': u'viola da gamba',
 u'gambe': u'viola da gamba',
 u'ganze pause': u'whole rest',
 u'ganzenote': u'whole note',
 u'garrapatea': u'semihemidemisemiquaver',
 u'gauche': u'left',
 u'gebunden': u'joined',
 u'gehend': u'at a steady speed',
 u'geige': u'violin',
 u'gencerros': u'cowbells',
 u'general-bas': u'thorough-bass',
 u'generalbass': u'thorough-bass',
 u'generalpause': u'everyone is silent',
 u'ges': u'g flat',
 u'gesangvoll': u'in a singing style',
 u'geses': u'g double flat',
 u'geteilt': u'divided',
 u'getheilt': u'divided',
 u'ghironda': u'wheel fiddle',
 u'gigelira': u'xylophone',
 u'giocoso': u'humerous',
 u'giojoso': u'merry',
 u'gis': u'g sharp',
 u'gisis': u'g double sharp',
 u'gitara': u'guitar',
 u'gitarre': u'guitar',
 u'giusto': u'proper',
 u'glas-windglocken': u'glass wind chimes',
 u'glasharmonika': u'musical glasses',
 u'glassarmonica': u'musical glasses',
 u'glck.': u'glockenspiel',
 u'gliss': u'glissando',
 u'glissando': u'glissando',
 u'glissement': u'glissando',
 u'gliuccelli': u'bird whistle',
 u'glock.': u'glockenspiel',
 u'glocken': u'tubular bells',
 u'glockenspiel': u'orchestra bells',
 u'glsp.': u'glockenspiel',
 u'gl\xe4serspiel': u'musical glasses',
 u'gng': u'gong',
 u'goboi': u'oboe',
 u'golos': u'voice',
 u'gong': u'gong',
 u'gong de viento': u'wind gong',
 u'gong di vento': u'wind gong',
 u'gong \xe0 vent': u'wind gong',
 u'gongu\xe9': u'agog\xf4',
 u'gorn': u'various languages',
 u'gr.cassa.': u'bass drum',
 u'gracidio di anitra': u'duck call',
 u'gracieux': u'graceful',
 u'gran caja': u'turkish drum',
 u'gran cassa': u'turkish drum',
 u'grancassa': u'bass drum',
 u'grande fl\xfbte': u'transverse flute',
 u'grandioso': u'grandly',
 u'grave': u'low voice',
 u'gravic\xe9mbalo': u'harpsichord',
 u'grazioso': u'graceful',
 u'grelots': u'sleigh bells',
 u'griffbrett': u'fingerboard',
 u'grosse caisse': u'turkish drum',
 u'grosse pause': u'grand pause',
 u'grosse trommel': u'turkish drum',
 u'gtr.': u'guitar',
 u'guimbarda': u'trump',
 u'guimbarde': u'trump',
 u'guiro': u'guiro',
 u'guitare': u'guitar',
 u'guitare hawaiienne': u'lap steel guitar',
 u'guitare hawa\xd4enne': u'lap steel guitar',
 u'guitare rythmique': u'rhythm guitar',
 u'guitarra': u'guitar',
 u'guitarra el\xe9ctrica': u'electric guitar',
 u'guitarra hawaiana': u'lap steel guitar',
 u'guitarra r\xedtmica': u'rhythm guitar',
 u'guitarre \xe9lectrique': u'electric guitar',
 u'guyada': u'jawbone',
 u'g\xfciro': u'guiro',
 u'h': u'b',
 u'h-hat becken': u'sock cymbal',
 u'hackbrett': u'dulcimer',
 u'halbe': u'minim',
 u'halbe pause': u'minim rest',
 u'halbenote': u'minim',
 u'hals': u'stem',
 u'hand': u'hand',
 u'handglocken': u'handbells',
 u'handharmonika': u'accordion',
 u'harfe': u'harp',
 u'harmonica': u'mouth organ',
 u'harmonica de bois': u'xylophone',
 u'harmonica de verre': u'musical glasses',
 u'harmonie de concert': u'band',
 u'harmonio': u'harmonium',
 u'harmonium': u'harmonium',
 u'harp': u'harp',
 u'harpe': u'harp',
 u'harpe \u2021 double mouvement': u'double-action harp',
 u'hausse': u'nut',
 u'haut': u'high voice',
 u'hautbois': u'oboe',
 u"hautbois d'amore": u"oboe d'amore",
 u"hautbois d'amour": u"oboe d'amore",
 u'haute-contre': u'counter tenor',
 u'hawaii-gitarre': u'lap steel guitar',
 u'hb.': u'oboe',
 u'heckelfon': u'heckelphone',
 u'heckelfono': u'heckelphone',
 u'heckelf\xf3n': u'heckelphone',
 u'heckelphon': u'heckelphone',
 u'heckelphone': u'heckelphone',
 u'heitere oper': u'comic opera',
 u'helicon': u'helicon',
 u'helic\xf3n': u'helicon',
 u'helikon': u'helicon',
 u'helikontuba': u'helicon',
 u'herdenglocken': u'cowbells',
 u'hesses': u'b double flat',
 u'hi hat': u'sock cymbal',
 u'hi-hat': u'sock cymbal',
 u'hirtenfl\xf6te': u'panpipes',
 u'his': u'b sharp',
 u'hisis': u'b double sharp',
 u'hn.': u'horn',
 u'hoboe': u'oboe',
 u'hohe': u'high voice',
 u'hoja sonora': u'singing saw',
 u'holz-windglocken': u'wooden wind chimes',
 u'holzblasinstrument': u'woodwind instrument',
 u'holzblasinstrumente': u'woodwind instruments',
 u'holzblock': u'woodblock',
 u'holzblocktrommel': u'wood block',
 u'holzbl\xe4ser': u'woodwind',
 u'holzklapper': u'whip',
 u'holzstab': u'claves',
 u'horn': u'various languages',
 u'hp.': u'harp',
 u'hpd.': u'harpsichord',
 u'hpe.': u'harp',
 u'hrp.': u'harp',
 u'huiti\xe8me de soupir': u'thirty-second rest',
 u'hundert und achtundzwanzigstelpause': u'semihemidemisemiquaver rest',
 u'hundertundachtundzwanzigstel': u'semihemidemisemiquaver',
 u'hundertundachtundzwanzigstelnote': u'semihemidemisemiquaver',
 u'h\xc8licon': u'helicon',
 u'h\xe4ngendes becken': u'suspended cymbal',
 u'immer': u'always',
 u'impetuoso': u'impetuous',
 u'in der oktave': u'at the octave',
 u'in relievo': u'prominent',
 u'incalzando': u'getting quicker',
 u'incudine': u'anvil',
 u'innig': u'sincere',
 u'inquieto': u'restless',
 u'instrument \xe0 clavier': u'keyboard instrument',
 u'instrument \xe0 cordes': u'string instrument',
 u'instrument \xe0 vent': u'woodwind instrument',
 u'instrument \xe0 vent de cuivres': u'brass instrument',
 u'instrument \xe0 vent en bois': u'woodwind instrument',
 u'instrumento de cuerda': u'string instrument',
 u'instrumento de madera': u'woodwind instrument',
 u'instrumento de percusi\xf3n': u'percussion instruments',
 u'instrumento de tecla': u'keyboard instrument',
 u'instrumento de viento': u'wind instrument',
 u'instrumentos de cuerda': u'string instruments',
 u'instrumentos de madera': u'woodwind instruments',
 u'instrumentos de metal': u'brass instrument',
 u'instrumentos de percusi\xf3n': u'percussion instruments',
 u'instrumentos de viento': u'wind instruments',
 u'instrumentos de viento-metal': u'brass instruments',
 u'instrumentos musicales': u'musical instruments',
 u'instrumentos punteados': u'plucked instruments',
 u'instruments de musique': u'musical instruments',
 u'instruments \xe0 cordes': u'string instruments',
 u'instruments \xe0 cordes pinc\xe9es': u'plucked instruments',
 u'instruments \xe0 percussion': u'percussion instruments',
 u'instruments \xe0 vent': u'wind instruments',
 u'instruments \xe0 vent de cuivres': u'brass instruments',
 u'instruments \xe0 vent en bois': u'woodwind instruments',
 u'intervall': u'interval',
 u'intervalle': u'interval',
 u'intervallo': u'interval',
 u'intervalo': u'interval',
 u'jagdhorn': u'hunting horn',
 u'jembe': u'ymbe',
 u'jenbe': u'ymbe',
 u'jeu de timbres': u'orchestra bells',
 u'joyeux': u'joyful',
 u'juego': u'glockenspiel',
 u'juego de timbres': u'orchestra bells',
 u'k. dr.': u'timpani',
 u'k.dr.': u'kettle drums',
 u'kadenz': u'cadence',
 u'kamernyi orkestr': u'chamber orchestra',
 u'kammerorchester': u'chamber orchestra',
 u'kas.': u'castanets',
 u'kastagnetten': u'castenets',
 u'kavatine': u'cavatina',
 u'kb.': u'double bass',
 u'kbd.': u'keyboard',
 u'kesselpauke': u'timpani',
 u'kesseltrommel': u'timpani',
 u'kettenrassel': u'chain',
 u'khor': u'chorus',
 u'kielfl\xfcgel': u'harpsichord',
 u'kinderchor': u"children's voices",
 u'kl.': u'clarinet',
 u'klammer': u'brace',
 u'klang': u'sound',
 u'klarinette': u'clarinet',
 u'klarnet': u'clarinet',
 u'klavesin': u'harpsichord',
 u'klavichord': u'clavichord',
 u'klavier': u'pianoforte',
 u'klavikord': u'clavichord',
 u'klavishnyi instrument': u'keyboard instrument',
 u'kleine fl\xf6te': u'piccolo',
 u'kleine klarinette': u'soprano clarinet',
 u'kleine trommel': u'snare drum',
 u'klingsteine': u'musical stones',
 u'knarre': u'rattle',
 u'kolbenfl\xf6te': u'swanee whistle',
 u"kolokol'chiki": u'glockenspiel',
 u'komische oper': u'comic opera',
 u'kontrabas': u'string bass',
 u'kontrabass': u'string bass',
 u'kontrabassklarinette': u'double bass clarinet',
 u'kontrabassposaune': u'double bass trombone',
 u'kontrabasssaxophon': u'contrabass saxophone',
 u'kontrafagott': u'contrabassoon',
 u"kontral'to": u'contralto',
 u'kontratenor': u'counter tenor',
 u'konzertant': u'concertante',
 u'konzertierend': u'concertante',
 u'kor.': u'cornet',
 u'kornet': u'cornet',
 u'kornett': u'cornet',
 u'kreuz': u'sharp',
 u'krummhorn': u'crumhorn',
 u'ksilofon': u'xylophone',
 u'kuba-pauken': u'timbales',
 u'kuhglocken': u'cowbells',
 u'kurzer vorschlag': u'short appoggiatura',
 u"l'istesso": u'the same',
 u'l.h.': u'left hand',
 u'la': u'a',
 u'la bemol': u'a flat',
 u'la bemolle': u'a flat',
 u'la b\xe9mol': u'a flat',
 u'la diesis': u'a sharp',
 u'la di\xe8se': u'a sharp',
 u'la doble bemol': u'a double flat',
 u'la doble sostenido': u'a double sharp',
 u'la doppio bemolle': u'a double flat',
 u'la doppio diesis': u'a double sharp',
 u'la double b\xe9mol': u'a double flat',
 u'la double di\xe8se': u'a double sharp',
 u'la sostenido': u'a sharp',
 u'lame musicale': u'musical saw',
 u'lamina metalica': u'thunder sheet',
 u'langsam': u'slow',
 u'largamente': u'broadly',
 u'large': u'broadly',
 u'largo': u'stately',
 u'lastra del tuono': u'thunder sheet',
 u'laute': u'lute',
 u'la\xfad': u'lute',
 u'lebhaft': u'lively',
 u'legato': u'smoothly',
 u'legatura': u'tie',
 u'leggiero': u'nimble',
 u'legni': u'woodwind instruments',
 u'legno': u'woodwind instrument',
 u'legno frullante': u'whizzer',
 u'leicht': u'nimble',
 u'leidenschaft': u'passion',
 u'leier': u'wheel fiddle',
 u'leinentrommel': u'snare drum',
 u'leise': u'soft',
 u'lent': u'slow',
 u'lento': u'slow',
 u'liaison': u'tie',
 u'liberamente': u'freely',
 u'librement': u'freely',
 u'liebesgeige': u"viola d'amore",
 u'liebesoboe': u"oboe d'amore",
 u'lieblich': u'lovely',
 u'linke': u'left',
 u'linke hand': u'left hand',
 u'liro': u'orchestra bells',
 u'litavra': u'timpani',
 u'lithophon': u'musical stones',
 u'litofono': u'musical stones',
 u'litophon': u'lithophone',
 u'litophone': u'lithophone',
 u'litophono': u'lithophone',
 u'lit\xf3fono': u'musical stones',
 u'liutnia': u'lute',
 u'liuto': u'lute',
 u'loco': u'at the normal pitch',
 u'lointain': u'distant',
 u'lotusfl\u02c6te': u'swanee whistle',
 u'lourd': u'heavy',
 u'luftpause': u'breath mark',
 u'luftpausen': u'breath mark',
 u'lugubre': u'mournful',
 u'lunga': u'long',
 u'lusigando': u'coaxing',
 u'lustig': u'cheerful',
 u'luth': u'lute',
 u'lyra': u'orchestra bells',
 u'l\xe1tigo': u'whip',
 u'l\xe9g\xe8rement': u'light',
 u'l\xf6wengebr\xfcll': u"lion's roar",
 u'm.d.': u'right hand',
 u'm.g.': u'left hand',
 u'm.s.': u'left hand',
 u'ma': u'but',
 u'macchina del vento': u'wind machine',
 u'macchina per il tuono': u'thunder machine',
 u'machina a venti': u'wind machine',
 u'machine pour le tonnerre': u'thunder machine',
 u'machine \xe0 tonnerre': u'thunder sheet',
 u'machine \xe0 vent': u'wind machine',
 u'maestoso': u'majestic',
 u'maggiore': u'major',
 u'magnitofonnaia lenta': u'tape',
 u'main': u'hand',
 u'main droite': u'right hand',
 u'main gauche': u'left hand',
 u'mais': u'but',
 u'majeur': u'major',
 u'malaia fleita': u'piccolo',
 u'mancando': u'fading away',
 u'mand.': u'mandolin',
 u'mandolina': u'mandolin',
 u'mandoline': u'mandolin',
 u'mandolino': u'mandolin',
 u'mano': u'hand',
 u'mano destra': u'right hand',
 u'mano destro': u'right hand',
 u'mano sinistra': u'left hand',
 u'mano sinistro': u'left hand',
 u'mar.': u'marimba',
 u'maracas': u'maracas',
 u'marc.': u'emphatic',
 u'marcato': u'emphatic',
 u'marimba': u'marimba',
 u'marimbaphon': u'marimba',
 u'marschtrommel': u'snare drum',
 u'marziale': u'in a military style',
 u'mascella': u'jawbone',
 u"mascella d'asino": u'quijada',
 u'matraca': u'rattle',
 u'maultrommel': u'trump',
 u'mayor': u'major',
 u'medio': u'medium voice',
 u'mednyi dukhovoi instrument': u'brass instrument',
 u'meno': u'less',
 u'menor': u'minor',
 u'mesure': u'measure',
 u'metales': u'brass instrument',
 u'metall-windglocken': u'metal wind chimes',
 u'metallofono': u'orchestra bells',
 u'metso-soprano': u'mezzo soprano',
 u'metstsosoprano': u'mezzo soprano',
 u'mez.': u'mezzo-soprano',
 u'mezz.': u'mezzo-soprano',
 u'mezzaluna crescent': u'turkish jingle',
 u'mezzo-soprano': u'mezzo soprano',
 u'mezzoforte': u'moderately loud',
 u'mezzopiano': u'moderately soft',
 u'mezzosopran': u'mezzo soprano',
 u'mezzosoprano': u'mezzo soprano',
 u'mf': u'moderately loud',
 u'mi': u'e',
 u'mi bemol': u'e flat',
 u'mi bemolle': u'e flat',
 u'mi b\xe9mol': u'e flat',
 u'mi diesis': u'e sharp',
 u'mi di\xe8': u'e sharp',
 u'mi doble bemol': u'e double flat',
 u'mi doble sostenido': u'e double sharp',
 u'mi doppio bemolle': u'e double flat',
 u'mi doppio diesis': u'e double sharp',
 u'mi double b\xe9mol': u'e double flat',
 u'mi double di\xe8se': u'e double sharp',
 u'mi sostenido': u'e sharp',
 u'milit\xe4rtrommel': u'military snare drum',
 u'mineur': u'minor',
 u'minima': u'minim',
 u'minore': u'minor',
 u'misterioso': u'mysterious',
 u'misura': u'measure',
 u'mit': u'with',
 u'mit der stimme': u'with the voice',
 u'mit holz': u'with the wood',
 u'mit schwungvoll': u'spirited',
 u'mittlere': u'medium voice',
 u'moderado': u'moderately',
 u'moderato': u'moderately',
 u'mod\xe9r\xe9': u'moderately',
 u'moins': u'less',
 u'moll': u'minor',
 u'molto': u'very',
 u'moto': u'movement',
 u'moyen': u'medium voice',
 u'mp': u'moderately soft',
 u'mundharmonika': u'mouth organ',
 u'munter': u'lively',
 u'muschel-windglocken': u'shell wind chimes',
 u'musikinstrumente': u'musical instruments',
 u'muzhskoi khor': u"men's voices",
 u'm\xe1quina de viento': u'wind machine',
 u'm\xe1quina del trueno': u'thunder machine',
 u'm\xe4nnerchor': u"men's voices",
 u'm\xe4nnerstimme': u"men's voices",
 u'm\xe4ssig': u'moderately',
 u'm\xe9dium': u'medium voice',
 u'nacchere': u'castanets',
 u'nach und nach': u'gradually',
 u'nahe am korpus anzupfen': u'at (near) the sounding board',
 u'nar.': u'narrator',
 u'nastro': u'tape',
 u'naturtrompete': u'natural trumpet',
 u'negra': u'quarter note',
 u'nera': u'quarter note',
 u'nicht': u'not',
 u'nicht zu viel': u'not too much',
 u'niederstrich': u'down-bow',
 u'niente': u'nothing',
 u'nietenbecken': u'sizzle cymbal',
 u'nizkaia': u'low voice',
 u'nobilmente': u'nobly',
 u'noch': u'again',
 u'noire': u'quarter note',
 u'non': u'not',
 u'non troppo': u'not too much',
 u'nota': u'note',
 u'nota con puntillo': u'dotted note',
 u'nota puntata': u'dotted note',
 u'note': u'note',
 u'note point\xe9e': u'dotted note',
 u'notenhals': u'stem',
 u'notenkopf': u'notehead',
 u'nuovo': u'new',
 u'ob.': u'oboe',
 u"ob.d'a.": u"oboe d'amore",
 u'obbligato': u'obligatory',
 u'oboe': u'oboe',
 u"oboe d'amore": u"oboe d'amore",
 u'oboe de amor': u"oboe d'amore",
 u'ocarina': u'ocarina',
 u'octave': u'octave',
 u'octavfl\xf6te': u'piccolo',
 u'octavillo': u'piccolo',
 u'octuple croche': u'sixty-fourth note',
 u'odnorodnye golosa': u'equal voices',
 u'oficleido': u'oficleide',
 u'ohne': u'without',
 u'ohne d\xe4mpfer': u'without mute',
 u'ohne instrumente': u'unaccompanied',
 u'okarina': u'ocarina',
 u'oktave': u'octave',
 u'omel\xea': u'rommelpot',
 u'ondes martenot': u'ondes martenot',
 u'on\xe7a': u'rommelpot',
 u'opera comica': u'comic opera',
 u'ophicleide': u'oficleide',
 u'ophicl\xc8ide': u'oficleide',
 u'ophikleide': u'oficleide',
 u'op\xe9ra bouffe': u'comic opera',
 u'op\xe9ra comique': u'comic opera',
 u'orchester': u'orchestra',
 u'orchestra': u'orchestra',
 u"orchestra d'archi": u'string orchestra',
 u'orchestra da camera': u'chamber orchestra',
 u'orchestra di strumenti a fiato': u'windband',
 u'orchestre': u'orchestra',
 u"orchestre d'instruments \xe0 vent": u'windband',
 u'orchestre de chambre': u'chamber orchestra',
 u'orchestre \xe0 cordes': u'string orchestra',
 u'ordinateur': u'computer',
 u'org.': u'organ',
 u'organ': u'organ',
 u'organo': u'organ',
 u'orgel': u'organ',
 u'orgue': u'organ',
 u'orkestr': u'orchestra',
 u'orquesta': u'orchestra',
 u'orquesta de cuerdas': u'string orchestra',
 u'orquesta de c\xe1mara': u'chamber orchestra',
 u'orquesta de vientos': u'windband',
 u'ossia': u'or',
 u'ostinato': u'persistent',
 u'ottava': u'octave',
 u'ottavino': u'piccolo',
 u'ottone': u'brass instruments',
 u'oval': u'notehead',
 u'p': u'soft',
 u'pabell\xf3n chino': u'turkish jingle',
 u'pabell\xf3n turco': u'turkish jingle',
 u'padiglione cinese': u'turkish jingle',
 u'pailas criollas': u'timbales',
 u'pandereta': u'tambourine',
 u'pandereta sin sonajas': u'tambourine without jingles',
 u'panfl\xf6te': u'panpipes',
 u'papagenopfeife': u'panpipes',
 u'papel de lija': u'sandpaper blocks',
 u'papier de verre': u'sandpaper blocks',
 u'parlando': u'speaking',
 u'pas trop': u'not too much',
 u'patetico': u'with deep feeling',
 u'pauke': u'timpani',
 u'pauken': u'timpani',
 u'pausa': u'pause',
 u'pausa di biscroma': u'thirty-second rest',
 u'pausa di breve': u'double whole rest',
 u'pausa di centoventottavo': u'semihemidemisemiquaver rest',
 u'pausa di croma': u'quaver rest',
 u'pausa di minima': u'minim rest',
 u'pausa di semibiscroma': u'sixty-fourth rest',
 u'pausa di semibreve': u'whole rest',
 u'pausa di semicroma': u'sixteenth rest',
 u'pausa di semiminima': u'quarter rest',
 u'pausas de blanca': u'minim rest',
 u'pausas de corchea': u'quaver rest',
 u'pausas de cuadrada': u'double whole rest',
 u'pausas de fusa': u'thirty-second rest',
 u'pausas de garrapatea': u'semihemidemisemiquaver rest',
 u'pausas de negra': u'quarter rest',
 u'pausas de redonda': u'whole rest',
 u'pausas de semicorchea': u'sixteenth rest',
 u'pausas de semifusa': u'sixty-fourth rest',
 u'pause': u'railroad tracks',
 u'pauses': u'railroad tracks',
 u'pavillon chinois': u'turkish jingle',
 u'peitsche': u'whip',
 u'per': u'to',
 u'perc.': u'percussion',
 u'percusi\xf3n': u'percussion instruments',
 u'percussione': u'percussion instruments',
 u'perkussionsinstrument': u'percussion instruments',
 u'pesante': u'heavy',
 u'petit tambour': u'piccolo snare drum',
 u'petite clarinette': u'soprano clarinet',
 u'petite fl\xfbte': u'piccolo',
 u'peu': u'little',
 u'pf.': u'piano',
 u'pfte.': u'piano',
 u'phonolithe': u'musical stones',
 u'piacevole': u'pleasant',
 u'piangevole': u'plaintive',
 u'pianissimo': u'very soft',
 u'piano': u'pianoforte',
 u'pianoforte': u'pianoforte',
 u'piatti': u'cymbals',
 u'piatti a pedale': u'sock cymbal',
 u'piatto chiodati': u'sizzle cymbal',
 u'piatto cinese': u'chinese cymbal',
 u'piatto sospeso': u'suspended cymbal',
 u'pic.': u'piccolo',
 u'picc.': u'piccolo',
 u'piccolo': u'piccolo',
 u'piccolo cassa': u'side drum',
 u'pickelfl\xf6te': u'piccolo',
 u'pietra sonora': u'musical stones',
 u'pikkolo': u'piccolo',
 u'pikkolofl\xf6te': u'piccolo',
 u'pikkolotrommel': u'piccolo snare drum',
 u'pinc\xe9 \xe9touff\xe9': u'short appoggiatura',
 u'pistolenschuss': u'pistol shot',
 u'pistolettata': u'pistol shot',
 u'piston': u'cornet',
 u'pistoni': u'valve',
 u'pistons': u'valve',
 u'pizzicato': u'plucked',
 u'pi\xf9': u'more',
 u'pk.': u'timpani',
 u'placido': u'peaceful',
 u'planchette ronflante': u'whizzer',
 u'platillo': u'plate bell',
 u'platillo china': u'chinese cymbal',
 u'platillo sizzle': u'sizzle cymbal',
 u'platillo suspendido': u'suspended cymbal',
 u'platillos': u'cymbals',
 u'platillos antiguos': u'crotales',
 u'platillos crash': u'crash cymbals',
 u'platos': u'cymbals',
 u'plattenglocke': u'plate bell',
 u'plica': u'stem',
 u'plus': u'more',
 u'pno.': u'piano',
 u'poch.': u'rather little',
 u'pochettino': u'rather little',
 u'poco': u'a little',
 u'point': u'dot',
 u"point d'orgue": u'hold',
 u'ponticello': u'bridge',
 u'posaune': u'trombone',
 u'possible': u'possible',
 u'posthorn': u'posthorn',
 u'pouss\xe9': u'up-bow',
 u'pp': u'very soft',
 u'precipitando': u'rushing',
 u'prep.pf.': u'prepared piano',
 u'presso la tavola': u'at (near) the sounding board',
 u'presto': u'very fast',
 u'prima': u'first',
 u'pr\xe8s de la table': u'at (near) the sounding board',
 u'pr\xe8s du chevalet': u'at the bridge',
 u'ptti': u'cymbals',
 u'puente': u'bridge',
 u'puita': u'rommelpot',
 u'punkt': u'dot',
 u'punktierte note': u'dotted note',
 u'puntillo': u'dot',
 u'punto': u'dot',
 u'puttiputti': u'rommelpot',
 u'quadrat': u'natural',
 u'quadruple-croche': u'thirty-second note',
 u'quart de soupir': u'sixteenth rest',
 u'quasi': u'resembling',
 u'querfl\xf6te': u'transverse flute',
 u'queue': u'stem',
 u'quijada': u'quijada',
 u'quyada': u'jawbone',
 u'r.h.': u'right hand',
 u'radleier': u'wheel fiddle',
 u'raganella': u'rattle',
 u'rahmentrommel': u'frame drum',
 u'ralentir': u'slow down',
 u'rasch': u'quick',
 u'ratsche': u'rattle',
 u're': u'd',
 u're bemol': u'd flat',
 u're bemolle': u'd flat',
 u're diesis': u'd sharp',
 u're doble bemol': u'd double flat',
 u're doble sostenido': u'd double sharp',
 u're doppio bemolle': u'd double flat',
 u're doppio diesis': u'd double sharp',
 u're sostenido': u'd sharp',
 u'rec.': u'recorder',
 u'rechte': u'right',
 u'rechte hand': u'right hand',
 u'recitativo': u'recitative',
 u'redoblante': u'tenor drum',
 u'redonda': u'whole note',
 u'reibtrommel': u'rommelpot',
 u'repetici\xf4n': u'repeat',
 u'replica': u'repeat',
 u'reprise': u'repeat',
 u'retenu': u'held back',
 u'rezitativ': u'recitative',
 u'rf': u'reinforcing',
 u'rfz': u'reinforcing',
 u'richiamo per uccelli': u'bird whistle',
 u'rigoroso': u'strict',
 u'rinforzando': u'reinforcing',
 u'risoluto': u'bold',
 u'rit.': u'held back',
 u'ritardando': u'gradually getting slower',
 u'ritenuto': u'held back',
 u'ritmico': u'rhythmically',
 u'rog': u'various languages',
 u'rohrenglocke': u'tubular bells',
 u'rollschellen': u'sleigh bells',
 u'rommelpot': u'rommelpot',
 u'roncador': u'rommelpot',
 u'ronde': u'whole note',
 u'roto-tom': u'rototom',
 u'roto-tom-tom': u'rototom',
 u'rototom': u'rototom',
 u'rozhok': u'various languages',
 u'rubato': u'with some freedom of time',
 u'ruggito del leone': u"lion's roar",
 u'rugido del le\xf3n': u"lion's roar",
 u'rugissement de lion': u"lion's roar",
 u'ruhig': u'peaceful',
 u'rullante': u'snare drum',
 u'r\xe9': u'd',
 u'r\xe9 b\xe9mol': u'd flat',
 u'r\xe9 di\xe8se': u'd sharp',
 u'r\xe9 double b\xe9mol': u'd double flat',
 u'r\xe9 double di\xe8se': u'd double sharp',
 u'r\xe9citative': u'recitative',
 u'r\xfchrtrommel': u'tenor drum',
 u'r\u02c6hrenglocke': u'tubular bells',
 u's': u'solo voices',
 u's.': u'soprano',
 u's.d.': u'side drum',
 u'sackpfeife': u'bagpipe',
 u'sagates': u'zils',
 u'sagattes': u'zils',
 u'saite': u'string',
 u'saiteninstrument': u'string instruments',
 u'saksofon': u'saxophone',
 u'salterio': u'dulcimer',
 u'sanbanyi': u'ymbe',
 u'sand.bl.': u'sandpaper blocks',
 u'sandbl\xf6cke': u'sandpaper blocks',
 u'sandpapier': u'sandpaper blocks',
 u'sans': u'without',
 u'sans instruments': u'unaccompanied',
 u'sans sourdine': u'without mute',
 u'sarr.': u'sarrousophone',
 u'sarrusofon': u'sarrusophone',
 u'sarrusofono': u'sarrusophone',
 u'sarrusof\xf3n': u'sarrusophone',
 u'sarrusophone': u'sarrusophone',
 u'sassofono': u'saxophone',
 u'sassofono alto': u'alto saxophone',
 u'sassofono baritono': u'baritone saxophone',
 u'sassofono basso': u'bass saxophone',
 u'sassofono contrabbasso': u'contrabass saxophone',
 u'sassofono contralto': u'alto saxophone',
 u'sassofono sopranino': u'sopranino saxophone',
 u'sassofono soprano': u'soprano saxophone',
 u'sassofono subcontrabbasso': u'subcontrabass saxophone',
 u'sassofono tenore': u'tenor saxophone',
 u'satb': u'chorus',
 u'sautill\xe9': u'springing',
 u'sax': u'saxophone',
 u'sax.': u'saxophone',
 u'sax.a.': u'alto saxophone',
 u'saxofono': u'saxophone',
 u'saxof\xf3n': u'saxophone',
 u'saxof\xf3no': u'saxophone',
 u'saxof\xf3no alto': u'alto saxophone',
 u'saxof\xf3no bajo': u'bass saxophone',
 u'saxof\xf3no bar\xedtono': u'baritone saxophone',
 u'saxof\xf3no contrabajo': u'contrabass saxophone',
 u'saxof\xf3no sopranino': u'sopranino saxophone',
 u'saxof\xf3no soprano': u'soprano saxophone',
 u'saxof\xf3no subcontrabajo': u'subcontrabass saxophone',
 u'saxof\xf3no tenor': u'tenor saxophone',
 u'saxophon': u'saxophone',
 u'saxophon alto': u'alto saxophone',
 u'saxophone': u'saxophone',
 u'saxophone alto': u'alto saxophone',
 u'saxophone baryton': u'baritone saxophone',
 u'saxophone basse': u'bass saxophone',
 u'saxophone contrebasse': u'contrabass saxophone',
 u'saxophone sopranino': u'sopranino saxophone',
 u'saxophone soprano': u'soprano saxophone',
 u'saxophone sous-contrebasse': u'subcontrabass saxophone',
 u'saxophone t\xe9nor': u'tenor saxophone',
 u'scacciapensieri': u'trump',
 u'schellen': u'sleigh bells',
 u'schellenbaum': u'turkish jingle',
 u'schellentrommel': u'tambourine',
 u'scherzando': u'playful',
 u'scherzo': u'joke',
 u'schlag': u'stroke',
 u'schlag gitarre': u'rhythm guitar',
 u'schlag-rhythmus gitarre': u'rhythm guitar',
 u'schlaginstrument': u'percussion instruments',
 u'schlaginstrumente': u'percussion instruments',
 u'schlagrassel': u'quijada',
 u'schlagzeug': u'percussion instruments',
 u'schlangenbass': u'serpent',
 u'schleppen': u'dragging',
 u'schlitztrommel': u'slit drum',
 u'schluss': u'cadence',
 u'schnabelfl\xf6te': u'recorder',
 u'schnarre': u'rattle',
 u'schnarrtrommel': u'snare drum',
 u'schnell': u'fast',
 u'schwach': u'weak',
 u'schwirrholz': u'whizzer',
 u'scie musicale': u'singing saw',
 u'se': u'e sharp',
 u'sec': u'dry',
 u'sechzehntel': u'sixteenth note',
 u'sechzehntelnote': u'sixteenth note',
 u'sechzehntelpause': u'sixteenth rest',
 u'seconda': u'second',
 u'sega ad arco': u'singing saw',
 u'sega cantante': u'singing saw',
 u'sega musicale': u'singing saw',
 u'segue': u'go straight on',
 u'segunda guitarra': u'rhythm guitar',
 u'sehr': u'very',
 u'seizi\xe8me de soupir': u'sixty-fourth rest',
 u'semibiscroma': u'sixty-fourth note',
 u'semibreve': u'whole note',
 u'semicorchea': u'sixteenth note',
 u'semicroma': u'sixteenth note',
 u'semifusa': u'sixty-fourth note',
 u'semiminima': u'quarter note',
 u'semplice': u'simple',
 u'sempre': u'always',
 u'senza': u'without',
 u'senza sordino': u'without mute',
 u'serpent': u'serpent',
 u'serpentone': u'serpent',
 u'serpent\xf3n': u'serpent',
 u'serrer': u'quicken',
 u'seul': u'alone',
 u'sf': u'forced',
 u'sforzando': u'forced',
 u'sfz': u'forced',
 u'shchipkovye instrumenty': u'plucked instruments',
 u'si': u'b',
 u'si bemol': u'b flat',
 u'si bemolle': u'b flat',
 u'si diesis': u'b sharp',
 u'si di\xe9se': u'b sharp',
 u'si doble bemol': u'b double flat',
 u'si doble sostenido': u'b double sharp',
 u'si doppio bemolle': u'b double flat',
 u'si doppio diesis': u'b double sharp',
 u'si double b\xe9mol': u'b double flat',
 u'si double di\xe8se': u'b double sharp',
 u'si sostenido': u'b sharp',
 u'sib\xe9mol': u'b flat',
 u'siciliana': u'siciliano',
 u'siciliano': u'siciliano',
 u'sicilienne': u'siciliano',
 u'sierra musical': u'singing saw',
 u'sifflet': u'police whistle',
 u"sifflet d'oiseau": u'bird whistle',
 u'sifflet \xe0 roulette': u'police whistle',
 u'sifflet \u2021 coulisse': u'swanee whistle',
 u'signalhorn': u'hunting horn',
 u'silbato': u'police whistle',
 u'silbato de aves': u'bird whistle',
 u'silbato de la polic\xeda': u'police whistle',
 u'silbato llamador pato': u'duck call',
 u'silbato pato': u'duck call',
 u'silofono': u'xylophone',
 u'sim.': u'in the same way',
 u'simile': u'in the same way',
 u'singende s\xe4ge': u'singing saw',
 u'sinistra': u'left',
 u'sinistro': u'left',
 u'sintetizzatore': u'synthesizer',
 u'sirena': u'siren',
 u'sirena a fiato': u'mouth siren',
 u'sirena a mano': u'siren',
 u'sirena de boca': u'mouth siren',
 u'sirene': u'siren',
 u'sirenenpfeife': u'mouth siren',
 u'siringa': u'panpipes',
 u'sir\xe8ne': u'siren',
 u'sir\xe8ne \xe0 bouche': u'mouth siren',
 u'skripka': u'violin',
 u'slancio': u'enthusiasm',
 u'slargando': u'getting slower',
 u'smeshannye golosa': u'mixed voices',
 u'smorz.': u'dying away',
 u'smorzando': u'dying away',
 u'sn.dr.': u'snare drum',
 u'soave': u'smooth',
 u'sol': u'g',
 u'sol bemol': u'g flat',
 u'sol bemolle': u'g flat',
 u'sol diesis': u'g sharp',
 u'sol di\xe8se': u'g sharp',
 u'sol doble bemol': u'g double flat',
 u'sol doble sostenido': u'g double sharp',
 u'sol doppio bemolle': u'g double flat',
 u'sol doppio diesis': u'g double sharp',
 u'sol double b\xe9mol': u'g double flat',
 u'sol double di\xe8se': u'g double sharp',
 u'sol sostenido': u'g sharp',
 u'solb\xe9mol': u'g flat',
 u'solenne': u'solemn',
 u'son': u'sound',
 u'sonagli': u'sleigh bells',
 u'sonagliera': u'sleigh bells',
 u'sonnailles de troupeau': u'cow bell',
 u'sono': u'sound',
 u'sonore': u'with rich tone',
 u'sonoro': u'with rich tone',
 u'sons de tiro pistola': u'pistol shot',
 u'sopra': u'above',
 u'sopranblockfl\xf6te': u'soprano recorder',
 u'sopraninoblockfl\xf6te': u'sopranino recorder',
 u'sopraninofl\xf6te': u'sopranino flute',
 u'sopraninosaxophon': u'sopranino saxophone',
 u'sopransaxophon': u'soprano saxophone',
 u'sospirando': u'sighing',
 u'sostenido': u'sharp',
 u'sostenuto': u'sustained',
 u'sotto': u'under',
 u'soupir': u'quarter rest',
 u'sous': u'under',
 u'spiels\xe4ge': u'singing saw',
 u'spiritoso': u'spirited',
 u'sredniaia': u'medium voice',
 u'st.b': u'string bass',
 u'staccato': u'detached',
 u'stahltrommel': u'steel pan',
 u'stanghetta': u'barline',
 u'stark': u'strong',
 u'steg': u'bridge',
 u'steinspiel': u'lithophone',
 u'stempelfl\u02c6te': u'swanee whistle',
 u'stierhorn': u'cow horn',
 u'stimme': u'voice',
 u'stimmen gemischte': u'mixed voices',
 u'stimmen gleiche': u'equal voices',
 u'streicher': u'strings',
 u'streichorchester': u'string orchestra',
 u'strepitoso': u'noisy',
 u'stretto': u'quickening the speed',
 u'stringendo': u'gradually getting faster',
 u'strohfiedel': u'xylophone',
 u'stromenti a percossa': u'percussion instruments',
 u'stromenti da percossa': u'percussion instruments',
 u'strumenti a fiato': u'wind instruments',
 u'strumenti a percussione': u'percussion instruments',
 u'strumenti a pizzico': u'plucked instruments',
 u'strumenti archi': u'string instruments',
 u'strumenti musicali': u'musical instruments',
 u'strumento a corda': u'string instrument',
 u'strumento a fiato': u'wind instrument',
 u'strumento a percussione': u'percussion instruments',
 u'strumento a tastiera': u'keyboard instrument',
 u'strunnyi instrument': u'string instrument',
 u'strunnyi orkestr': u'string orchestra',
 u'style de chapelle': u'unaccompanied',
 u'st\xe4nderbecken': u'sock cymbal',
 u'subito': u'suddenly',
 u'subkontrabassaxophon': u'subcontrabass saxophone',
 u'sul ponticello': u'at the bridge',
 u'sul tasto': u'at the fingerboard',
 u'sulla tastiera': u'at the fingerboard',
 u'sur la touche': u'at the fingerboard',
 u'sur le chevalet': u'at the bridge',
 u'synth.': u'synthesizer',
 u'synth\xe9tiseur': u'synthesizer',
 u'syrinx': u'panpipes',
 u's\xfcss': u'sweet',
 u't': u'solo voices',
 u't.': u'tenor',
 u't.sax.': u'bb tenor saxophone',
 u'tabla': u'tabla',
 u'tabl\xe1': u'tabla',
 u'tabl\xe2': u'tabla',
 u'tacet': u'silent',
 u'taille': u'tenor',
 u'takt': u'measure',
 u'taktstrich': u'barline',
 u'tallone': u'nut',
 u'talon': u'nut',
 u'tal\xf3n': u'nut',
 u'tam-tam': u'tam-tam',
 u'tamb.': u'tambourine',
 u'tambor': u'side drum',
 u'tambor afinable': u'snare drum',
 u'tambor bat\xe1': u'bat\xe1 drum',
 u'tambor de cuerda': u"lion's roar",
 u'tambor de mano': u'tambourine',
 u'tambor de marco': u'frame drum',
 u'tambor mayor': u'tenor drum',
 u'tambor met\xe1lico de trinidad y tobago': u'steel pan',
 u'tambor militar': u'military snare drum',
 u'tambora': u'tambora',
 u'tambores de hendidura': u'slit drum',
 u'tamboril': u'tabret',
 u'tamborone': u'turkish drum',
 u'tambour': u'snare drum',
 u'tambour bata': u'turkish drum',
 u'tambour congo': u'tumbadora',
 u"tambour d'acier": u'steel pan',
 u'tambour de basque': u'tambourine',
 u'tambour de bois': u'slit drum',
 u'tambour de friction': u'rommelpot',
 u'tambour de provence': u'tabret',
 u'tambour militaire': u'military snare drum',
 u'tambour sans cymbales': u'tambourine without jingles',
 u'tambour sur cadre': u'frame drum',
 u'tambour \xe0 corde': u"lion's roar",
 u'tambour \xe0 fente': u'slit drum',
 u'tambourin': u'tabret',
 u'tamburello': u'tambourine',
 u'tamburin': u'tambourine',
 u'tamburin ohne schellen': u'tambourine without jingles',
 u'tamburino': u'tenor drum',
 u'tamburino senza cimbali': u'tambourine without jingles',
 u'tamburo': u'tabret',
 u'tamburo a cornice': u'frame drum',
 u'tamburo a frizione': u'rommelpot',
 u'tamburo acuto': u'piccolo snare drum',
 u'tamburo basco': u'tambourine',
 u'tamburo bata': u'bat\xe1 drum',
 u"tamburo d'acciaio": u'steel pan',
 u'tamburo di legno a fessura': u'slit drum',
 u'tamburo grande': u'turkish drum',
 u'tamburo grosso': u'turkish drum',
 u'tamburo militare': u'snare drum',
 u'tamburo piccolo': u'piccolo snare drum',
 u'tamburo rullante': u'tenor drum',
 u'tamtam': u'gong',
 u'tanto': u'so much',
 u'tanz': u'dance',
 u'tarelki': u'cymbals',
 u'tarol': u'piccolo snare drum',
 u'tarole': u'piccolo snare drum',
 u'tasteninstrument': u'keyboard instrument',
 u'tastiera': u'fingerboard',
 u'tavoletta sibilante': u'whizzer',
 u'tb.': u'tuba',
 u'tbe': u'trumpet',
 u'tbni': u'trombone',
 u'temp.bl.': u'temple blocks',
 u'tempelbl\xf6cke': u'temple blocks',
 u'temple block': u'temple blocks',
 u'temple blocks': u'temple blocks',
 u'temple-blocs': u'temple blocks',
 u'templeblocks': u'temple blocks',
 u'tempo': u'speed',
 u'ten.dr.': u'tenor drum',
 u'teneramente': u'tenderly',
 u'tenor': u'tenor',
 u'tenorblockfl\xf6te': u'tenor recorder',
 u'tenore': u'tenor',
 u'tenorfl\xf6te': u'tenor flute',
 u'tenorsaxophon': u'tenor saxophone',
 u'tenortrommel': u'tenor drum',
 u'tenuto': u'held',
 u'terzfl\xf6te': u'third flute',
 u'terzquerfl\xf6te': u'third flute',
 u'testa': u'notehead',
 u'testina': u'notehead',
 u'tiefe': u'low voice',
 u'timbal': u'timpani',
 u'timbale': u'timpani',
 u'timbales': u'timpani',
 u'timbales cr\xe9oles': u'timbales',
 u'timbales cubaines': u'timbales',
 u'timbales latines': u'timbales',
 u'timbales latinoamericani': u'timbales',
 u'timballi': u'timpani',
 u'timballo': u'timpani',
 u'timbals': u'timpani',
 u'timp.': u'timpani',
 u'timpanetti': u'timbales',
 u'timpani': u'timpani',
 u'timpano': u'timpani',
 u'tiro de pistola': u'pistol shot',
 u'tir\xe9': u'down-bow',
 u'tmbn.': u'tambourine',
 u'tom': u'tom-tom',
 u'tom tom': u'tom-tom',
 u'tom-tom': u'tom-tom',
 u'tom-tom china': u'chinese tom-tom',
 u'tom-tom chinois': u'chinese tom-tom',
 u'tom-tom cinese': u'chinese tom-tom',
 u'tom-tom-spiel': u'rototom',
 u'tomtom': u'tom-tom',
 u'ton': u'sound',
 u'tonbande': u'tape',
 u'tonnerre \xe0 poign\xe9e': u'thunder sheet',
 u'tosto': u'rapid',
 u'touche': u'fingerboard',
 u'toujours': u'always',
 u'tpt.': u'trumpet',
 u'tr.': u'trumpet',
 u'tranquillo': u'calm',
 u'traurig': u'sad',
 u'trb.': u'trombone',
 u'trente et deuxi\xe8me de soupir': u'semihemidemisemiquaver rest',
 u'treshchotka': u'rattle',
 u'trgl.': u'triangle',
 u'tri.': u'triangle',
 u'triangel': u'triangle',
 u'triangle': u'triangle',
 u'triangolo': u'triangle',
 u'trillerpfeife': u'police whistle',
 u'trionfale': u'triumphant',
 u'triste': u'sorrowful',
 u'tri\xe1ngulo': u'triangle',
 u'tromba': u'trumpet',
 u'tromba a pistoni': u'valve trumpet',
 u'tromba a tirarsi': u'slide trumpet',
 u'tromba a tiro': u'slide trumpet',
 u'tromba basso': u'bass trumpet',
 u'tromba naturale': u'natural trumpet',
 u'trombon': u'trombone',
 u'trombone': u'trombone',
 u'trombone a pistoni': u'valve trombone',
 u'trombone a tiro': u'slide trombone',
 u'trombone basse': u'bass trombone',
 u'trombone basso': u'bass trombone',
 u'trombone contrabasse': u'double bass trombone',
 u'trombone contrabbasso': u'double bass trombone',
 u'trombone \xe0 pistons': u'valve trombone',
 u'trombone \u2021 coulisse': u'slide trombone',
 u'trombono basso': u'bass trombone',
 u'tromb\xf3n': u'trombone',
 u'tromb\xf3n bajo': u'bass trombone',
 u'tromb\xf3n contrabajo': u'double bass trombone',
 u'tromb\xf3n de pistones': u'valve trombone',
 u'tromb\xf3n de vara': u'slide trombone',
 u'trommel': u'drum',
 u'trompa': u'various languages',
 u'trompa de basset': u'basset horn',
 u'trompa de los alpes': u'alpine horn',
 u'trompa de pistones': u'valve horn',
 u'trompa de posta': u'posthorn',
 u'trompa de postill\xf3n': u'posthorn',
 u'trompa natural': u'natural horn',
 u"trompe d'auto": u'vehicle horn',
 u'trompe de bearn': u'trump',
 u'trompeta': u'trumpet',
 u'trompeta baja': u'bass trumpet',
 u'trompeta bajo': u'bass trumpet',
 u'trompeta de caza': u'hunting horn',
 u'trompeta de pistones': u'valve trumpet',
 u'trompeta de vara': u'slide trumpet',
 u'trompeta natural': u'natural trumpet',
 u'trompete': u'trumpet',
 u'trompette': u'trumpet',
 u'trompette basse': u'bass trumpet',
 u'trompette naturelle': u'natural trumpet',
 u'trompette \u2021 coulisse': u'slide trumpet',
 u'trompette \u2021 pistons': u'valve trumpet',
 u'troppo': u'too much',
 u'truba': u'trumpet',
 u'tr\xe8s': u'very',
 u'tsilindricheskii baraban': u'tenor drum',
 u'tsimbaly': u'dulcimer',
 u'tuba': u'tuba',
 u'tuba bajo': u'bass tuba',
 u'tuba bassa': u'bass tuba',
 u'tuba basse': u'bass tuba',
 u'tubaphon': u'tubaphone',
 u'tubaphone': u'tubaphone',
 u'tubblaa': u'tabla',
 u'tubi di bamb\xfa': u'bamboo wind chimes',
 u'tubo de hierro': u'iron pipe',
 u'tubo di ferro': u'iron pipe',
 u'tubofono': u'tubaphone',
 u'tub\xb7fon': u'tubaphone',
 u'tumba': u'tumbadora',
 u'tumbadora': u'tumbadora',
 u'tuono a pugno': u'thunder sheet',
 u'turkisch crescent': u'turkish jingle',
 u'tutti': u'everyone',
 u'tuyau de fer': u'iron pipe',
 u'tympani': u'timpani',
 u't\xe9nor': u'tenor',
 u't\xeate de la note': u'notehead',
 u't\xfcrkischer halbmond-stern': u'turkish jingle',
 u't\xfcrkisches h\xe4ngebecken': u'suspended cymbal',
 u'udarnyi instrument': u'percussion instruments',
 u'ukelele': u'ukulele',
 u'ukulele': u'ukulele',
 u'ukul\xe9l\xe9': u'ukulele',
 u'un': u'one',
 u'un peu': u'a little',
 u'und': u'and',
 u'unter': u'under',
 u'ut': u'c',
 u'ut b\xe9mol': u'c flat',
 u'ut di\xe8se': u'c sharp',
 u'v.': u'violin',
 u'v.s.': u'turn the page at once',
 u'va.': u'viola',
 u'vals': u'waltz',
 u'valse': u'waltz',
 u'valtorna': u'natural horn',
 u'valzer': u'waltz',
 u'vc.': u'violoncello',
 u'vcelle.': u'violoncello',
 u'vcl.': u'violoncello',
 u'veloce': u'swift',
 u'ventile': u'valve',
 u'ventilhorn': u'valve horn',
 u'ventilkornett': u'cornet',
 u'ventilposaune': u'valve trombone',
 u'ventiltrompete': u'valve trumpet',
 u'versetzungszeichen': u'accidental',
 u'verzierungen': u'ornament',
 u'vib.': u'vibraphone',
 u'vibra slap': u'vibra slap',
 u'vibrafono': u'vibraphone',
 u'vibraharp': u'vibraphone',
 u'vibraphon': u'vibraphone',
 u'vibraphone': u'vibraphone',
 u'vibraslap': u'vibra slap',
 u'vibr\xe1fon': u'vibraphone',
 u'vibr\xe1fono': u'vibraphone',
 u'viehschellen': u'cowbells',
 u'viel': u'much',
 u'vielle \u2021 roue': u'wheel fiddle',
 u'viertel': u'quarter note',
 u'viertelnote': u'quarter note',
 u'viertelpause': u'quarter rest',
 u'vierundsechzigstel': u'sixty-fourth note',
 u'vierundsechzigstelnote': u'sixty-fourth note',
 u'vierundsechzigstelpause': u'sixty-fourth rest',
 u'vif': u'lively',
 u'vigoroso': u'vigorous',
 u'vio.': u'violin',
 u'viola': u'viola',
 u"viola d'amore": u"viola d'amore",
 u"viola d'amur": u"viola d'amore",
 u'viola da gamba': u'viola da gamba',
 u'viola de gamba': u'viola da gamba',
 u'viola de rueda': u'wheel fiddle',
 u'viole': u'viola',
 u"viole d'amour": u"viola d'amore",
 u'viole de gambe': u'viola da gamba',
 u'violine': u'violin',
 u'violino': u'violin',
 u'violon': u'double bass',
 u'violoncell': u'violoncello',
 u'violoncelle': u'violoncello',
 u'violoncello': u'violoncello',
 u'violoncelo': u'violoncello',
 u"violonchel'": u'violoncello',
 u'violonchelo': u'violoncello',
 u'viol\xedn': u'violin',
 u'vite': u'quick',
 u'vivement': u'lively',
 u'vivo': u'lively',
 u'vl.': u'violin',
 u'vla.': u'viola',
 u'vlc.': u'violoncello',
 u'vle': u'violone',
 u'vlon.': u'violin',
 u'vn.': u'violin',
 u'vni.': u'violin',
 u'voc.': u'voice',
 u'voca': u'voice',
 u'voce': u'voice',
 u'voces iguales': u'equal voices',
 u'voces mixtas': u'mixed voices',
 u'voci bianche': u"children's voices",
 u'voci miste': u'mixed voices',
 u'voci pari': u'equal voices',
 u'vogelpfeife': u'bird whistle',
 u'voix': u'voice',
 u'voix mixtes': u'mixed voices',
 u'voix \xe9gales': u'equal voices',
 u'volante': u'flying',
 u'voll': u'full',
 u'volta': u'time',
 u'volti subito': u'turn the page at once',
 u'vom zeichen': u'from the sign',
 u'vorgetragen': u'prominent',
 u'vorzeichen': u'accidental',
 u'voz': u'voice',
 u'vv.': u'violin',
 u'vysokaia': u'high voice',
 u'waldhorn': u'natural horn',
 u'walzer': u'waltz',
 u'wd. bl.': u'wood block',
 u'wd.bl.': u'wood block',
 u'wenig': u'little',
 u'wieder': u'again',
 u'wiederholung': u'repeat',
 u'wiegenlied': u'lullaby',
 u'windglocken': u'wind chimes',
 u'windgong': u'wind gong',
 u'windmachine': u'wind machine',
 u'windmaschine': u'wind machine',
 u'windspiel': u'wind chimes',
 u'wirbeltrommel': u'tenor drum',
 u'wood-bloc': u'woodblock',
 u'xil.': u'xylophone',
 u'xilifono': u'xylophone',
 u'xilofono': u'xylophone',
 u'xilof\xf3n': u'xylophone',
 u'xilof\xf3no': u'xylophone',
 u'xilomarimba': u'xylorimba',
 u'xil\xf3fono': u'xylophone',
 u'xyl.': u'xylophone',
 u'xylomarimba': u'xylorimba',
 u'xylophon': u'xylophone',
 u'xylophone': u'xylophone',
 u'yembe': u'ymbe',
 u'yunque': u'anvil',
 u'zambomba': u'rommelpot',
 u'zampogna': u'bagpipe',
 u'zampo\xf1as': u'panpipes',
 u'zanfona': u'wheel fiddle',
 u'zanfon\xeda': u'wheel fiddle',
 u'zart': u'tender',
 u'zhenskii khor': u"women's voices",
 u'ziehharmonika': u'accordion',
 u'ziemlich': u'moderately',
 u'zill': u'zils',
 u'zimbal': u'cimbalom',
 u'zu': u'too',
 u'zufolo a pistone': u'swanee whistle',
 u'zugposaune': u'slide trombone',
 u'zugtrompete': u'slide trumpet',
 u'zupfinstrumente': u'plucked instruments',
 u'zusammenschlag': u'short appoggiatura',
 u'zuspielband': u'tape',
 u'zweiunddreissigstel': u'thirty-second note',
 u'zweiunddreissigstelnote': u'thirty-second note',
 u'zweiunddreissigstelpause': u'thirty-second rest',
 u'zymbal': u'cimbalom',
 u'z\xe4sur': u'railroad tracks',
 u'\xc8chelettes': u'xylophone',
 u'\xe0': u'to',
 u'\xe0 2': u'a 2',
 u"\xe0 l'octave": u'at the octave',
 u'\xe0 la fin': u'to the end',
 u'\xe0 la hausse': u'at the frog',
 u'\xe1rbol de marca': u'wind chimes',
 u'\xe9oliphone': u'wind machine',
 u'\xf3rgano': u'organ',
 u'\xf3rgano de': u'glockenspiel',
 u'\xf3rgano de campanas': u'orchestra bells'}